2012-10-02  Daniel Bates  <dbates@webkit.org>

        Define watch list "webkitperl", "SVNScripts", and "XSS" to watch for changes
        to Tools/Scripts/{VCSUtils.pm, webkitdirs.pm, webkitperl}, Tools/Scripts/svn-*
        scripts, and files whose name contains the word "XSS", respectively. Subscribe
        myself to these lists.

        * Scripts/webkitpy/common/config/watchlist:

2012-10-02  Roger Fong  <roger_fong@apple.com>

        executive_unittest.py fails on Apple Windows bots but not when run locally.
        https://bugs.webkit.org/show_bug.cgi?id=98196

        Reviewed by Eric Seidel.

        Making the test more flexible to check for cygwin and allow different outputs from process.wait().

        * Scripts/webkitpy/common/system/executive_unittest.py:
        (ExecutiveTest.serial_test_kill_process):

2012-10-02  Roger Fong  <roger_fong@apple.com>

        Ignore failing line of SpacebarScrolling API test on Windows.
        https://bugs.webkit.org/show_bug.cgi?id=84961

        Reviewed by Anders Carlsson.

        Test is failing because of https://bugs.webkit.org/show_bug.cgi?id=97946.
        Ignoring the line that fails on Windows for now until the larger problem at hand is fixed.

        * TestWebKitAPI/Tests/WebKit2/SpacebarScrolling.cpp:
        (TestWebKitAPI::TEST):

2012-10-02  Tony Chang  <tony@chromium.org>

        check-webkit-style can't handle qt-arm, qt-win, qt-mac, qt-5.0, qt-5.0-wk1 and qt-5.0-wk2 TestExpecatations
        https://bugs.webkit.org/show_bug.cgi?id=98140

        Reviewed by Eric Seidel.

        Fix a bug where we were always using the host OS rather than using what was passed in as part of the
        port name on Qt.

        There's also a bug with being able to test for qt-5.0 expectations files when on a system with
        Qt 4.8 installed. I'm not sure how to solve that, so for now, stop emitting a style warning about
        not checking a file.

        * Scripts/webkitpy/layout_tests/port/qt.py:
        (QtPort._search_paths): Use passed in OS.
        * Scripts/webkitpy/style/checkers/test_expectations.py:
        (TestExpectationsChecker.check): Don't warn if we don't know about the TestExpectations file.
        * Scripts/webkitpy/style/checkers/test_expectations_unittest.py:
        (TestExpectationsTestCase.test_determine_port_from_expectations_path): Added a test case for the OS fix.
        Add a commented out test for the version case.

2012-10-02  Raphael Kubo da Costa  <raphael.kubo.da.costa@intel.com>

        Remove the last bits of MSYS support from webkitperl.
        https://bugs.webkit.org/show_bug.cgi?id=98195

        Reviewed by Eric Seidel.

        No ports currently need MinGW/MSYS support, so remove the last
        hackish bits related to it from our Perl code.

        * Scripts/commit-log-editor:
        (createCommitMessage):
        * Scripts/old-run-webkit-tests:
        * Scripts/webkitdirs.pm:
        (isAnyWindows):
        (isWindows):

2012-10-02  Raphael Kubo da Costa  <raphael.kubo.da.costa@intel.com>

        Remove MSYS-related changes to the http testing infrastructure.
        https://bugs.webkit.org/show_bug.cgi?id=98183

        Reviewed by Eric Seidel.

        In the process of removing the cruft that has accumulated in our
        Apache configuration code, we can basically revert r77161 which
        added some MSYS (mingw)-specific code to old-run-webkit-tests,
        since it is not being used by any port anymore.

        * Scripts/run-webkit-httpd: Remove isMsys()-dependent hacks.
        * Scripts/webkitperl/httpd.pm:
        (getHTTPDPath): Remove isMsys() code path.
        (getDefaultConfigForTestDirectory): Revert isMsys() hacks.
        (getHTTPDConfigPathForTestDirectory): Do not point to the noew
        removed apache2-msys-httpd.conf.
        (convertMsysPath): Removed.

2012-10-02  Sadrul Habib Chowdhury  <sadrul@chromium.org>

        [chromium] Make sure the touch-points in the touch-events have the correct state.
        https://bugs.webkit.org/show_bug.cgi?id=98110

        Reviewed by Adam Barth.

        TestWebPlugin can now be configured to print out some details about
        events. For now, details for only touch events are printed. This is
        used to verify that touch-points in the touch-events are properly
        set.

        * DumpRenderTree/chromium/TestWebPlugin.cpp:
        (pointState):
        (printTouchList):
        (printEventDetails):
        (TestWebPlugin::TestWebPlugin):
        (TestWebPlugin::handleInputEvent):
        * DumpRenderTree/chromium/TestWebPlugin.h:
        (TestWebPlugin):

2012-10-02  Zan Dobersek  <zandobersek@gmail.com>

        [XvfbDriver] First tests in each worker occasionally crash
        https://bugs.webkit.org/show_bug.cgi?id=96203

        Reviewed by Dirk Pranke.

        Often in debug builds, the first tests in each worker crash because they
        can't yet open the Xvfb display assigned to them. This indicates Xvfb hasn't
        yet been set up.

        To avoid this, the execution should halt for a small amount of time before tests
        are run so the Xvfb process has enough time to get ready. At the moment this is
        done right after the Xvfb process is spawned and the execution halts for one
        second. That value is overriden to zero when testing to not prolong the testing time.

        * Scripts/webkitpy/layout_tests/port/xvfbdriver.py:
        (XvfbDriver.__init__):
        (XvfbDriver._start):
        * Scripts/webkitpy/layout_tests/port/xvfbdriver_unittest.py:
        (XvfbDriverTest.make_driver):

2012-10-02  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Use XvfbDriver for layout tests
        https://bugs.webkit.org/show_bug.cgi?id=98162

        Reviewed by Kenneth Rohde Christiansen.

        Use XvfbDriver for layout tests on EFL port.

        * Scripts/webkitpy/layout_tests/port/efl.py:
        (EflPort._driver_class):
        * Scripts/webkitpy/layout_tests/port/xvfbdriver.py:
        (XvfbDriver._start): Set DUMPRENDERTREE_TEMP and LOCAL_RESOURCE_ROOT
        environment variables in XvfbDriver as those are needed for
        TestRunner::pathToLocalResource().

2012-10-02  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk] Several tests launch g_object_ref/unref assertion messages
        https://bugs.webkit.org/show_bug.cgi?id=95062

        Reviewed by Martin Robinson.

        Only increase and decrease reference count of the accessibility
        UI element if it actually exists.

        * DumpRenderTree/gtk/AccessibilityUIElementGtk.cpp:
        (AccessibilityUIElement::AccessibilityUIElement):
        (AccessibilityUIElement::~AccessibilityUIElement):

2012-10-02  Douglas Stockwell  <dstockwell@chromium.org>

        [chromium] running layout tests on mountainlion should use chromium TestExpectations
        https://bugs.webkit.org/show_bug.cgi?id=98119

        Reviewed by Adam Barth.

        Some basic support for mountainlion has already been committed but it failed to refer
        to the chromium TestExpectations.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort):
        * Scripts/webkitpy/layout_tests/port/chromium_port_testcase.py:
        (ChromiumPortTestCase.test_all_test_configurations):

2012-10-02  Raphael Kubo da Costa  <raphael.kubo.da.costa@intel.com>

        webkitpy: Stop listening on port 8081 when using Apache.
        https://bugs.webkit.org/show_bug.cgi?id=98155

        Reviewed by Eric Seidel.

        No test currently uses this port, and the lighttpd configuration
        does not open it.

        This helps the efforts of bringing some consistency to the Apache
        configuration at the moment by opening the same ports in the
        webkitpy side and in the httpd.conf side (the idea is to remove
        the httpd.conf side later), and also makes the behavior consistent
        across the two servers we currently support.

        * Scripts/webkitpy/layout_tests/servers/apache_http_server.py:
        (LayoutTestApacheHttpd.__init__):

2012-10-02  Csaba Osztrogonác  <ossy@webkit.org>

        [WK2] REGRESSION(r128623): It made layout tests extremely slow
        https://bugs.webkit.org/show_bug.cgi?id=96862

        Reviewed by Simon Hausmann.

        Disable calling the extremely slow WKBundleSetDatabaseQuota() between tests until proper fix.

        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::beginTesting):

2012-10-02  Philip Rogers  <pdr@google.com>

        Fix PerfTest standard deviation calculation.
        https://bugs.webkit.org/show_bug.cgi?id=98115

        Reviewed by Ryosuke Niwa.

        Previously our standard deviation calculation was incorrect. This patch
        updates perftest.py's algorithm to calculate the sample standard deviation
        (with Bessel's correction) using Knuth's online algorithm:
        http://en.wikipedia.org/wiki/Algorithms_for_calculating_variance#Online_algorithm
        An existing test has been modified to prove our new results.

        This patch also updates runner.js to use Bessel's correction in
        its sample standard deviation calculation, which is more accurate
        for small sample sizes.

        Additionally, runner.js has been modified to not calculate
        the 'sum' statistic, which was not very useful.

        * Scripts/webkitpy/performance_tests/perftest.py:

            The unused variable valueSum has also been removed.

        (PageLoadingPerfTest.run):
        * Scripts/webkitpy/performance_tests/perftest_unittest.py:

            This test calculates the stdev of {2000, 3000, ..., 20000} which
            was hand-calculated using a spreadsheet.

        (TestPageLoadingPerfTest.test_run):

2012-10-01  Raphael Kubo da Costa  <raphael.kubo.da.costa@intel.com>

        webkitpy should accept a different httpd.conf specified by the user
        https://bugs.webkit.org/show_bug.cgi?id=98071

        Reviewed by Dirk Pranke.

        The existing httpd.conf variants (or lighttpd.conf, for that
        matter) we have do not always suit the user's system. This is
        particularly true on Linux/Unix, where Apache can be installed in
        a plethora of ways and the LoadModule calls can fail to specify
        the proper module paths.

        For now, we start accepting the WEBKIT_HTTP_SERVER_CONF_PATH
        environment variable, which allows the user to specify the
        absolute path to another http server configuration file that might
        work on the user's system.

        In the long term, we should try to generate our configuration file
        and stop requiring all the different httpd.conf files we have as
        well as this hack.

        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port._path_to_apache_config_file):
        * Scripts/webkitpy/layout_tests/port/port_testcase.py:
        (test_path_to_apache_config_file):

2012-10-01  Emil A Eklund  <eae@chromium.org>

        Unreviewed, upgrade eae to reviewer. 
        http://lists.webkit.org/mailman/private/webkit-committers/2012-October/000191.html

        * Scripts/webkitpy/common/config/committers.py:

2012-10-01  Ming Xie  <mxie@rim.com>

        [BlackBerry] Add a early return in buildCMakeProjectOrExit()
        https://bugs.webkit.org/show_bug.cgi?id=98052

        Reviewed by Rob Buis.

        This option allows our build to only run the CMake build configuration
        step when environment variable GENERATE_CMAKE_PROJECT_ONLY is specified.

        * Scripts/webkitdirs.pm:
        (buildCMakeProjectOrExit):

2012-10-01  Raphael Kubo da Costa  <raphael.kubo.da.costa@intel.com>

        [webkitpy] Detect the multiple names of the wdiff binary in the Port class.
        https://bugs.webkit.org/show_bug.cgi?id=98039

        Reviewed by Dirk Pranke.

        Unify the duplicate checks for the wdiff binary present in
        different ports into the base Port class.

        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port):
        (Port._path_to_wdiff):
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        (ChromiumLinuxPort._path_to_wdiff): Removed.
        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort._path_to_wdiff): Removed.

2012-10-01  Raphael Kubo da Costa  <raphael.kubo.da.costa@intel.com>

        [chromium] Remove custom implementation of _path_to_apache_config_file in chromium_linux.
        https://bugs.webkit.org/show_bug.cgi?id=98042

        Reviewed by Dirk Pranke.

        The Chromium-based ports inherit from Port these days, so get rid
        of the custom implementation of _path_to_apache_config_file() in
        favor of the more portable one in the Port class.

        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        (ChromiumLinuxPort._path_to_apache_config_file):

2012-10-01  Raphael Kubo da Costa  <raphael.kubo.da.costa@intel.com>

        [chromium] Remove duplicated _is_redhat_based() implementation from chromium_linux.py.
        https://bugs.webkit.org/show_bug.cgi?id=98035

        Reviewed by Dirk Pranke.

        Since the Chromium port classes inherit from Port these days, it
        can rely on the same implementation of _is_redhat_based() present
        there instead of duplicating it.

        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        (ChromiumLinuxPort._is_redhat_based): Removed.

2012-10-01  Raphael Kubo da Costa  <raphael.kubo.da.costa@intel.com>

        [GTK] Rely on the general implementation for detecting the Apache server path.
        https://bugs.webkit.org/show_bug.cgi?id=98033

        Reviewed by Martin Robinson.

        The implemenentation of _path_to_apache() in base.py already
        checks for the same paths gtk.py tries; the only difference is
        that all of the are tried regardless of the current distro.

        Doing so is more portable, and lets us remove some distro-checking
        from the code.

        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort._path_to_apache): Remove.

2012-10-01  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed, update the URL of the Szeged SVN mirror.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2012-10-01  Yuta Kitamura  <yutak@chromium.org>

        Unreviewed. Create WebSocket watch list, and add myself to that list.

        * Scripts/webkitpy/common/config/watchlist:

2012-09-30  Taiju Tsuiki  <tzik@chromium.org>

        Unreviewed. Adding myself as a committer.

        * Scripts/webkitpy/common/config/committers.py:

2012-09-30  Sadrul Habib Chowdhury  <sadrul@chromium.org>

        [chromium] Add a test to verify that a plugin does not receive touch-events unless it explicitly requests for them
        https://bugs.webkit.org/show_bug.cgi?id=97975

        Reviewed by Adam Barth.

        TestWebPlugin can now be configured to accept touch events or not. Use this
        configurability to verify that a plugin does not receive touch events unless
        it explicitly requests for them.

        * DumpRenderTree/chromium/TestWebPlugin.cpp:
        (TestWebPlugin::TestWebPlugin):
        (TestWebPlugin::initialize):
        (TestWebPlugin::parseBoolean):
        * DumpRenderTree/chromium/TestWebPlugin.h:
        (TestWebPlugin):

2012-09-28  Mariusz Grzegorczyk  <mariusz.g@samsung.com>

        [WK2][GTK][EFL] Share WebKit2-GTK plugin process implementation with EFL port
        https://bugs.webkit.org/show_bug.cgi?id=91844

        Reviewed by Simon Hausmann.

        Turn on Netscape Plugin API option by default.

        * Scripts/webkitperl/FeatureList.pm:

2012-09-28  Dirk Pranke  <dpranke@chromium.org>

        webkit-patch rebaseline-expectations is broken
        https://bugs.webkit.org/show_bug.cgi?id=97619

        Reviewed by Ojan Vafai.

        The new expectations format is causing two problems for
        webkit-patch rebaseline expectations

        1) the transformation into and out of the old syntax (which is
        still used internally) is somewhat lossy, e.g., we're not
        preserving the case of Bug(x) identifiers. Also, we can't
        tell if the input was [ WontFix ] or [ Skip WontFix Pass ]
        2) the new syntax is more lenient, allowing for multiple ways to
        specify the same result, e.g., "[ Skip ]" may or may not be
        missing.

        As a result, we end up rewriting a whole bunch of lines for
        purely syntactic differences.

        Both of these things are bugs that need to be fixed, but
        we should also not just rewrite lines that shouldn't be
        modified.

        This patch fixes the last issue (no rewriting).

        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectationLine._format_line):
        (TestExpectations.remove_rebaselined_tests):
        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (RebaseliningTest.test_remove):

2012-09-28  Dirk Pranke  <dpranke@chromium.org>

        virtual directories should just rename the beginning of the test path
        https://bugs.webkit.org/show_bug.cgi?id=97925

        Reviewed by Ojan Vafai.

        We were replacing all occurrences of the base prefix of a
        virtual test suite with the virtual name, instead of just the
        first. So, where we had softwarecompositing running the
        compositing tests, any compositing test that actually had
        "compositing" in the test base name would get that expanded
        incorrectly.

        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port.populated_virtual_test_suites):
        (Port.lookup_virtual_test_base):
        * Scripts/webkitpy/layout_tests/port/base_unittest.py:
        (PortTest.test_tests):
        * Scripts/webkitpy/layout_tests/port/test.py:

2012-09-28  Ojan Vafai  <ojan@chromium.org>

        Garden-o-matic sometimes things buildbot warnings are failures
        https://bugs.webkit.org/show_bug.cgi?id=97926

        Reviewed by Tony Chang.

        It turns out the JSON clearly tells us if it's a failure.
        We want to skip all warnings even if they don't have "warning" in the text.
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/builders.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/builders_unittests.js:

2012-09-28  Harald Tveit Alvestrand  <harald@alvestrand.no>

        Implement the GetStats interface on PeerConnection
        https://bugs.webkit.org/show_bug.cgi?id=95193

        Reviewed by Adam Barth.

        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        (RTCStatsRequestSucceededTask):
        (RTCStatsRequestSucceededTask::RTCStatsRequestSucceededTask):
        (MockWebRTCPeerConnectionHandler::getStats):
        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.h:
        (MockWebRTCPeerConnectionHandler):

2012-09-28  Kristóf Kosztyó  <kkristof@inf.u-szeged.hu>

        [NRWT] XvfbDriver should choose the next free display
        https://bugs.webkit.org/show_bug.cgi?id=88414

        Reviewed by Dirk Pranke.

        This change how the XvfbDriver choose the next display. Before
        this the choosing are based on the worker number but it caused
        errors when several nrwt run on the same time. This add process
        based free diplay search.

        * Scripts/webkitpy/layout_tests/port/xvfbdriver.py:
        (XvfbDriver.__init__):
        (XvfbDriver._next_free_display):
        (XvfbDriver._start):
        (XvfbDriver.stop):
        * Scripts/webkitpy/layout_tests/port/xvfbdriver_unittest.py:
        (XvfbDriverTest.make_driver):
        (XvfbDriverTest.test_start_no_pixel_tests):
        (XvfbDriverTest.test_start_pixel_tests):
        (XvfbDriverTest.test_start_arbitrary_worker_number):
        (XvfbDriverTest.test_next_free_display):
        (XvfbDriverTest):
        (XvfbDriverTest.test_start_next_worker):

2012-09-28  Huang Dongsung  <luxtella@company100.net>

        [GTK] Enable CSS Shaders layout LayoutTests on GTK+
        https://bugs.webkit.org/show_bug.cgi?id=97821

        Reviewed by Martin Robinson.

        This feature is disabled via Settings by default, but for testing,
        we enable it using layoutTestController.overridePreferences. Add the
        necessary plumbing for DRT.

        WTR already works because support was added for Apple Mac earlier.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues): Feature is off by default.
        * DumpRenderTree/gtk/TestRunnerGtk.cpp:
        (TestRunner::overridePreference): Add handling of WebKitCSSCustomFilterEnabled.

2012-09-28  Csaba Osztrogonác  <ossy@webkit.org>

        [Qt] Make NRWT use wk2/TestExpectations file
        https://bugs.webkit.org/show_bug.cgi?id=97894

        Reviewed by Simon Hausmann.

        * Scripts/webkitpy/layout_tests/port/qt.py: Remove unnecessary _skipped_file_search_paths function.
        (QtPort.expectations_files): Add wk2 if --webkit-test-runner option added.
        * Scripts/webkitpy/layout_tests/port/qt_unittest.py: Remove unnecessary test__skipped_file_search_paths function.
        (QtPortTest._assert_search_path): Removed.
        (QtPortTest.test_expectations_files): Add wk2 if --webkit-test-runner option added, and code cleanup.

2012-09-28  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [EFL][DRT] EFL's layoutTestController.keepWebHistory should enable visited links tracking
        https://bugs.webkit.org/show_bug.cgi?id=97901

        Reviewed by Kenneth Rohde Christiansen.

        EFL's DRT testRunner.keepWebHistory should enable visited links tracking in order
        to be consistent with WTR implementation and also several tests rely on that (fast/history).

        * DumpRenderTree/efl/TestRunnerEfl.cpp:
        (TestRunner::keepWebHistory):

2012-09-28  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [EFL][DRT] EFL DRT should disable visited links tracking by default
        https://bugs.webkit.org/show_bug.cgi?id=97881

        Reviewed by Kenneth Rohde Christiansen.

        Visited links tracking is disabled by default for each test.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):

2012-09-28  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Unreviewed, rolling out r129863.
        http://trac.webkit.org/changeset/129863
        https://bugs.webkit.org/show_bug.cgi?id=97173

        Broken debug WK2 layout test

        * MiniBrowser/efl/main.c:
        (quit):
        (main):
        * WebKitTestRunner/efl/PlatformWebViewEfl.cpp:
        (WTR::initEcoreEvas):
        (WTR::PlatformWebView::~PlatformWebView):
        * WebKitTestRunner/efl/main.cpp:
        (main):

2012-09-28  Kai Koehne  <kai.koehne@digia.com>

        [Qt] Use qInstallMessageHandler()
        https://bugs.webkit.org/show_bug.cgi?id=96648

        Reviewed by Jocelyn Turcotte.

        qInstallMsgHandler() got deprecated in Qt 5.

        * DumpRenderTree/qt/DumpRenderTreeMain.cpp:
        (messageHandler):
        (main):
        * WebKitTestRunner/qt/main.cpp:
        (messageHandler):
        (main):

2012-09-28  Eunmi Lee  <eunmi15.lee@samsung.com>

        [EFL][WK2] Refactoring initialization and shutdown codes of EFL libraries.
        https://bugs.webkit.org/show_bug.cgi?id=97173

        Reviewed by Gyuyoung Kim.

        The initialization and shutdown are done inside the webkit, so we don't
        have to call them out of the webkit.

        * MiniBrowser/efl/main.c:
        (quit):
        (main):
        * WebKitTestRunner/efl/PlatformWebViewEfl.cpp:
        (WTR::initEcoreEvas):
        (WTR::PlatformWebView::~PlatformWebView):
        * WebKitTestRunner/efl/main.cpp:
        (main):

2012-09-27  Alexandre Elias  <aelias@chromium.org>

        [chromium] DumpRenderTree support for software compositing
        https://bugs.webkit.org/show_bug.cgi?id=96853

        Reviewed by James Robinson.

        This adds software compositor support to DumpRenderTree.  The only
        thing needed is a minimal OutputSurfaceSoftware that holds a
        viewport-sized bitmap. Then, I added virtual test suite
        platform/chromium/virtual/softwarecompositing -- a mirror of the
        compositing/ directory with --enable-software-compositing, and
        expectations for not yet supported tests.

        * DumpRenderTree/DumpRenderTree.gypi:
        * DumpRenderTree/chromium/DumpRenderTree.cpp:
        (main):
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::TestShell):
        * DumpRenderTree/chromium/TestShell.h:
        (TestShell::softwareCompositingEnabled):
        (TestShell::setSoftwareCompositingEnabled):
        (TestShell):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::createOutputSurface):
        * DumpRenderTree/chromium/WebViewHostOutputSurface.cpp:
        (WebKit::WebViewHostOutputSurface::create3d):
        (WebKit):
        (WebKit::WebViewHostOutputSurface::createSoftware):
        (WebKit::WebViewHostOutputSurface::WebViewHostOutputSurface):
        (WebKit::WebViewHostOutputSurface::bindToClient):
        (WebKit::WebViewHostOutputSurface::surfaceSoftware):
        * DumpRenderTree/chromium/WebViewHostOutputSurface.h:
        (WebKit):
        (WebViewHostOutputSurface):
        * DumpRenderTree/chromium/WebViewHostSoftwareOutputDevice.cpp: Copied from Tools/DumpRenderTree/chromium/WebViewHostOutputSurface.cpp.
        (WebKit):
        (WebKit::WebViewHostSoftwareOutputDevice::lockForWrite):
        (WebKit::WebViewHostSoftwareOutputDevice::unlockForWrite):
        (WebKit::WebViewHostSoftwareOutputDevice::lockForRead):
        (WebKit::WebViewHostSoftwareOutputDevice::unlockForRead):
        (WebKit::WebViewHostSoftwareOutputDevice::viewportChanged):
        * DumpRenderTree/chromium/WebViewHostSoftwareOutputDevice.h: Copied from Tools/DumpRenderTree/chromium/WebViewHostOutputSurface.cpp.
        (WebKit):
        (WebViewHostSoftwareOutputDevice):
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort.virtual_test_suites):

2012-09-27  Nasko Oskov  <nasko@chromium.org>

        Move DumpRenderTree to use newer version of the name method of
        WebFrame and the willCheckAndDispatchMessageEvent method of WebFrameClient
        https://bugs.webkit.org/show_bug.cgi?id=95254

        Reviewed by Adam Barth.

        The WebFrame name() method is removed and replaced by better named
        uniqueName() method, so DRT needs to be updated to use this new version.
        Also the willCheckAndDispatchMessageEvent in WebFrameClient gained
        one more parameter, which had to be added in DRT.

        * DumpRenderTree/chromium/TestShell.cpp:
        (dumpFramesAsText):
        (dumpFramesAsPrintedText):
        (dumpFrameScrollPosition):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::unableToImplementPolicyWithError):
        (WebViewHost::willCheckAndDispatchMessageEvent):
        (WebViewHost::printFrameDescription):
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebViewHost):

2012-09-27  Julie Parent  <jparent@chromium.org>

        Add webkit_unit_tests to the flakiness dashboard
        https://bugs.webkit.org/show_bug.cgi?id=97814

        Reviewed by Dirk Pranke.

        webkit_unit_tests run on the same bots as test_shell_tests.

        * TestResultServer/static-dashboards/builders.js:
        (loadBuildersList):
        * TestResultServer/static-dashboards/dashboard_base.js:
        (currentBuilderGroupCategory):

2012-09-27  Florin Malita  <fmalita@chromium.org>

        [Perftest] PerfTestRunner exception when using nested git checkouts
        https://bugs.webkit.org/show_bug.cgi?id=97796

        Reviewed by Ryosuke Niwa.

        In order to support separate Chromium vs. WebKit git trees, PerfTestsRunner needs to
        instantiate per-repository SCM objects when collecting revision information.

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._generate_results_dict):

2012-09-27  Sudarsana Nagineni  <sudarsana.nagineni@intel.com>

        [Mac][DRT] Add support to allow non-array modifier arguments in keyDown()
        https://bugs.webkit.org/show_bug.cgi?id=97805

        Reviewed by Alexey Proskuryakov.

        Add support for handling a string as modifier argument to keyDown().
        This support has already been added to other ports, so implementing
        this on Mac too, to be consistent with the other ports.

        * DumpRenderTree/mac/EventSendingController.mm:
        (modifierFlags):
        (buildModifierFlags):

2012-09-27  Dirk Pranke  <dpranke@chromium.org>

        efl wk2 bots weren't looking at platform/wk2/TestExpectations
        https://bugs.webkit.org/show_bug.cgi?id=97815

        Unreviewed, build fix.

        Should clean up this logic later so that we're just using the
        implementation in base ...

        * Scripts/webkitpy/layout_tests/port/efl.py:
        (EflPort._search_paths):
        (EflPort.expectations_files):

2012-09-27  Dirk Pranke  <dpranke@chromium.org>

        webkitpy: make warning about missing BUG identifiers per-port configurable
        https://bugs.webkit.org/show_bug.cgi?id=97751

        Reviewed by Ojan Vafai.

        Prior to this change linting TestExpectations files (checking their style)
        would raise warnings if lines were missing a BUG modifier, even
        though such a modifier is actually optional in the syntax. As we
        migrate the entries over from the Skipped files, these warnings
        will generate a lot of noise, and it's not yet clear that we
        actually want to require the modifiers on all ports.

        So, this change makes this per-port configurable so that they
        will generate warnings in the Chromium TestExpectations and not
        anywhere else.

        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectationParser._parse_modifiers):
        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (MiscTests.test_parse_warning):
        (SemanticTests.test_missing_bugid):
        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port.warn_if_bug_missing_in_test_expectations):
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort.warn_if_bug_missing_in_test_expectations):

2012-09-27  Xianzhu Wang  <wangxianzhu@chromium.org>

        [Chromium-Android] Push more fonts for layout tests to match chromium-linux
        https://bugs.webkit.org/show_bug.cgi?id=97746

        Reviewed by Dirk Pranke.

        * DumpRenderTree/chromium/android_fallback_fonts.xml: Added the new fonts into fallback list. Removed the Android system fallback font DroidSansFallback.ttf.
        * Scripts/webkitpy/layout_tests/port/builders.py: Add chromium-android to pass style check.
        * Scripts/webkitpy/layout_tests/port/chromium_android.py:
        (ChromiumAndroidPort.check_build): Added check for md5sum and forwarder utilities to give better error message when they are missing.
        (ChromiumAndroidPort.check_sys_deps): Allow host font files to come from one of multiple directories.
        (ChromiumAndroidPort._path_to_md5sum):
        (ChromiumAndroidDriver._setup_md5sum_and_push_data_if_needed):
        (ChromiumAndroidDriver._push_fonts):
        (ChromiumAndroidDriver._push_test_resources):

2012-09-27  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: Enhance MediaConstraints to make it easier to get the constraint data
        https://bugs.webkit.org/show_bug.cgi?id=97559

        Reviewed by Adam Barth.

        Refactoring for the new WebMediaConstraints api.

        * DumpRenderTree/chromium/MockConstraints.cpp:
        (MockConstraints::verify):

2012-09-27  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: Rename MockConstraints::verify to verifyConstraints
        https://bugs.webkit.org/show_bug.cgi?id=97779

        Reviewed by Csaba Osztrogonác.

        The Mac OS X sdk has a macro called verify :/

        * DumpRenderTree/chromium/MockConstraints.cpp:
        (MockConstraints::verifyConstraints):
        * DumpRenderTree/chromium/MockConstraints.h:
        (MockConstraints):
        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        (MockWebRTCPeerConnectionHandler::initialize):
        * DumpRenderTree/chromium/WebUserMediaClientMock.cpp:
        (WebUserMediaClientMock::requestUserMedia):

2012-09-27  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: Update getUserMedia to match the latest specification
        https://bugs.webkit.org/show_bug.cgi?id=97540

        Reviewed by Adam Barth.

        http://dev.w3.org/2011/webrtc/editor/getusermedia.html#navigatorusermedia
        Navigator.getUserMedia is changed so that the audio and video members can either
        be a bool or a constraints object.

        * public/WebUserMediaRequest.h:
        (WebKit):
        (WebUserMediaRequest):
        * src/WebUserMediaRequest.cpp:
        (WebKit::WebUserMediaRequest::audioConstraints):
        (WebKit):
        (WebKit::WebUserMediaRequest::videoConstraints):

2012-09-26  Laszlo Gombos  <l.gombos@samsung.com>

        Unreviewed. Update my e-mail address.

        * Scripts/webkitpy/common/config/committers.py:

2012-09-26  Dirk Pranke  <dpranke@chromium.org>

        modify old-run-webkit-tests to support TestExpectations files a little
        https://bugs.webkit.org/show_bug.cgi?id=97276

        Reviewed by Daniel Bates.

        This patch adds minimal support to old-run-webkit-tests so that
        it can read a TestExpectations file and skip the tests listed
        there. It will skip *all* tests, regardless of the expectation
        (even if the test is listed as [ Pass ]), and it will only look
        at the TestExpectations file if there isn't a Skipped file next
        to it.
        
        This will allow us to switch to using just using
        TestExpectations files without making old-run-webkit-tests
        totally useless.

        * Scripts/old-run-webkit-tests:
        (readSkippedFiles):
        (processSkippedFileEntry): Added.
        (startsWith): Added.

2012-09-26  Dirk Pranke  <dpranke@chromium.org>

        The style bot spams about skia_test_expectations.txt
        https://bugs.webkit.org/show_bug.cgi?id=97699

        Reviewed by Adam Barth.

        Remove the warning about a missing skia_test_expectations.txt
        file for now. There are some situations where it would be
        helpful to get this warning as it might indicate that the user
        is going to get results different than what they're expecting,
        but at the moment it looks difficult if not impossible to get
        those warnings and not also get warnings that we don't care
        about, so the noise is outweighing the value of the signal.

        This at least will stop the false negatives we're getting on the
        style bots. If it turns out people do need the warning we can
        add it back in in some other more conditional way.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort.expectations_files):
        * Scripts/webkitpy/tool/commands/rebaseline_unittest.py:
        (TestRebaseline.test_rebaseline_updates_expectations_file_noop):
        (test_rebaseline_updates_expectations_file):
        (test_rebaseline_does_not_include_overrides):
        (test_rebaseline_expectations):
        (_assert_command):

2012-09-26  David Michael Barr  <davidbarr@chromium.org>

        Unreviewed. Upgrade myself from contributor to committer.

        * Scripts/webkitpy/common/config/committers.py:

2012-09-26  Ryosuke Niwa  <rniwa@webkit.org>

        Remove deprecated code from perftestrunner.py
        https://bugs.webkit.org/show_bug.cgi?id=97724

        Reviewed by Adam Barth.

        Remove the code deprecated in r129580 now that we have landed r129597,
        which updated master.cfg to use new options, and restarted the buildbot master.

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._parse_args):
        (PerfTestsRunner._generate_and_show_results):
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        (test_run_with_slave_config_json):
        (test_parse_args):

2012-09-26  Beth Dakin  <bdakin@apple.com>

        https://bugs.webkit.org/show_bug.cgi?id=97629
        http/tests/security/cross-frame-access-put.html failing on Mac WK2 bots after 
        being unskipped

        Reviewed by Tim Horton.

        The test was failing because we were failing to use the fake window origin. We 
        should really always use the fake origin. This patch eliminates 
        _shouldUseFakeOrigin in favor of always using it.
        * WebKitTestRunner/mac/PlatformWebViewMac.mm:
        (-[WebKitTestRunnerWindow setFrameOrigin:]):
        (-[WebKitTestRunnerWindow setFrame:display:animate:]):
        (-[WebKitTestRunnerWindow setFrame:display:]):
        (-[WebKitTestRunnerWindow frameRespectingFakeOrigin]):

2012-09-26  Tony Chang  <tony@chromium.org>

        C++ style checker should warn when the indentation is wrong
        https://bugs.webkit.org/show_bug.cgi?id=97602

        Reviewed by Ojan Vafai.

        Rewrite the indentation checker to ensure that indentation is always a factor of 4
        and that we only indent 4 spaces from the previous line.

        I deleted some of the old indentation checking code since it was filtered out
        and didn't match the webkit style.

        * Scripts/webkitpy/style/checker.py:
        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_indentation_amount): New function that checks indentation. Intentionally runs after
        other indentation checks.
        (check_style): Delete the old indentation code since we were already filtering out the whitespace/labels warnings.
        (CppChecker): Remove the whitespace/labels filter.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (CppStyleTest.test_multi_line_comments): Force 4 space indent.
        (CppStyleTest.test_explicit_single_argument_constructors):
        (CppStyleTest.test_explicit_single_argument_constructors.Foo):
        (CppStyleTest.test_explicit_single_argument_constructors.Qualifier):
        (CppStyleTest.test_slash_star_comment_on_single_line):
        (CppStyleTest.test_braces):
        (CppStyleTest.test_spacing_before_last_semicolon):
        (CppStyleTest.test_static_or_global_stlstrings):
        (CppStyleTest.test_indent): Added macro test case.
        (CppStyleTest.test_build_class):
        (NoNonVirtualDestructorsTest.test_no_error):
        (NoNonVirtualDestructorsTest.test_no_error.Foo):
        (NoNonVirtualDestructorsTest.test_no_error.Qualified):
        (NoNonVirtualDestructorsTest.test_no_destructor_when_virtual_needed):
        (NoNonVirtualDestructorsTest.test_no_destructor_when_virtual_needed.Foo):
        (NoNonVirtualDestructorsTest.test_destructor_non_virtual_when_virtual_needed):
        (NoNonVirtualDestructorsTest.test_destructor_non_virtual_when_virtual_needed.Foo):
        (NoNonVirtualDestructorsTest.test_no_warn_when_derived):
        (NoNonVirtualDestructorsTest.test_no_warn_when_derived.Foo):
        (NoNonVirtualDestructorsTest.test_internal_braces):
        (NoNonVirtualDestructorsTest.test_internal_braces.Foo):
        (NoNonVirtualDestructorsTest.test_inner_class_needs_virtual_destructor):
        (NoNonVirtualDestructorsTest.test_inner_class_needs_virtual_destructor.Foo):
        (NoNonVirtualDestructorsTest.test_inner_class_needs_virtual_destructor.Foo.Goo):
        (NoNonVirtualDestructorsTest.test_outer_class_needs_virtual_destructor):
        (NoNonVirtualDestructorsTest.test_outer_class_needs_virtual_destructor.Foo):
        (NoNonVirtualDestructorsTest.test_outer_class_needs_virtual_destructor.Foo.Goo):
        (NoNonVirtualDestructorsTest.test_qualified_class_needs_virtual_destructor):
        (NoNonVirtualDestructorsTest.test_qualified_class_needs_virtual_destructor.Qualified):
        (NoNonVirtualDestructorsTest.test_multi_line_declaration_no_error):
        (NoNonVirtualDestructorsTest.test_multi_line_declaration_no_error.Foo):
        (NoNonVirtualDestructorsTest.test_multi_line_declaration_with_error):
        (NoNonVirtualDestructorsTest.test_multi_line_declaration_with_error.Foo):
        (WebKitStyleTest.test_indentation):
        (WebKitStyleTest.test_braces): Add test for call params spanning lines.

2012-09-26  Adam Barth  <abarth@webkit.org>

        Rollout messages should be clickable in bugzilla
        https://bugs.webkit.org/show_bug.cgi?id=97711

        Reviewed by Simon Fraser.

        If we say Bug NNNN instead of just NNNN, bugzilla will autolink to the
        actual bug.

        * Scripts/webkitpy/tool/commands/download_unittest.py:
        * Scripts/webkitpy/tool/steps/createbug.py:
        (CreateBug.run):

2012-09-26  Marcelo Lira  <marcelo.lira@openbossa.org>

        run-perf-tests must expand environment variables in user provided paths
        https://bugs.webkit.org/show_bug.cgi?id=97686

        Reviewed by Ryosuke Niwa.

        The run-perf-tests command line options that receive paths from the
        user now expand any possible environment variables, because Python's
        file handling methods do not handle those.

        Examples:
        run-perf-tests --platform=qt --release --output-json-path=~/perf-results
        run-perf-tests --platform=qt --release --output-json-path=$HOME/perf-results

        Also removed unused imports.

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._parse_args._expand_path): expand environment variables in a path passed via command line
        (PerfTestsRunner._parse_args):

2012-09-26  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r129654.
        http://trac.webkit.org/changeset/129654
        https://bugs.webkit.org/show_bug.cgi?id=97702

        breaks chromium windows build (Requested by schenney on
        #webkit).

        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.h:
        (MockWebRTCPeerConnectionHandler):

2012-09-26  Michael Saboff  <msaboff@apple.com>

        Unreviewed build change.

        Reverting inadvertent change to project file.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:

2012-09-26  Harald Tveit Alvestrand  <harald@alvestrand.no>

        Implement the GetStats interface on PeerConnection
        https://bugs.webkit.org/show_bug.cgi?id=95193

        Reviewed by Adam Barth.

        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        (RTCStatsRequestSucceededTask):
        (RTCStatsRequestSucceededTask::RTCStatsRequestSucceededTask):
        (MockWebRTCPeerConnectionHandler::getStats):
        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.h:
        (MockWebRTCPeerConnectionHandler):

2012-09-26  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [WK2][WTR] Policy client: dumping from decidePolicyForResponse callback
        https://bugs.webkit.org/show_bug.cgi?id=97034

        Reviewed by Kenneth Rohde Christiansen.

        Provided dumping from WTR Policy client 'decidePolicyForResponse' callback.

        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::decidePolicyForResponse):

2012-09-26  Zoltan Arvai  <zarvai@inf.u-szeged.hu>

        [Qt][WTR] Build fix for MSVC. 
        https://bugs.webkit.org/show_bug.cgi?id=97667

        Reviewed by Csaba Osztrogonác.

        WTR misses InjectedBundle headers. Adding $$PWD to Target.pri is required for MSVC. Clean build is necessary on Windows.

        * WebKitTestRunner/InjectedBundle/Target.pri:

2012-09-26  Xiaobo Wang  <xbwang@torchmobile.com.cn>

        [BlackBerry] [DRT] eventSender.keyDown() doesn't support Ctrl key modifier
        https://bugs.webkit.org/show_bug.cgi?id=97665

        Reviewed by Rob Buis.

        This patch fixes test fast/forms/input-text-option-delete.html.

        * DumpRenderTree/blackberry/EventSender.cpp:
        (keyDownCallback):

2012-09-26  Dinu Jacob  <dinu.s.jacob@intel.com>

        Unreviewed. Adding myself as a committer.

        * Scripts/webkitpy/common/config/committers.py:

2012-09-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Remove color codes characters from run-gtk-tests output when not writing to a TTY
        https://bugs.webkit.org/show_bug.cgi?id=97660

        Reviewed by Philippe Normand.

        Remove also the '\r' characters returned by TTY output to try to fix
        the double line endings of the script output in the bots.

        * Scripts/run-gtk-tests:
        (TestRunner.__init__): Compile a regexp for color codes if stdout
        it not a TTY.
        (TestRunner._run_test_command.parse_line): Remove color codes and
        '\r' characters from the line returned by the pseudo-terminal if
        stdout is not a TTY.
        * gtk/common.py:
        (parse_output_lines): Fix the last chunk check to make sure we
        always send entire lines to the callback, otherwise color codes
        regexp might fail if the line is not complete.

2012-09-25  Raphael Kubo da Costa  <raphael.kubo.da.costa@intel.com>

        [DRT][WTR] Support overriding the 'WebKitDisplayImagesKey' preference
        https://bugs.webkit.org/show_bug.cgi?id=96883

        Reviewed by Kenneth Rohde Christiansen.

        * DumpRenderTree/efl/TestRunnerEfl.cpp:
        (TestRunner::overridePreference): Support the
        'WebKitDisplayImagesKey' preference.

2012-09-26  Zan Dobersek  <zandobersek@gmail.com>

        [GTK] Enable some of the unstable CSS features
        https://bugs.webkit.org/show_bug.cgi?id=97572

        Reviewed by Martin Robinson.

        Enable the <style scoped> support via DumpRenderTreeSupportGtk method
        whenever resetting defualts to consistent values.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):

2012-09-26  Zan Dobersek  <zandobersek@gmail.com>

        REGRESSION (r126189): No more mismatch-did-not-occur failures in reftests
        https://bugs.webkit.org/show_bug.cgi?id=97112

        Reviewed by Dirk Pranke.

        Don't use the reftest's image hash when gathering output of its reference.
        This indirectly forces the driver to return the reference's image output
        as well. This specifically solves the problem when the reftest and its
        mismatch reference are equal but the unexpected match failure is not
        reported due to missing image output of the reference file.

        * Scripts/webkitpy/layout_tests/controllers/single_test_runner.py:
        (SingleTestRunner._run_reftest):
        * Scripts/webkitpy/layout_tests/port/test.py:
        (TestPort.diff_image):
        (TestDriver.run_test):

2012-09-25  Ryosuke Niwa  <rniwa@webkit.org>

        Update master.cfg to invoke run-perf-tests with --no-show-results and --reset-results
        https://bugs.webkit.org/show_bug.cgi?id=97613

        Reviewed by Dirk Pranke.

        Use options added in r129580.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (RunAndUploadPerfTests):

2012-09-25  Peter Rybin  <peter.rybin@gmail.com>

        Web Inspector: Fix logging in pure protocol test harness
        https://bugs.webkit.org/show_bug.cgi?id=97579

        Reviewed by Yury Semikhatsky.

        JavaScript alert implementation in DumpRenderTree gets immediate flush to make sure that
        the message survives crash or kill by timeout.

        * DumpRenderTree/blackberry/DumpRenderTree.cpp:
        (BlackBerry::WebKit::DumpRenderTree::runJavaScriptAlert):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::runModalAlertDialog):
        * DumpRenderTree/efl/DumpRenderTreeView.cpp:
        (onJavaScriptAlert):
        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (webViewScriptAlert):
        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:runJavaScriptAlertPanelWithMessage:initiatedByFrame:]):
        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::WebPage::javaScriptAlert):
        * DumpRenderTree/win/UIDelegate.cpp:
        (UIDelegate::runJavaScriptAlertPanelWithMessage):

2012-09-25  Dan Bernstein  <mitz@apple.com>

        Tools part of <rdar://problem/11455228> [mac] Stop using screen fonts
        https://bugs.webkit.org/show_bug.cgi?id=97620

        Reviewed by John Sullivan.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues): Enable screen font substitution when
        running the tests.
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::resetStateToConsistentValues): Ditto.

2012-09-25  Ryosuke Niwa  <rniwa@webkit.org>

        Build fix. "values" doesn't necessarily contain multiple values but it needs to be always parsed as an array.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest.parse_output):

2012-09-25  Ryosuke Niwa  <rniwa@webkit.org>

        run-perf-tests: cleanup options and results generation code
        https://bugs.webkit.org/show_bug.cgi?id=97611

        Reviewed by Dirk Pranke.

        Previously, --test-results-server triggered old JSOn format where the outermost structure was a dictionary
        instead of an array, and also implicitly triggered --no-show-results, caused the old outputs not to merge,
        and prevented the generation of results page. Also, it was not obvious that --source-json-path is an option
        used only on buildbot slaves.

        This patch will:
        - Remove the old format since perf-o-matic supports new format now.
        - Add --reset-results option so that we can explicitly clear existing outputs.
        - Add --slave-config-json-path option to replace --source-json-path option.

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._parse_args): Added --reset-results and --slave-config-json-path options.
        (PerfTestsRunner._generate_and_show_results): Refactored. Also removed the code to strip "values" from
        results since perf-o-matic can parse and store these values now.
        (PerfTestsRunner._merge_outputs_if_needed): Renamed from _merge_outputs_if_needed.
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        (test_run_with_json_output): Test a harmless behavioral change to generate resuls page even when
        --test-results-server is present.
        (test_run_with_description):
        (test_run_generates_json_by_default):
        (test_run_merges_output_by_default): Added.
        (test_run_respects_reset_results): Added.
        (test_run_with_slave_config_json):
        (test_run_with_bad_slave_config_json): Use --slave-config-json-path instead of --source-json-path to make
        sure this optioon works as well.
        (test_run_with_multiple_repositories):
        (test_run_with_upload_json):

2012-09-25  Simon Fraser  <simon.fraser@apple.com>

        Fix SnowLeopard build by adding #ifdefs.
        
        Fix crashes on some tests where the CFURLRef appears to be null.

        * WebKitTestRunner/InjectedBundle/mac/InjectedBundlePageMac.mm:
        (WTR::testPathFromURL):
        (WTR::InjectedBundlePage::platformDidStartProvisionalLoadForFrame):

2012-09-25  Simon Fraser  <simon.fraser@apple.com>

        Speculative build fix for Production builds.

        * DumpRenderTree/mac/Configurations/Base.xcconfig:
        * WebKitTestRunner/Configurations/Base.xcconfig:

2012-09-25  Simon Fraser  <simon.fraser@apple.com>

        Fix the build after r129566.

        * DumpRenderTree/mac/FrameLoadDelegate.mm:

2012-09-25  Dominic Mazzoni  <dmazzoni@google.com>

        AX: AccessibilityUIElementChromium.cpp won't build on Windows without wtf/StringExtras.h
        https://bugs.webkit.org/show_bug.cgi?id=97614

        Unreviewed, fixing windows breakage.

        Added wtf/StringExtras.h to the includes to fix the Chromium/Windows build.

        * DumpRenderTree/chromium/TestRunner/AccessibilityUIElementChromium.cpp:

2012-09-24  Simon Fraser  <simon.fraser@apple.com>

        <rdar://problem/12351906> Have DumpRenderTree and WebKitTestRunner crash logs show which test crashed

        Reviewed by Mark Rowe.

        Use a new WebKitSytemInterface function to add data to crash logs about which 
        test was running when the crash happened.

        * DumpRenderTree/mac/Configurations/DebugRelease.xcconfig: Make sure WEBKIT_SYSTEM_INTERFACE_LIBRARY is defined.
        * DumpRenderTree/mac/Configurations/DumpRenderTree.xcconfig: link with the WebKitSystemInterface library.
        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        (testPathFromURL): Given a (probably) file URL, return the part after "/LayoutTests/"
        (-[FrameLoadDelegate webView:didStartProvisionalLoadForFrame:]): Tell Crash Reporter which test was running,
        if we're the main frame and the test is active.
        * WebKitTestRunner/Configurations/DebugRelease.xcconfig: Make sure WEBKIT_SYSTEM_INTERFACE_LIBRARY is defined.
        * WebKitTestRunner/Configurations/InjectedBundle.xcconfig: link the injected bundle with the WebKitSystemInterface library.
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::didStartProvisionalLoadForFrame): Call platformDidStartProvisionalLoadForFrame().
        (WTR::InjectedBundlePage::platformDidStartProvisionalLoadForFrame): Stub for non-Mac platforms.
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:
        Add a platformDidStartProvisionalLoadForFrame() for platform-specific work.
        * WebKitTestRunner/InjectedBundle/mac/InjectedBundlePageMac.mm: Added.
        (WTR::testPathFromURL): Given a (probably) file URL, return the part after "/LayoutTests/"
        (WTR::InjectedBundlePage::platformDidStartProvisionalLoadForFrame): Tell Crash Reporter which test was running,
        if we're the main frame.
        * WebKitTestRunner/WebKitTestRunner.xcodeproj/project.pbxproj: Add InjectedBundlePageMac.mm.

2012-09-25  Julie Parent  <jparent@chromium.org>

        Make test_shell_tests show up in flakiness dashboard.
        https://bugs.webkit.org/show_bug.cgi?id=97585

        Reviewed by Dirk Pranke.

        test_shell_tests run only on chromium.org, and on the same bots as
        the layout tests, so do not use the generic fallbacks.

        * TestResultServer/static-dashboards/builders.js:
        (loadBuildersList):
        * TestResultServer/static-dashboards/dashboard_base.js:
        (currentBuilderGroupCategory):

2012-09-25  Lucas Forschler  <lforschler@apple.com>

        Python tests fail on Windows bots when running with more than one child process.  Temporarily use only one child process until the problem can be fixed.
        https://bugs.webkit.org/show_bug.cgi?id=97465
        
        Reviewed by Tim Horton.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (RunPythonTests.start):

2012-09-25  Mike West  <mkwst@chromium.org>

        Unreviewed. Adding myself as a committer.

        Yay. :)

        * Scripts/webkitpy/common/config/committers.py:

2012-09-25  Beth Dakin  <bdakin@apple.com>

        https://bugs.webkit.org/show_bug.cgi?id=95397
        Need to merge didFirstVisuallyNonEmptyLayout and 
        didNewFirstVisuallyNonEmptyLayout
        -and corresponding-
        <rdar://problem/10791680>

        Reviewed by Sam Weinig.

        Account for the new member of the PageLoadClient.
        * MiniBrowser/mac/BrowserWindowController.m:
        (-[BrowserWindowController awakeFromNib]):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::initialize):

        The NewFirstVisuallyNonEmptyLayoutForImages has existed for a while, 
        but it did not have the right target membership.
        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:

        Use new didLayout API instead of old 
        didNewFirstVisuallyNonEmptyLayout API.
        * TestWebKitAPI/Tests/WebKit2/NewFirstVisuallyNonEmptyLayout.cpp:
        (TestWebKitAPI):
        (TestWebKitAPI::didLayout):
        (TestWebKitAPI::setPageLoaderClient):
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/NewFirstVisuallyNonEmptyLayoutFails.cpp:
        (TestWebKitAPI):
        (TestWebKitAPI::didLayout):
        (TestWebKitAPI::setPageLoaderClient):
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/NewFirstVisuallyNonEmptyLayoutForImages.cpp:
        (TestWebKitAPI):
        (TestWebKitAPI::didLayout):
        (TestWebKitAPI::setPageLoaderClient):
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/NewFirstVisuallyNonEmptyLayoutFrames.cpp:
        (TestWebKitAPI):
        (TestWebKitAPI::didLayout):
        (TestWebKitAPI::setPageLoaderClient):
        (TestWebKitAPI::TEST):

2012-09-25  Benjamin Poulain  <bpoulain@apple.com>

        Add missing support for Geolocation tests on WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=97518

        Reviewed by Sam Weinig.

        There are two main features added to the tooling to make the test run:
        -Add support for error reporting for position errors through setMockGeolocationPositionUnavailableError.
        -Support the 3 states permission: undefined-allowed-denied.

        * WebKitTestRunner/GeolocationProviderMock.cpp:
        (WTR::GeolocationProviderMock::GeolocationProviderMock):
        (WTR::GeolocationProviderMock::setPosition):
        (WTR::GeolocationProviderMock::setPositionUnavailableError):
        (WTR::GeolocationProviderMock::startUpdating):
        (WTR::GeolocationProviderMock::sendPositionIfNeeded):
        (WTR::GeolocationProviderMock::sendErrorIfNeeded):
        * WebKitTestRunner/GeolocationProviderMock.h:
        (GeolocationProviderMock):
        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::setMockGeolocationPositionUnavailableError):
        * WebKitTestRunner/InjectedBundle/InjectedBundle.h:
        (InjectedBundle):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::setMockGeolocationPositionUnavailableError):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::TestController):
        (WTR::decidePolicyForGeolocationPermissionRequest):
        (WTR::TestController::resetStateToConsistentValues):
        (WTR::TestController::setGeolocationPermission):
        (WTR::TestController::setMockGeolocationPosition):
        (WTR::TestController::setMockGeolocationPositionUnavailableError):
        (WTR::TestController::handleGeolocationPermissionRequest):
        (WTR::TestController::decidePolicyForGeolocationPermissionRequestIfPossible):
        * WebKitTestRunner/TestController.h:
        (TestController):
        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::TestInvocation::didReceiveMessageFromInjectedBundle):

2012-09-25  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r129517.
        http://trac.webkit.org/changeset/129517
        https://bugs.webkit.org/show_bug.cgi?id=97582

        Link errors in chromium (Requested by alecf on #webkit).

        * DumpRenderTree/DumpRenderTree.gypi:
        * DumpRenderTree/chromium/MockConstraints.cpp: Removed.
        * DumpRenderTree/chromium/MockConstraints.h: Removed.
        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        (RTCSessionDescriptionRequestSuccededTask::RTCSessionDescriptionRequestSuccededTask):
        (RTCSessionDescriptionRequestFailedTask::RTCSessionDescriptionRequestFailedTask):
        (RTCVoidRequestTask::RTCVoidRequestTask):
        (isSupportedConstraint):
        (isValidConstraint):
        (MockWebRTCPeerConnectionHandler::initialize):
        * DumpRenderTree/chromium/WebUserMediaClientMock.cpp:
        (WebKit::WebUserMediaClientMock::requestUserMedia):
        * DumpRenderTree/chromium/WebUserMediaClientMock.h:
        (WebKit):
        (WebUserMediaClientMock):
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebKit):
        (WebViewHost):

2012-09-25  Dominic Mazzoni  <dmazzoni@google.com>

        AX: Chromium doesn't pass accessibility text range and line number tests
        https://bugs.webkit.org/show_bug.cgi?id=97246

        Reviewed by Chris Fleizach.

        Provide a chromium implementation of some AccessibilityUIElement
        methods needed by accessibility tests.

        Enables four existing tests to pass on Chromium:
        Tests: accessibility/textarea-insertion-point-line-number.html
               accessibility/textarea-line-for-index.html
               accessibility/textarea-selected-text-range.html
               accessibility/textbox-role-reports-selection.html

        * DumpRenderTree/chromium/TestRunner/AccessibilityUIElementChromium.cpp:
        (AccessibilityUIElement::insertionPointLineNumberGetterCallback):
        (AccessibilityUIElement::selectedTextRangeGetterCallback):
        (AccessibilityUIElement::lineForIndexCallback):
        (AccessibilityUIElement::setSelectedTextRangeCallback):

2012-09-25  Peter Beverloo  <peter@chromium.org>

        [Chromium] Android's build archives have grown from 38M to 102M in 11 days
        https://bugs.webkit.org/show_bug.cgi?id=97336

        Reviewed by Adam Barth.

        Each WebKit target results in four APKs in the out/{Debug,Release}/ directory,
        while we really only need one. Ignoring the unsigned APKs removes six from
        the archive will make sure that we only archive a single APK per target,
        bringing its size back to rougly 40 megabytes.

        * BuildSlaveSupport/built-product-archive:
        (archiveBuiltProduct):

2012-09-25  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: Update getUserMedia to match the latest specification
        https://bugs.webkit.org/show_bug.cgi?id=97540

        Reviewed by Adam Barth.

        Adding mock support for the enhanced getUserMedia call.

        * DumpRenderTree/DumpRenderTree.gypi:
        * DumpRenderTree/chromium/MockConstraints.cpp: Copied from Source/WebCore/platform/chromium/support/WebMediaConstraints.cpp.
        (MockConstraints):
        (MockConstraints::isSupported):
        (MockConstraints::isValid):
        (MockConstraints::verify):
        * DumpRenderTree/chromium/MockConstraints.h: Copied from Tools/DumpRenderTree/chromium/WebUserMediaClientMock.h.
        (WebKit):
        (MockConstraints):
        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        (RTCSessionDescriptionRequestSuccededTask::RTCSessionDescriptionRequestSuccededTask):
        (RTCSessionDescriptionRequestFailedTask::RTCSessionDescriptionRequestFailedTask):
        (RTCVoidRequestTask::RTCVoidRequestTask):
        (MockWebRTCPeerConnectionHandler::initialize):
        * DumpRenderTree/chromium/WebUserMediaClientMock.cpp:
        (UserMediaRequestTask):
        (UserMediaRequestTask::UserMediaRequestTask):
        (WebUserMediaClientMock::requestUserMedia):
        * DumpRenderTree/chromium/WebUserMediaClientMock.h:
        (WebUserMediaClientMock):
        (WebUserMediaClientMock::taskList):
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebKit):
        (WebViewHost):

2012-09-25  Raphael Kubo da Costa  <raphael.kubo.da.costa@intel.com>

        [EFL] Do not dump inspector output in DRT
        https://bugs.webkit.org/show_bug.cgi?id=97018

        Reviewed by Kenneth Rohde Christiansen.

        Some inspector-related layout tests expect console output from the
        inspector view to be suppressed. Do that by setting a property in
        the inspector view that makes the onConsoleMessage callback return
        early and not output anything.

        Using evas_object_data_{get,set} is not very beautiful, but it is
        still better than properly subclassing Ewk_View and having to
        implement something similar to drt_view_console_message_enable_set().

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::createWebInspectorView):
        * DumpRenderTree/efl/DumpRenderTreeView.cpp:
        (onConsoleMessage):

2012-09-25  Christophe Dumez  <christophe.dumez@intel.com>

        [WK2][WKTR] TestRunner needs support for setWillSendRequestReturnsNullOnRedirect
        https://bugs.webkit.org/show_bug.cgi?id=97542

        Reviewed by Kenneth Rohde Christiansen.

        Implement support for setWillSendRequestReturnsNullOnRedirect
        in WebKitTestRunner.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::willSendRequestForFrame):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::TestRunner):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (WTR::TestRunner::willSendRequestReturnsNullOnRedirect):
        (WTR::TestRunner::setWillSendRequestReturnsNullOnRedirect):
        (TestRunner):

2012-09-25  Xiaobo Wang  <xbwang@torchmobile.com.cn>

        [BlackBerry] [DRT] fast/forms/textarea-live-pseudo-selectors.html failed
        https://bugs.webkit.org/show_bug.cgi?id=97189

        Reviewed by Rob Buis.

        Translate ASCII key code to BlackBerry key code for BACKSPACE and DELETE key.

        * DumpRenderTree/blackberry/EventSender.cpp:
        (keyDownCallback):

2012-09-25  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [WK2][WTR] WTR bundle client loads binary data as text
        https://bugs.webkit.org/show_bug.cgi?id=97532

        Reviewed by Kenneth Rohde Christiansen.

        WTR::InjectedBundlePage::decidePolicyForResponse now checks response MIME type
        and returns WKBundlePagePolicyActionPassThrough if it cannot be shown.

        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::decidePolicyForResponse):

2012-09-25  Zan Dobersek  <zandobersek@gmail.com>

        Unreviewed, another test case adjustment after r129459. Python 2.7 doesn't
        seem to be a requirement yet so the assertDictEqual method is not yet available
        on all builders. Assert that the empty dictionary length equals 0 instead.

        * Scripts/webkitpy/layout_tests/controllers/manager_unittest.py:
        (ResultSummaryTest.test_interpret_test_failures):

2012-09-24  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Fix build with latest Qt 5
        https://bugs.webkit.org/show_bug.cgi?id=97479

        Reviewed by Tor Arne Vestbø.

        The variables for syncqt handling are now set in api.pri, but let's add a comment here that we can
        remove them from default_pre.prf once we're past Qt 5 beta2.

        * qmake/mkspecs/features/default_pre.prf:

2012-09-25  Zan Dobersek  <zandobersek@gmail.com>

        Unreviewed, adjusting the test cases after r129459. The JSON data
        for reftests now contains the 'reftest_type' key and no more 'is_reftest'
        or 'is_mismatch_reftest' keys.

        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (EndToEndTest.test_reftest_with_two_notrefs):

2012-09-24  Zan Dobersek  <zandobersek@gmail.com>

        Unexpected reftest passes are only reported when pixel testing is enabled in results.html as well
        https://bugs.webkit.org/show_bug.cgi?id=97426

        Reviewed by Ojan Vafai.

        The 'is_reftest' member of the TestResult class has been replaced by the reftest_type
        member which is a set containing either '!=', '==', both or none if the test represented
        by the object is not a reftest.

        When summarizing results, the test dictionary is updated to contain the 'reftest_type' key
        if the test is a reftest. The value of this key is a list of all the reftest types of this test.

        The test failure interpretation method has been refactored, it now reports only
        missing results of various formats and image diff percent in case of image or
        reftest mismatch.

        Unit tests have been modified accordingly.

        * Scripts/webkitpy/layout_tests/controllers/layout_test_runner.py:
        (LayoutTestRunner._update_summary_with_result):
        * Scripts/webkitpy/layout_tests/controllers/layout_test_runner_unittest.py:
        (LayoutTestRunnerTests.test_update_summary_with_result):
        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (interpret_test_failures):
        (summarize_results):
        * Scripts/webkitpy/layout_tests/controllers/manager_unittest.py:
        (ResultSummaryTest.test_interpret_test_failures):
        * Scripts/webkitpy/layout_tests/controllers/single_test_runner.py:
        (SingleTestRunner.run):
        (SingleTestRunner._run_reftest):
        * Scripts/webkitpy/layout_tests/models/test_results.py:
        (TestResult.__init__):
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (EndToEndTest.test_reftest_with_two_notrefs):

2012-09-24  Sam Weinig  <sam@webkit.org>

        Use NSUserDefaults rather than an environment variable to control whether to use an XPC Service for the WebProcess
        https://bugs.webkit.org/show_bug.cgi?id=97514

        Reviewed by Anders Carlsson.

        * Scripts/webkitdirs.pm:
        (argumentsForRunAndDebugMacWebKitApp):
        Push "-WebKit2UseXPCServiceForWebProcess YES" as arguments when --use-web-process-xpc-service
        is provided to set the user default. Move adding of @ARGV to after custom additions as calling
        shouldUseXPCServiceForWebProcess() can change @ARGV.

        (runMacWebKitApp):
        (execMacWebKitAppForDebugging):
        Stop setting the WEBKIT_USE_XPC_SERVICE_FOR_WEB_PROCESS environment variable.

2012-09-24  Laszlo Gombos  <l.gombos@samsung.com>

        [GTK][EFL] Make sure cairo is built with fontconfig support
        https://bugs.webkit.org/show_bug.cgi?id=97513

        Reviewed by Martin Robinson.

        The GTK and EFL port of WebKit requires a version of cairo that is built with fontconfig support. 

        * efl/jhbuild.modules:
        * gtk/jhbuild.modules:

2012-09-24  Benjamin Poulain  <bpoulain@apple.com>

        Fix Geolocation error reporting in the test support
        https://bugs.webkit.org/show_bug.cgi?id=97386

        Reviewed by Sam Weinig.
        The TestRunner was exposing internal implementation details of
        the Geolocation object through setMockGeolocationError().

        In practice, only the error code PositionUnavailable is supported
        or even implemented.

        Exposing setMockGeolocationError() does not make sense for WebKit2 as
        passing generic errors from the UIProcess is a bad idea. This is the
        opportunity to clean TestRunner and prepare and interface suitable for WebKit2.

        * DumpRenderTree/TestRunner.cpp:
        (setMockGeolocationPositionUnavailableErrorCallback):
        (TestRunner::staticFunctions):
        * DumpRenderTree/TestRunner.h:
        (TestRunner):
        * DumpRenderTree/blackberry/TestRunnerBlackBerry.cpp:
        (TestRunner::setMockGeolocationPositionUnavailableError):
        * DumpRenderTree/chromium/DRTTestRunner.cpp:
        (DRTTestRunner::DRTTestRunner):
        (DRTTestRunner::setMockGeolocationPositionUnavailableError):
        * DumpRenderTree/chromium/DRTTestRunner.h:
        (DRTTestRunner):
        * DumpRenderTree/efl/TestRunnerEfl.cpp:
        (TestRunner::setMockGeolocationPositionUnavailableError):
        * DumpRenderTree/gtk/TestRunnerGtk.cpp:
        (TestRunner::setMockGeolocationPositionUnavailableError):
        * DumpRenderTree/mac/MockGeolocationProvider.h:
        * DumpRenderTree/mac/MockGeolocationProvider.mm:
        (-[MockGeolocationProvider dealloc]):
        (-[MockGeolocationProvider resetError]):
        (-[MockGeolocationProvider setPosition:]):
        (-[MockGeolocationProvider setPositionUnavailableErrorWithMessage:]):
        (-[MockGeolocationProvider lastPosition]):
        (-[MockGeolocationProvider timerFired]):
        * DumpRenderTree/mac/TestRunnerMac.mm:
        (TestRunner::setMockGeolocationPositionUnavailableError):
        * DumpRenderTree/qt/TestRunnerQt.cpp:
        (TestRunner::setMockGeolocationPositionUnavailableError):
        * DumpRenderTree/qt/TestRunnerQt.h:
        (TestRunner):
        * DumpRenderTree/win/TestRunnerWin.cpp:
        (TestRunner::setMockGeolocationPositionUnavailableError):
        * DumpRenderTree/wx/TestRunnerWx.cpp:
        (TestRunner::setMockGeolocationPositionUnavailableError):

2012-09-24  Nikhil Bansal  <n.bansal@samsung.com>

        [EFL][WK2] TestRunner needs touch events support.
        https://bugs.webkit.org/show_bug.cgi?id=96465

        Reviewed by Kenneth Rohde Christiansen.

        Simulate touch events in WebkitTestRunner for touch related
        layout tests. This patch uses ewk_view_feed_touch_event() to
        generate touch events.

        * WebKitTestRunner/EventSenderProxy.h:
        (EventSenderProxy):
        * WebKitTestRunner/efl/EventSenderProxyEfl.cpp:
        (WTR):
        (WTR::setEvasModifiers):
        (WTR::EventSenderProxy::EventSenderProxy):
        (WTR::EventSenderProxy::~EventSenderProxy):
        (WTR::EventSenderProxy::sendTouchEvent):
        (WTR::EventSenderProxy::addTouchPoint):
        (WTR::EventSenderProxy::updateTouchPoint):
        (WTR::EventSenderProxy::setTouchModifier):
        (WTR::EventSenderProxy::touchStart):
        (WTR::EventSenderProxy::touchMove):
        (WTR::EventSenderProxy::touchEnd):
        (WTR::EventSenderProxy::touchCancel):
        (WTR::EventSenderProxy::clearTouchPoints):
        (WTR::EventSenderProxy::releaseTouchPoint):
        (WTR::EventSenderProxy::cancelTouchPoint):

2012-09-24  Christophe Dumez  <christophe.dumez@intel.com>

        [WK2] TestRunner does not support overridePreference with value "0"
        https://bugs.webkit.org/show_bug.cgi?id=97457

        Reviewed by Alexey Proskuryakov.

        testRunner.overridePreference() was marked as taking a boolean
        in argument in testRunner.idl even though the test cases are
        passing strings to it. The current code works if the test
        case wants to enable a setting and therefore passes "1" string.
        However, if the test wants to disable a setting and passes "0"
        string, the current code also evaluates this to true causing
        certain test cases to fail.

        The argument to testRunner.overridePreference() is now of string
        type and a function has been added to convert the string passed
        by the test to a boolean value.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::toBool):
        (WTR):
        (WTR::TestRunner::overridePreference):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):

2012-09-24  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r129343.
        http://trac.webkit.org/changeset/129343
        https://bugs.webkit.org/show_bug.cgi?id=97479

        It broke the build (Requested by Ossy_NIGHT on #webkit).

        * qmake/mkspecs/features/default_pre.prf:

2012-09-24  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk] Unskip the Shadow DOM layout tests
        https://bugs.webkit.org/show_bug.cgi?id=90776

        Reviewed by Ryosuke Niwa.

        Enable Shadow DOM through DumpRenderTreeSupport when resetting defaults in between tests.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):

2012-09-24  Zan Dobersek  <zandobersek@gmail.com>

        REGRESSION (r129211-r129218): http/tests/loading/redirect-with-no-location-crash.html failing on GTK Linux 64-bit Release WK2 (Tests)
        https://bugs.webkit.org/show_bug.cgi?id=97404

        Reviewed by Philippe Normand.

        Print out the 'didReceiveTitle' information when dumping frame load callbacks.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (webViewTitleChanged):

2012-09-24  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Fix build with latest Qt 5

        Reviewed by Tor Arne Vestbø.

        The variables for syncqt handling are now set in api.pri, but let's add a comment here that we can
        remove them from default_pre.prf once we're past Qt 5 beta2.

        * qmake/mkspecs/features/default_pre.prf:

2012-09-22  Dominic Mazzoni  <dmazzoni@google.com>

        AX: Layout tests would be easier to write if AccessibilityController could find an element by id
        https://bugs.webkit.org/show_bug.cgi?id=97301

        Reviewed by Chris Fleizach.

        Adds a new accessibleElementById method to AccessibilityController, to make it
        easier to write cross-platform layout tests.

        Implemented for Chromium and for Mac (DRT and WKTR).

        * DumpRenderTree/AccessibilityController.cpp:
        (getAccessibleElementByIdCallback):
        (AccessibilityController::getJSClass):
        * DumpRenderTree/AccessibilityController.h:
        (AccessibilityController):
        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        * DumpRenderTree/chromium/TestRunner/AccessibilityControllerChromium.cpp:
        (AccessibilityController::AccessibilityController):
        (AccessibilityController::findAccessibleElementByIdRecursive):
        (AccessibilityController::getAccessibleElementById):
        (AccessibilityController::accessibleElementByIdGetterCallback):
        * DumpRenderTree/chromium/TestRunner/AccessibilityControllerChromium.h:
        (AccessibilityController):
        * DumpRenderTree/gtk/AccessibilityControllerGtk.cpp:
        (AccessibilityController::accessibleElementById):
        * DumpRenderTree/mac/AccessibilityCommonMac.h: added
        * DumpRenderTree/mac/AccessibilityCommonMac.mm: added
        (+[NSString stringWithJSStringRef:]):
        (-[NSString createJSStringRef]):
        * DumpRenderTree/mac/AccessibilityControllerMac.mm:
        (findAccessibleObjectById):
        (AccessibilityController::accessibleElementById):
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        * DumpRenderTree/win/AccessibilityControllerWin.cpp:
        (AccessibilityController::accessibleElementById):
        * WebKitTestRunner/InjectedBundle/AccessibilityController.cpp:
        (WTR::AccessibilityController::accessibleElementById):
        * WebKitTestRunner/InjectedBundle/AccessibilityController.h:
        (AccessibilityController):
        * WebKitTestRunner/InjectedBundle/Bindings/AccessibilityController.idl:
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityCommonMac.h: added
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityCommonMac.mm: added
        (+[NSString stringWithJSStringRef:]):
        (-[NSString createJSStringRef]):
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityControllerMac.mm:
        (WTR::findAccessibleObjectById):
        (WTR):
        (WTR::AccessibilityController::accessibleElementById):
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityUIElementMac.mm:
        * WebKitTestRunner/WebKitTestRunner.xcodeproj/project.pbxproj:

2012-09-22  Zan Dobersek  <zandobersek@gmail.com>

        Unexpected reftest passes are only reported when pixel testing is enabled
        https://bugs.webkit.org/show_bug.cgi?id=97242

        Reviewed by Dirk Pranke.

        LayoutTestRunner should know whether the finished test it's handling is
        a reftest. This is necessary when updating result summary for reftests
        when pixel testing is not enabled - in these circumstances an unexpectedly
        passing reftest was not reported as such due to pixel testing then being
        determined by searching for reftest failures in failures list, which were
        not found in an empty failure list of a passing test. Now the TestResult
        objects have a member variable indicating the test is a reftest whenever
        that's the case.

        * Scripts/webkitpy/layout_tests/controllers/layout_test_runner.py:
        (LayoutTestRunner._update_summary_with_result):
        * Scripts/webkitpy/layout_tests/controllers/layout_test_runner_unittest.py:
        (LayoutTestRunnerTests.test_update_summary_with_result):
        * Scripts/webkitpy/layout_tests/controllers/single_test_runner.py:
        (SingleTestRunner.run):
        (SingleTestRunner._run_reftest):
        * Scripts/webkitpy/layout_tests/models/test_results.py:
        (TestResult.__init__):

2012-09-21  Sam Weinig  <sam@webkit.org>

        WebProcess XPC services need have their environment set without disrupting all other XPC services
        https://bugs.webkit.org/show_bug.cgi?id=95161

        Reviewed by Anders Carlsson.

        Remove setting the __XPC_* environment variables.

        * Scripts/webkitdirs.pm:
        (setUpGuardMallocIfNeeded):
        (runMacWebKitApp):
        (execMacWebKitAppForDebugging):

2012-09-21  Dirk Pranke  <dpranke@chromium.org>

        Fix typo in additional-platform-directory patch just landed
        https://bugs.webkit.org/show_bug.cgi?id=97380
        
        Unreviewed, build fix.

        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port.relative_test_filename):
        (Port.relative_perf_test_filename):

2012-09-21  Dirk Pranke  <dpranke@chromium.org>

        nrwt: don't require additional-platform-directory to be an abspath or live under LayoutTests
        https://bugs.webkit.org/show_bug.cgi?id=97380

        Reviewed by Ojan Vafai.

        There doesn't seem to be a good reason for this restriction and
        it's useful to be able to point to directories outside the
        checkout for results (e.g., for local failures due to a 10.7.4
        install ;).

        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port.relative_test_filename):
        (Port.relative_perf_test_filename):
        * Scripts/webkitpy/layout_tests/port/chromium_android.py:
        (ChromiumAndroidDriver._command_from_driver_input):
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        (_set_up_derived_options):
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (MainTest.test_additional_platform_directory):

2012-09-21  Dirk Pranke  <dpranke@chromium.org>

        webkitpy: drop support for old TestExpectations syntax
        https://bugs.webkit.org/show_bug.cgi?id=97364

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectationParser._collect_matching_tests):
        (TestExpectationParser):
        (TestExpectationParser._tokenize_line):
        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (SkippedTests.test_skipped_entry_dont_exist):
        (ExpectationSyntaxTests.assert_tokenize_exp):
        (ExpectationSyntaxTests.test_bare_name):
        (ExpectationSyntaxTests.test_bare_name_and_bugs):
        (ExpectationSyntaxTests.test_comments):
        (ExpectationSyntaxTests.test_config_modifiers):
        (ExpectationSyntaxTests.test_unknown_config):
        (ExpectationSyntaxTests.test_unknown_expectation):
        (ExpectationSyntaxTests.test_skip):
        (ExpectationSyntaxTests.test_slow):
        (ExpectationSyntaxTests.test_wontfix):
        (ExpectationSyntaxTests.test_blank_line):
        (ExpectationSyntaxTests.test_warnings):
        (RebaseliningTest.test_no_get_rebaselining_failures):

2012-09-21  Simon Fraser  <simon.fraser@apple.com>

        Improve WTR unresponsiveness output a little
        https://bugs.webkit.org/show_bug.cgi?id=97370

        Reviewed by Timothy Horton.

        Distinguish between conditions that already set the errorMessage,
        and unresponsiveness due to slow about:blank loads when WTR
        reports unresponsiveness.

        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::TestInvocation::invoke):

2012-09-21  Chris Rogers  <crogers@google.com>

        Add Web Audio support for deprecated/legacy APIs
        https://bugs.webkit.org/show_bug.cgi?id=97050

        Reviewed by Eric Carlson.

        * Scripts/webkitperl/FeatureList.pm:

2012-09-21  Dirk Pranke  <dpranke@chromium.org>

        webkitpy: update remaining tests to use the new expectation syntax
        https://bugs.webkit.org/show_bug.cgi?id=97362

        Reviewed by Ojan Vafai.

        This patch updates all the unit tests that were still using the
        old TestExpectations syntax to use the new syntax *except* for
        the tests that were specifically testing that we parsed the old
        syntax correctly.

        Also, a block of tests for the new syntax were duplicated, so
        I've deleted the duplicate.

        Note that the old syntax is still supported so this change should
        produce no visible changes.

        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (MiscTests.test_multiple_results):
        (MiscTests.test_category_expectations):
        (MiscTests.test_error_on_different_platform):
        (MiscTests.test_error_on_different_build_type):
        (MiscTests.test_overrides):
        (MiscTests.test_overrides__directory):
        (MiscTests.test_overrides__duplicate):
        (MiscTests.test_more_specific_override_resets_skip):
        (SkippedTests.check):
        (SkippedTests.test_duplicate_skipped_test_fails_lint):
        (SkippedTests.test_skipped_file_overrides_expectations):
        (SkippedTests.test_skipped_dir_overrides_expectations):
        (SkippedTests.test_skipped_file_overrides_overrides):
        (SkippedTests.test_skipped_dir_overrides_overrides):
        (ExpectationSyntaxTests.disabled_test_missing_expectation):
        (ExpectationSyntaxTests.disabled_test_missing_colon):
        (ExpectationSyntaxTests.disabled_test_too_many_colons):
        (ExpectationSyntaxTests.disabled_test_too_many_equals_signs):
        (ExpectationSyntaxTests):
        (ExpectationSyntaxTests.test_unrecognized_expectation):
        (ExpectationSyntaxTests.test_macro):
        (SemanticTests.test_bug_format):
        (SemanticTests.test_bad_bugid):
        (SemanticTests.test_missing_bugid):
        (SemanticTests.test_slow_and_timeout):
        (SemanticTests.test_rebaseline):
        (test_missing_file):
        (test_ambiguous):
        (test_more_modifiers):
        (test_order_in_file):
        (test_macro_overrides):
        (OldExpectationParserTests):
        (OldExpectationParserTests._tokenize):
        (OldExpectationParserTests.test_tokenize_extra_colon):
        (OldExpectationParserTests.test_tokenize_missing_equal):
        (OldExpectationParserTests.test_tokenize_extra_equal):
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (MainTest.test_skip_failing_tests):
        (MainTest.test_additional_expectations):
        * Scripts/webkitpy/style/checkers/test_expectations_unittest.py:
        (TestExpectationsTestCase.test_valid_expectations):
        (TestExpectationsTestCase.test_invalid_expectations):
        (TestExpectationsTestCase.test_tab):

2012-09-21  Benjamin Poulain  <bpoulain@apple.com>

        [WK2] Add basic testing support for Geolocation
        https://bugs.webkit.org/show_bug.cgi?id=97278

        Reviewed by Kenneth Rohde Christiansen.

        Update the Geolocation testing to use the proper API in the UIProcess.

        * WebKitTestRunner/CMakeLists.txt:
        * WebKitTestRunner/GNUmakefile.am:

        * WebKitTestRunner/GeolocationProviderMock.cpp: Added.
        (WTR::startUpdatingCallback):
        (WTR::stopUpdatingCallback):
        (WTR::GeolocationProviderMock::GeolocationProvierMock):
        (WTR::GeolocationProviderMock::setMockGeolocationPosition):
        (WTR::GeolocationProviderMock::startUpdating):
        (WTR::GeolocationProviderMock::stopUpdating):
        (GeolocationProviderMock):
        The GeolocationProvider store the location update and deliver them as needed.

        WebCore GeolocationController do not support asynchronous update on start/stop. This is not
        a problem in this case because all the messages between the WebProcess and the UIProcess are
        asynchronous. Because of this, unlike GeolocationClientMock, we do not use a timer for event
        delivery.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::setGeolocationPermission):
        (WTR::InjectedBundle::setMockGeolocationPosition):
        * WebKitTestRunner/InjectedBundle/InjectedBundle.h:
        (InjectedBundle):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::setGeolocationPermission):
        (WTR::TestRunner::setMockGeolocationPosition):
        From the InjectedBundle, we now pass the information to the UIProcess so that
        GeolocationProvider and the TestController can respond appropriately.

        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):
        * WebKitTestRunner/Target.pri:
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::TestController):
        (WTR::decidePolicyForGeolocationPermissionRequest):
        (WTR::TestController::createOtherPage):
        (WTR::TestController::initialize):
        (WTR::TestController::setMockGeolocationPosition):
        * WebKitTestRunner/TestController.h:
        (TestController):
        (WTR::TestController::setGeolocationPermission):
        (WTR::TestController::isGeolocationPermissionAllowed):
        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::TestInvocation::didReceiveMessageFromInjectedBundle):
        * WebKitTestRunner/WebKitTestRunner.xcodeproj/project.pbxproj:
        * WebKitTestRunner/win/WebKitTestRunner.vcproj:

2012-09-21  Joanmarie Diggs  <jdiggs@igalia.com>

        REGRESSION (r127882): accessibility/spinbutton-value.html failing on GTK
        https://bugs.webkit.org/show_bug.cgi?id=96196

        Reviewed by Martin Robinson.

        The "regression" is that a new test was added but the support was missing
        in the Gtk port for spin buttons.

        * DumpRenderTree/gtk/AccessibilityUIElementGtk.cpp:
        (AccessibilityUIElement::valueDescription): Updated the FIXME comment to
        indicate that this cannot be implemented until it is implemented in ATK.
        URL of the newly-filed ATK bug included for reference.

2012-09-21  Dirk Pranke  <dpranke@chromium.org>

        Fix test_skip_and_wontfix failure
        https://bugs.webkit.org/show_bug.cgi?id=97225

        Unreviewed, build fix.

        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (SemanticTests.test_skip_and_wontfix):

2012-09-21  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Implement ViewState methods in PageClientImpl in WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=97202

        Reviewed by Martin Robinson.

        * WebKitTestRunner/gtk/PlatformWebViewGtk.cpp:
        (WTR::PlatformWebView::focus): Focus the view.

2012-09-21  Sudarsana Nagineni  <sudarsana.nagineni@intel.com>

        [WTR] Memory leaks in InjectedBundleController::initialize()
        https://bugs.webkit.org/show_bug.cgi?id=97329

        Reviewed by Alexey Proskuryakov.

        Fix leaks in InjectedBundleController::initialize() by adopting
        strings created with WKStringCreateWithUTF8CString().

        * TestWebKitAPI/InjectedBundleController.cpp:
        (TestWebKitAPI::InjectedBundleController::initialize):

2012-09-21  Marcelo Lira  <marcelo.lira@openbossa.org>

        [Qt][WK2] Removed duplicated code from EventSenderProxy::keyDown
        https://bugs.webkit.org/show_bug.cgi?id=97235

        Reviewed by Luiz Agostini.

        * WebKitTestRunner/qt/EventSenderProxyQt.cpp:
        (WTR::EventSenderProxy::keyDown):

2012-09-21  Gergely Kis  <gergely@homejinni.com>

        Add MIPS build slave to build.webkit.org
        https://bugs.webkit.org/show_bug.cgi?id=96713

        Reviewed by Csaba Osztrogonác.

        Added a build slave for MIPS, and enabled a builder for 
        Qt Linux MIPS32R2 little-endian release build.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2012-09-21  Peter Beverloo  <peter@chromium.org>

        [Chromium] Switch back to a fixed fifo path for Android
        https://bugs.webkit.org/show_bug.cgi?id=97230

        Reviewed by Tony Chang.

        Because not all external storage cards will be formated using a file
        system that supports named pipes, Chromium has been changed to creating
        the pipes in a temporary folder on the internal storage. Adapt this in
        WebKit so we can continue to run layout tests.

        This also includes an *unreviewed* fix for a breakage in the webkitpy
        tests I made in r129221. Two lines and related to this code, so I decided
        to include it in this change.

        * Scripts/webkitpy/layout_tests/port/chromium_android.py:
        (ChromiumAndroidDriver.__init__):
        (ChromiumAndroidDriver._setup_test):
        (ChromiumAndroidDriver._update_version):

2012-09-20  Peter Beverloo  <peter@chromium.org>

        Leverage Chromium's code to set up FIFOs for Chromium Android layout tests
        https://bugs.webkit.org/show_bug.cgi?id=97227

        Reviewed by Tony Chang.

        We switched Chromium to using FIFOs in order to achieve better consistency,
        which was done by Marcus in r157541. Remove all custom WebKit code in
        favor of Chromium's implementation.

        Remove more FIFO code in the test runner itself, including the code in
        DumpRenderTree that invoked it. We can now switch to Chromium's brand
        new FIFO-creating code, which is being set-up for all test targets build
        for Android, including DumpRenderTree, TestWebKitAPI and webkit_unit_tests.

        This also changes the ChromiumAndroidDriver._remove_all_pipes method to
        delete the files individually. "rm" would fail if one of the earlier files
        does not exist, and the "-f" argument doesn't seem to be reliable.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * DumpRenderTree/chromium/TestShellAndroid.cpp:
        (platformInit):
        * Scripts/webkitpy/layout_tests/port/chromium_android.py:
        (ChromiumAndroidDriver.__init__):
        (ChromiumAndroidDriver._setup_test):
        (ChromiumAndroidDriver._get_external_storage):
        (ChromiumAndroidDriver._drt_cmd_line):
        (ChromiumAndroidDriver._remove_all_pipes):
        (ChromiumAndroidDriver.stop):
        * TestWebKitAPI/TestWebKitAPI.gyp/TestWebKitAPI.gyp:

2012-09-21  Christophe Dumez  <christophe.dumez@intel.com>

        [WK2][WKTR] EventSender needs to implement scheduleAsynchronousClick
        https://bugs.webkit.org/show_bug.cgi?id=97326

        Reviewed by Kenneth Rohde Christiansen.

        Implement scheduleAsynchronousClick() in WebKitTestRunner's
        EventSender by sending a "MouseDown" and a "MouseUp" message
        asynchronously to the WebProcess.

        * WebKitTestRunner/InjectedBundle/Bindings/EventSendingController.idl:
        * WebKitTestRunner/InjectedBundle/EventSendingController.cpp:
        (WTR::createMouseMessageBody):
        (WTR):
        (WTR::EventSendingController::mouseDown):
        (WTR::EventSendingController::mouseUp):
        (WTR::EventSendingController::scheduleAsynchronousClick):
        * WebKitTestRunner/InjectedBundle/EventSendingController.h:
        (EventSendingController):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::didReceiveMessageFromInjectedBundle):

2012-09-21  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Error out early if we don't have ICU available

        Reviewed by Tor Arne Vestbø.

        * qmake/mkspecs/features/configure.prf:

2012-09-21  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Bail out when trying to build WebKit with Qt != 5

        Reviewed by Tor Arne Vestbø.

        Moved check for Qt version out of default_pre into top-level WebKit.pro,
        because we never reach default_pre.prf due to the lack of .qmake.conf support
        in older versions of Qt/QMake.

        * qmake/mkspecs/features/default_pre.prf:

2012-09-21  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        WebKitTestRunner needs to print frame load delegate information
        https://bugs.webkit.org/show_bug.cgi?id=42705

        Reviewed by Kenneth Rohde Christiansen.

        Added missing dumping from WTR::InjectedBundlePage::didFailLoadWithErrorForFrame.

        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::didFailLoadWithErrorForFrame):

2012-09-21  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] EventSender should mimic CTRL+o emacs shortcut
        https://bugs.webkit.org/show_bug.cgi?id=97224

        Reviewed by Kenneth Rohde Christiansen.

        Add support for mimicking CTRL+o emacs shortcut in EFL's
        EventSender in DumpRenderTree and WebKitTestRunner.

        * DumpRenderTree/efl/EventSender.cpp:
        (sendKeyDown):
        * WebKitTestRunner/efl/EventSenderProxyEfl.cpp:
        (WTR::EventSenderProxy::keyDown):

2012-09-21  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Re-fix clean builds

        Reviewed by Tor Arne Vestbø.

        Re-introduce the sanitization for LIBS when creating a module to use
        LIBS_PRIVATE and otherwise do _not_ use LIBS_PRIVATE. We decided to
        continue to use QT, LIBS and PKGCONFIG instead of their _PRIVATE variants
        throughout the code base, so just using LIBS_PRIVATE in linkAgainstLibrary()
        causes build issues when depending system libraries end up in LIBS before
        LIBS_PRIVATE.

        * qmake/mkspecs/features/default_post.prf:
        * qmake/mkspecs/features/functions.prf:

2012-09-20  Simon Fraser  <simon.fraser@apple.com>

        Comment out a failing webkitpy unit test until Dirk can fix it.

        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (SemanticTests.test_skip_and_wontfix):

2012-09-20  Dirk Pranke  <dpranke@chromium.org>

        make Skip, WontFix be the only expectations on a line
        https://bugs.webkit.org/show_bug.cgi?id=97225

        Reviewed by Ojan Vafai.

        It is now incorrect in the new syntax to have a line like:

            foo.html [ WontFix Crash ]

        This will generate a lint warning and be treated as an invalid
        line. Fixing this caused a whole bunch of unit tests to need updating
        to no longer be marked as WontFix :). Also, this patch adjusts
        the warnings so that missing Bug() identifiers will cause lint
        warnings but will *not* cause the line to be treated as invalid.
        Fixing these issues also revealed that test_hung_thread was no
        longer testing the right logic, so I adjusted the timeouts in
        test.py to make that test work again.

        * Scripts/webkitpy/layout_tests/controllers/layout_test_runner.py:
        (Worker._run_test_in_another_thread):
        * Scripts/webkitpy/layout_tests/controllers/manager_unittest.py:
        (ResultSummaryTest.test_summarized_results_wontfix):
        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectationParser._parse_modifiers):
        (TestExpectationParser._tokenize_line_using_new_format):
        (TestExpectationLine.is_invalid):
        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (BasicTests.test_basic):
        (test_get_test_set):
        (test_parse_warning):
        (test_pixel_tests_flag):
        (SemanticTests.test_missing_bugid):
        (SemanticTests):
        (SemanticTests.test_skip_and_wontfix):
        * Scripts/webkitpy/layout_tests/port/test.py:
        (TestDriver.run_test):
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (MainTest.test_hung_thread):
        * Scripts/webkitpy/tool/commands/queries_unittest.py:
        (PrintExpectationsTest.test_basic):
        (PrintExpectationsTest.test_multiple):
        (PrintExpectationsTest.test_full):
        (PrintExpectationsTest.test_exclude):
        (PrintExpectationsTest.test_csv):

2012-09-20  Lucas Forschler  <lforschler@apple.com>

        Unreviewed.  Start running tests on the mac-ews.
        
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (MacEWS):

2012-09-20  Tony Chang  <tony@chromium.org>

        [chromium] Enable more clang warnings
        https://bugs.webkit.org/show_bug.cgi?id=97257

        Reviewed by James Robinson.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp: Add -Wunused-parameter. Don't add -Wglobal-constructors because
        there are lots of violations in these files.

2012-09-19  Ryosuke Niwa  <rniwa@webkit.org>

        run-perf-tests should record individual value instead of statistics
        https://bugs.webkit.org/show_bug.cgi?id=97155

        Reviewed by Hajime Morita.

        Parse the list of individual value reported by tests and include them as "values".
        We strip "values" from the output JSON when uploading it to the perf-o-matic
        since it doesn't know how to parse "values" or ignore it.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest):
        (PerfTest.parse_output): Parse and report "values".
        (PageLoadingPerfTest.run): Report indivisual page loading time in "values".
        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (MainTest.test_parse_output):
        (MainTest.test_parse_output_with_failing_line):
        (TestPageLoadingPerfTest.test_run):
        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._generate_and_show_results): Strip "values" from each result
        until we update perf-o-matic.
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        (test_run_memory_test):
        (test_run_with_json_output):
        (test_run_with_description):
        (test_run_with_slave_config_json):
        (test_run_with_multiple_repositories):

2012-09-20  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Fix production builds

        Unreviewed trivial fix: Follow up r129119 and avoid clobbering LIBS through the use of LIBS_PRIVATE.

        Otherwise the libQtWebKit.prl file for example contains -lWebKit1 -lWebCore, etc.

        * qmake/mkspecs/features/functions.prf:

2012-09-20  Dirk Pranke  <dpranke@chromium.org>

        REGRESSION: layout test results doesn't show diffs
        https://bugs.webkit.org/show_bug.cgi?id=97182

        Reviewed by Ojan Vafai.

        Go back to storing TEXT, AUDIO, and IMAGE+TEXT in results.json
        so that results.html (and hopefully garden-o-matic) can
        determine which things actually failed. However, we keep mapping
        these results to Failure so that we still only have a single
        expectation type for them.

        * Scripts/webkitpy/layout_tests/layout_package/json_layout_results_generator.py:
        (JSONLayoutResultsGenerator):
        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectationParser):
        (TestExpectations):
        (TestExpectations.result_was_expected):
        * Scripts/webkitpy/layout_tests/models/test_failures.py:
        (determine_result_type):
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (MainTest.test_missing_and_unexpected_results):
        (MainTest.test_retrying_and_flaky_tests):

2012-09-20  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: Extend UserMediaRequest with a ownerDocument method
        https://bugs.webkit.org/show_bug.cgi?id=97095

        Reviewed by Adam Barth.

        Extending WebUserMediaClientMock to check that the owning document is valid,
        and that the document has a frame.

        * DumpRenderTree/chromium/WebUserMediaClientMock.cpp:
        (WebKit::WebUserMediaClientMock::requestUserMedia):

2012-09-20  Stephen Chenney  <schenney@chromium.org>

        [Chromium] DRT does not support --dump-all-pixels flag
        https://bugs.webkit.org/show_bug.cgi?id=95098

        Reviewed by Dirk Pranke.

        Add support for the --pixel-tests and shorthand -p option in Chromium DumpRenderTree. Use
        of this flag causes pixel results to be created for all tests, regardless of
        individual test options. If an individual test provides a pixel hash it will be used,
        otherwise the hash will be empty. This replaces a previously defined but unused option
        --dump-all-pixels, and is useful primarily when debugging DRT instances.

        * DumpRenderTree/chromium/DumpRenderTree.cpp:
        (runTest): Add a parameter and code to force pixel results for the test.
        (main): Add parameter handling for --pixels-test and -p, and remove --dump-all-pixels.

2012-09-20  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] run-api-tests should not buffer test stdout
        https://bugs.webkit.org/show_bug.cgi?id=88474

        Reviewed by Philippe Normand.

        * Scripts/run-gtk-tests:
        (TestRunner._run_test_command): Use os.forkpty() instead of
        subprocess.Popen() so that gtest sends the output with colors to
        stdout. Use common.parse_output_lines() to parse the output and
        write it to stdout while it's read.
        (TestRunner._run_test_command.parse_line): Parse the line to get
        the test pid and write the line to stdout.
        (TestRunner._run_test_command.waitpid): Helper function to call
        waitpid handling EINTR.
        (TestRunner._run_test_command.return_code_from_exit_status):
        Helper function to convert exit status of test commands to a
        return code.
        * gtk/common.py:
        (parse_output_lines): Helper function that uses select to read
        the given file descriptor and call the given callback for every
        line read.

2012-09-20  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Fix initial build

        Reviewed by Tor Arne Vestbø.

        When building QtWebKit the first time there is no qt_webkit.pri module pri file, and therefore
        $$QT.webkit.name isn't set and so creating_module isn't set. That has all sorts of implications
        causing incorrect linking for Makefile.api, etc.

        Fix the determination by simply checking if MODULE is set, which only happens in api.pri.

        * qmake/mkspecs/features/webkit_modules.prf:

2012-09-20  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r129091.
        http://trac.webkit.org/changeset/129091
        https://bugs.webkit.org/show_bug.cgi?id=97205

        It broke perf tests everywhere (Requested by Ossy on #webkit).

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest):
        (PerfTest.parse_output):
        (PageLoadingPerfTest.run):
        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (MainTest.test_parse_output):
        (MainTest.test_parse_output_with_failing_line):
        (TestPageLoadingPerfTest.test_run):
        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._generate_and_show_results):
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        (test_run_memory_test):
        (test_run_with_json_output):
        (test_run_with_description):
        (test_run_with_slave_config_json):
        (test_run_with_multiple_repositories):

2012-09-20  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] QtWebKit module header includes private dependencies

        Reviewed by Tor Arne Vestbø.

        * qmake/mkspecs/features/default_post.prf: Don't try to sanitize LIBS, because we can make sure
        that LIBS_PRIVATE is set from the beginning. Moved the creating_module and PKGCONFIG/QT(_PRIVATE)
        sanitization into webkit_modules.prf. creating_module determination requires TARGET to be set, so
        we can't do it in default_pre.
        * qmake/mkspecs/features/webkit_modules.prf:

2012-09-20  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Fix build with MingW

        Reviewed by Tor Arne Vestbø.

        Don't try to compile WebCore, etc. with debug symbols for production
        builds, it's just too big.

        * qmake/mkspecs/features/production_build.prf:

2012-09-20  Michał Pakuła vel Rutka  <m.pakula@samsung.com>

        [EFL][DRT]DumpRenderTree needs to reset focus state when test starts.
        https://bugs.webkit.org/show_bug.cgi?id=97087

        Reviewed by Gyuyoung Kim.

        Add focusing a main frame on settings reset.
        After editing/undo/undo-iframe-location-change was executed a frame
        was left in unfocused state. This caused flakiness in two tests results.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):

2012-09-20  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        [Qt] Add eventSender.gestureTap
        https://bugs.webkit.org/show_bug.cgi?id=66173

        Reviewed by Kenneth Rohde Christiansen.

        Implement support for sending raw QGesture events.

        * DumpRenderTree/qt/EventSenderQt.cpp:
        (EventSender::EventSender):
        (EventSender::gestureTap):
        * DumpRenderTree/qt/EventSenderQt.h:
        (EventSender):

2012-09-19  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r129007.
        http://trac.webkit.org/changeset/129007
        https://bugs.webkit.org/show_bug.cgi?id=97172

        It broke the build on the Qt bots (Requested by Ossy on
        #webkit).

        * qmake/config.tests/gccdepends/empty.cpp:
        * qmake/config.tests/gccdepends/gccdepends.pro:
        * qmake/mkspecs/features/default_pre.prf:

2012-09-19  Ryosuke Niwa  <rniwa@webkit.org>

        run-perf-tests should record indivisual value instead of statistics
        https://bugs.webkit.org/show_bug.cgi?id=97155

        Reviewed by Hajime Morita.

        Parse the list of indivisual value reported by tests and include them as "values".
        We strip "values" from the output JSON when uploading it to the perf-o-matic
        since it doesn't know how to parse "values" or ignore it.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest):
        (PerfTest.parse_output): Parse and report "values".
        (PageLoadingPerfTest.run): Report indivisual page loading time in "values".
        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (MainTest.test_parse_output):
        (MainTest.test_parse_output_with_failing_line):
        (TestPageLoadingPerfTest.test_run):
        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._generate_and_show_results): Strip "values" from each result
        until we update perf-o-matic.
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        (test_run_memory_test):
        (test_run_with_json_output):
        (test_run_with_description):
        (test_run_with_slave_config_json):
        (test_run_with_multiple_repositories):

2012-09-19  Dirk Pranke  <dpranke@chromium.org>

        Fix regex groups for bug matching in flakiness dashboard.
        https://bugs.webkit.org/show_bug.cgi?id=97152

        Unreviewed, build fix.

        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (htmlForBugs):

2012-09-19  Dirk Pranke  <dpranke@chromium.org>

        nrwt: print unexpected results using new TestExpectations syntax
        https://bugs.webkit.org/show_bug.cgi?id=97159

        Unreviewed, build fix.

        Change new-run-webkit-tests to print out failures using the new
        syntax when there are unexpected results, e.g.:

        52 tests ran as expected, 19 didn't:


        Regressions: Unexpected failures : (2)
          failures/flaky/text.html [ Failure ]
          failures/unexpected/text-image-checksum.html [ Failure ]

        and so forth

        * Scripts/webkitpy/layout_tests/views/printing.py:
        (Printer._print_unexpected_results):

2012-09-19  Dirk Pranke  <dpranke@chromium.org>

        update flakiness dashboard after cutover to new test expectations syntax
        https://bugs.webkit.org/show_bug.cgi?id=97152

        Unreviewed, build fix.

        Handle (??) the new Bug notations as well. Hopefully we don't
        still need the old ones.

        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (filterBugs):
        (htmlForBugs):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:

2012-09-19  Dirk Pranke  <dpranke@chromium.org>

        update flakiness dashboard after cutover to new test expectations syntax
        https://bugs.webkit.org/show_bug.cgi?id=97152

        Reviewed by Ryosuke Niwa.

        This change clones the TestExpectation parsing state machine
        from python into javascript.

        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (parsedExpectations.lines.forEach):
        (parsedExpectations):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:

2012-09-19  Dana Jansens  <danakj@chromium.org>

        Add backer@chromium.org as contributor
        https://bugs.webkit.org/show_bug.cgi?id=97150

        * Scripts/webkitpy/common/config/committers.py:

2012-09-19  Dirk Pranke  <dpranke@chromium.org>

        fix MISSING after TestExpectations conversion
        https://bugs.webkit.org/show_bug.cgi?id=97148

        Unreviewed, expectations change / build fix.

        * Scripts/convert-test-expectations:
        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectationParser):

2012-09-19  Dirk Pranke  <dpranke@chromium.org>

        nrwt: convert chromium TestExpectations to the new syntax
        https://bugs.webkit.org/show_bug.cgi?id=97139

        Reviewed by Ryosuke Niwa.
    
        Add in a file temporarily that does the conversion of
        test expectations formats

        * Tools/Scripts/convert-test-expectations: Added.

2012-09-19  Ryosuke Niwa  <rniwa@webkit.org>

        REGRESSION: run-perf-tests no longer reports the total test time
        https://bugs.webkit.org/show_bug.cgi?id=97138

        Reviewed by Tony Chang.

        Report the finished time as a info-level log as opposed to a debug level log.

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._run_single_test):
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        (MainTest.normalizeFinishedTime): Added. It replaces all finished times by 0.1 seconds.
        (test_run_test_pause_before_testing):
        (test_run_test_set_for_parser_tests):
        (test_run_memory_test):
        (_test_run_with_json_output):

2012-09-19  Dirk Pranke  <dpranke@chromium.org>

        Support new TestExpectations format alongside old one
        https://bugs.webkit.org/show_bug.cgi?id=96588

        Reviewed by Ojan Vafai.

        This patch adds support for actually reading in lines formatted
        in the new style, and when we re-serialize/write out the file,
        all lines will be written in the new style. Note that reading in
        the old style is still supported, and no updates are being made
        to the actual TestExpectations files as part of this change.

        This change updates most but not all of the unit tests to use
        the new syntax. I will update the rest when (or before where
        possible) I drop support for the old format.

        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectationParser):
        (TestExpectationParser._tokenize_line):
        (TestExpectationParser._tokenize_line_using_new_format):
        (TestExpectationLine.to_string):
        (TestExpectationLine._format_line):
        (TestExpectations):
        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (test_parse_warning):
        (SkippedTests.test_skipped_entry_dont_exist):
        (NewExpectationSyntaxTests.test_warnings):
        (RemoveConfigurationsTest.test_remove):
        (test_remove_line):
        (RebaseliningTest.test_remove):
        (RebaseliningTest.test_no_get_rebaselining_failures):
        (TestExpectationParserTests.test_tokenize_blank):
        (TestExpectationParserTests.test_tokenize_extra_colon):
        (TestExpectationParserTests.test_tokenize_missing_equal):
        (TestExpectationParserTests.test_tokenize_extra_equal):
        (TestExpectationSerializationTests.test_unparsed_to_string):
        (TestExpectationSerializationTests.test_unparsed_list_to_string):
        (TestExpectationSerializationTests.test_parsed_to_string):
        (TestExpectationSerializationTests.test_format_line):
        (TestExpectationSerializationTests.test_string_roundtrip):
        (TestExpectationSerializationTests.test_list_roundtrip):
        (TestExpectationSerializationTests.test_reconstitute_only_these):
        (TestExpectationSerializationTests.test_string_whitespace_stripping):
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (LintTest.test_lint_test_files__errors):
        * Scripts/webkitpy/tool/commands/queries_unittest.py:
        (PrintExpectationsTest.test_basic):
        (PrintExpectationsTest.test_multiple):
        (PrintExpectationsTest.test_full):
        (PrintExpectationsTest.test_exclude):
        * Scripts/webkitpy/tool/commands/rebaseline.py:
        (RebaselineExpectations.execute):
        * Scripts/webkitpy/tool/commands/rebaseline_unittest.py:
        (TestRebaseline.test_rebaseline_updates_expectations_file_noop):
        (test_rebaseline_updates_expectations_file):
        (test_rebaseline_does_not_include_overrides):
        (test_rebaseline_expectations_noop):
        (test_overrides_are_included_correctly):

2012-09-19  Dirk Pranke  <dpranke@chromium.org>

        implement first part of support for the new TestExpectations syntax
        https://bugs.webkit.org/show_bug.cgi?id=96569

        Reviewed by Ryosuke Niwa.

        This patch implements support for parsing a line of the new
        format for the TestExpectations file and converting it back into
        the old format for compatibility. This routine is not yet used
        by anything.

        The new format is documented at:
          http://trac.webkit.org/wiki/TestExpectations

        but, in short:

          [bugs] [ "[" modifiers "]" ] test_name [ "[" expectations "]" ]

        - Comments are indicated with "#" instead of "//"
        - If no expectations are specified we default to Skip for
          compatibility with the Skipped files (these two changes make
          Skipped files a subset of TestExpectations files)

        - All of the tokens are now CamelCase instead of ALLCAPS.
        - FAIL -> Failure
        - IMAGE -> ImageOnlyFailure
        - WONTFIX -> WontFix
        - modifiers refer to just the platforms and configurations
          (release/debug) that the line applies to.
        - WontFix, Rebaseline, Slow, and Skip move to the right-hand side as
          expectations
        - expectations will typically be written out in lexicographic order
        - We use webkit.org/b/12345, crbug.com/12345, and Bug(dpranke)
          instead of BUGWK12345, BUGCR12345, and BUGDPRANKE.

        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectationParser):
        (TestExpectationParser._tokenize_line_using_new_format):
        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (NewExpectationSyntaxTests):
        (NewExpectationSyntaxTests.assert_exp):
        (NewExpectationSyntaxTests.test_bare_name):
        (NewExpectationSyntaxTests.test_bare_name_and_bugs):
        (NewExpectationSyntaxTests.test_comments):
        (NewExpectationSyntaxTests.test_config_modifiers):
        (NewExpectationSyntaxTests.test_unknown_config):
        (NewExpectationSyntaxTests.test_unknown_expectation):
        (NewExpectationSyntaxTests.test_skip):
        (NewExpectationSyntaxTests.test_slow):
        (NewExpectationSyntaxTests.test_wontfix):
        (NewExpectationSyntaxTests.test_blank_line):
        (NewExpectationSyntaxTests.test_warnings):

2012-09-19  Dirk Pranke  <dpranke@chromium.org>

        nrwt: replace TEXT, AUDIO, and IMAGE+TEXT with FAIL
        https://bugs.webkit.org/show_bug.cgi?id=96845

        Reviewed by Ojan Vafai.

        In preparation for the new TestExpectations syntax, we replace
        all TEXT, IMAGE+TEXT, and AUDIO failures with FAIL. This will
        make switching to the new syntax lossless (i.e., we lose
        information now, not then).

        Note that we can still parse in results.json files that have the
        old data for backwards compatibility.
        

        * Scripts/webkitpy/common/net/resultsjsonparser.py:
        (JSONTestResult._failure_types_from_actual_result):
        * Scripts/webkitpy/common/net/resultsjsonparser_unittest.py:
        (ResultsJSONParserTest):
        (test_basic):
        * Scripts/webkitpy/layout_tests/controllers/manager_unittest.py:
        (ResultSummaryTest.test_summarized_results_wontfix):
        * Scripts/webkitpy/layout_tests/layout_package/json_layout_results_generator.py:
        (JSONLayoutResultsGenerator):
        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectations):
        (TestExpectations.remove_pixel_failures):
        (TestExpectations.has_pixel_failures):
        (TestExpectations.suffixes_for_expectations):
        (TestExpectations.get_rebaselining_failures):
        (TestExpectations.remove_configuration_from_test):
        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (assert_bad_expectations):
        (BasicTests):
        (BasicTests.test_basic):
        (MiscTests):
        (MiscTests.test_multiple_results):
        (MiscTests.test_result_was_expected):
        (MiscTests.test_remove_pixel_failures):
        (MiscTests.test_suffixes_for_expectations):
        (test_get_expectations_string):
        (test_parse_warning):
        (test_error_on_different_platform):
        (test_error_on_different_build_type):
        (test_overrides):
        (test_overrides__directory):
        (test_overrides__duplicate):
        (test_pixel_tests_flag):
        (test_more_specific_override_resets_skip):
        (SkippedTests.test_skipped_file_overrides_expectations):
        (SkippedTests.test_skipped_dir_overrides_expectations):
        (SkippedTests.test_skipped_file_overrides_overrides):
        (SkippedTests.test_skipped_dir_overrides_overrides):
        (ExpectationSyntaxTests.test_missing_colon):
        (ExpectationSyntaxTests.test_too_many_equals_signs):
        (SemanticTests.test_bug_format):
        (SemanticTests.test_bad_bugid):
        (SemanticTests.test_missing_bugid):
        (SemanticTests.test_rebaseline):
        (test_missing_file):
        (test_more_modifiers):
        (test_order_in_file):
        (test_macro_overrides):
        (RemoveConfigurationsTest.test_remove):
        (test_remove_line):
        (RebaseliningTest.test_remove):
        (TestExpectationSerializationTests.test_serialize_parsed_expectations):
        * Scripts/webkitpy/layout_tests/models/test_failures.py:
        (determine_result_type):
        * Scripts/webkitpy/layout_tests/port/port_testcase.py:
        (test_test_expectations):
        * Scripts/webkitpy/layout_tests/port/test.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (MainTest.test_missing_and_unexpected_results):
        (MainTest.test_retrying_and_flaky_tests):
        * Scripts/webkitpy/style/checkers/test_expectations_unittest.py:
        (TestExpectationsTestCase.test_valid_expectations):
        * Scripts/webkitpy/tool/commands/queries_unittest.py:
        (PrintExpectationsTest.test_basic):
        (PrintExpectationsTest.test_multiple):
        (PrintExpectationsTest.test_full):
        (PrintExpectationsTest.test_exclude):
        (PrintExpectationsTest.test_csv):
        * Scripts/webkitpy/tool/commands/rebaseline_unittest.py:
        (test_rebaseline_does_not_include_overrides):
        (test_overrides_are_included_correctly):

2012-09-19  Dominic Mazzoni  <dmazzoni@google.com>

        AX: A few control types are returning the wrong answer for isReadOnly
        https://bugs.webkit.org/show_bug.cgi?id=96735

        Reviewed by Chris Fleizach.

        Exposing isReadOnly in an AccessibilityObject to DumpRenderTree.

        * DumpRenderTree/chromium/TestRunner/AccessibilityUIElementChromium.cpp:
        (AccessibilityUIElement::AccessibilityUIElement):
        (AccessibilityUIElement::isReadOnlyGetterCallback):
        * DumpRenderTree/chromium/TestRunner/AccessibilityUIElementChromium.h:
        (AccessibilityUIElement):

2012-09-19  Sudarsana Nagineni  <sudarsana.nagineni@intel.com>

        [WTR] Memory leaks in TestRunner::deliverWebIntent()
        https://bugs.webkit.org/show_bug.cgi?id=97111

        Reviewed by Kenneth Rohde Christiansen.

        Fix memory leaks in deliverWebIntent() by adopting strings
        created with WKStringCreateWithUTF8CString().

        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::deliverWebIntent):

2012-09-19  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Fix incremental builds with all-in-one-files and gccdepends

        Reviewed by Tor Arne Vestbø.

        Pass -MP to gcc when we use the gcc depends feature, to ensure that implicit rules
        are not only created for header files but also for .cpp files. AllInOne.cpp files
        include other .cpp files, and when those are removed we need those dummy rules to
        avoid a "No rule to make Foo.cpp required by AllInOne.o" error.

        * qmake/config.tests/gccdepends/empty.cpp:
        (main):
        * qmake/config.tests/gccdepends/gccdepends.pro:
        * qmake/mkspecs/features/default_pre.prf:

2012-09-19  Rick Byers  <rbyers@chromium.org>

        Do touch adjustment on GestureTapDown
        https://bugs.webkit.org/show_bug.cgi?id=96677

        Reviewed by Antonio Gomes.

        Allow radius to be set for GestureTapDown events.
        * DumpRenderTree/chromium/TestRunner/EventSender.cpp:
        (EventSender::gestureEvent):

2012-09-19  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] EFL's DRT does not support overriding 'WebKitCSSRegionsEnabled' preference
        https://bugs.webkit.org/show_bug.cgi?id=97100

        Reviewed by Gyuyoung Kim.

        EFL's DRT now supports overriding the 'WebKitCSSRegionsEnabled'
        preference, in order to match WebKitTestRunner functionality.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        * DumpRenderTree/efl/TestRunnerEfl.cpp:
        (TestRunner::overridePreference):

2012-09-18  Kangil Han  <kangil.han@samsung.com>

        [WK2][WTR] CodeGeneratorTestRunner could keep original copyright.
        https://bugs.webkit.org/show_bug.cgi?id=96181

        Reviewed by Daniel Bates.

        This patch enabled derived files, in DerivedSources/InjectedBundle, to keep original copyright.

        * WebKitTestRunner/InjectedBundle/Bindings/CodeGeneratorTestRunner.pm:
        (new):
        (_parseLicenseBlock):
        (_parseLicenseBlockFromFile):
        (_defaultLicenseBlock):
        (_licenseBlock):
        (_generateHeaderFile):
        (_generateImplementationFile):

2012-09-18  Byungwoo Lee  <bw80.lee@samsung.com>

        Title string should be changed when document.title is set to ''.
        https://bugs.webkit.org/show_bug.cgi?id=96793

        Reviewed by Kenneth Rohde Christiansen.

        Change dump format of dumpTitleChanges more understandable.
        Uses single quotation marks for the title string.

        * DumpRenderTree/blackberry/DumpRenderTree.cpp:
        (BlackBerry::WebKit::DumpRenderTree::didReceiveTitleForFrame):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::didReceiveTitle):
        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::onFrameTitleChanged):
        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (webViewTitleChanged):
        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        (-[FrameLoadDelegate webView:didReceiveTitle:forFrame:]):
        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::titleChanged):
        * DumpRenderTree/win/FrameLoadDelegate.cpp:
        (FrameLoadDelegate::didReceiveTitle):
        * DumpRenderTree/wx/DumpRenderTreeWx.cpp:
        (LayoutWebViewEventHandler::OnReceivedTitleEvent):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::didReceiveTitleForFrame):

2012-09-18  Szilard Ledan  <szledan@inf.u-szeged.hu>

        EWS shouldn't sleep if there are new patches in its queue
        https://bugs.webkit.org/show_bug.cgi?id=83038

        Reviewed by Eric Seidel.

        EWS tries to process a security patch. Of course it can't, because the EWS isn't
        the member of the security group. But the problem is that after it can't process
        the attachment, it says that queue is empty (but it isn't!) and it sleeps 2 minutes
        and push the security patch to the end of the queue.
        Now it stays in the loop until it finds a patch or the queue gets empty.

        * Scripts/webkitpy/tool/commands/queues.py:
        (AbstractPatchQueue._next_patch):
        * Scripts/webkitpy/tool/commands/queues_unittest.py:
        (AbstractPatchQueueTest.test_next_patch):

2012-09-18  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [WK2][WTR] InjectedBundle::booleanForKey() should handle literals effectively
        https://bugs.webkit.org/show_bug.cgi?id=97014

        Reviewed by Kenneth Rohde Christiansen.

        According to http://trac.webkit.org/wiki/EfficientStrings WTF::StringBuilder::appendLiteral() shall
        be used for literals rather than WTF::StringBuilder::append().

        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::booleanForKey):

2012-09-18  Simon Hausmann  <simon.hausmann@digia.com>

        Update my e-mail address.

        * Scripts/webkitpy/common/config/committers.py:

2012-09-18  Andras Becsi  <andras.becsi@digia.com>

        Update my e-mail address.

        Unreviewed.

        * Scripts/webkitpy/common/config/committers.py:

2012-09-18  Andras Becsi  <andras.becsi@digia.com>

        [Qt] qt_webkit.pri should not be listed in Tools.pro

        Reviewed and rubber-stamped by Simon Hausmann and Tor Arne Vestbø.

        Since r128751 the module pri file is auto-generated
        but it was still listed in OTHER_FILES.

        * Tools.pro: Remove unneeded line.

2012-09-18  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Fix build with some versions of the gold linker

        Reviewed by Tor Arne Vestbø.

        Don't unconditionally pass --no-keep-memory to the linker, some versions might not support it.
        Instead run a compile/link test first to see if it works.

        * qmake/config.tests/gnuld/gnuld.pro: Added.
        * qmake/config.tests/gnuld/main.cpp: Added.
        (main):
        * qmake/mkspecs/features/unix/default_post.prf:

2012-09-18  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Remove forced use of gold.

        Reviewed by Tor Arne Vestbø.

        The choice of what linker to use with WebKit should be taken by Qt's build system and ideally the same for all
        modules of Qt. Then in turn it is usually up to the administrator of the machine. Recent Debian based systems
        often offer the automatic use of gold through a symlink and a dpkg-diversion when installing the gold package.

        * qmake/mkspecs/features/unix/default_post.prf:

2012-09-18  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Prospective Qt/Windows cross-compiling fix

        Reviewed by Tor Arne Vestbø.

        The win32 scope is not set when cross-compiling from Linux to Windows.

        * qmake/mkspecs/features/functions.prf:

2012-09-18  Seokju Kwon  <seokju.kwon@samsung.com>

        [EFL] Remove background view on EWebLauncher and MiniBrowser
        https://bugs.webkit.org/show_bug.cgi?id=96905

        Reviewed by Gyuyoung Kim.

        The size of webview was changed after adding url bar.
        And the background view is not necessary anymore, since it was used for debugging back in the day.

        * EWebLauncher/main.c:
        (_ELauncher):
        (on_ecore_evas_resize):
        (browserCreate):
        * MiniBrowser/efl/main.c:
        (_MiniBrowser):
        (on_ecore_evas_resize):
        (browserCreate):

2012-09-18  Sergio Villar Senin  <svillar@igalia.com>

        [GTK] run-webkit-tests unable to find TestExpectations for WK2
        https://bugs.webkit.org/show_bug.cgi?id=96998

        Reviewed by Philippe Normand.

        We should look for TestExpectations files in all the locations where
        we currently look for Skipped files. This will allow
        run-webkit-tests to look for TestExpectations files in
        platform/gtk-wk2 and platform/wk2 if the "-2" flag is used.

        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort.expectations_files):

2012-09-18  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Fix build without the QtQuick module

        Reviewed by Simon Hausmann.

        * qmake/mkspecs/features/features.prf:

2012-09-18  Stephanie Lewis  <slewis@apple.com>

        Build fix after http://trac.webkit.org/projects/webkit/changeset/128852.

        Unreviewed.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (poseAsClass):

2012-09-18  Allan Sandfeld Jensen  <allan.jensen@nokia.com>

        Unreviewed update of email addresses for Berlin QtWebKit office.

        * Scripts/webkitpy/common/config/committers.py:

2012-09-17  Zan Dobersek  <zandobersek@gmail.com>

        [GTK] fast/loader/display-image-unset-can-block-image-and-can-reload-in-place.html failing after r128645
        https://bugs.webkit.org/show_bug.cgi?id=96899

        Reviewed by Martin Robinson.

        When overriding the 'WebKitDisplayImageKey' preference, use the
        'auto-load-images' property of WebKitWebSettings as the property which
        should be updated with the corresponding preference value.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/gtk/TestRunnerGtk.cpp:
        (TestRunner::overridePreference):

2012-09-17  Pratik Solanki  <psolanki@apple.com>

        DumpRenderTree and WebKitTestRunner should compile with -Wundef on Mac
        https://bugs.webkit.org/show_bug.cgi?id=96973

        Reviewed by Dan Bernstein.

        * DumpRenderTree/mac/Configurations/Base.xcconfig:
        * WebKitTestRunner/Configurations/Base.xcconfig:
        * WebKitTestRunner/PlatformWebView.h: Use #ifdef __OBJC__ and not #if.

2012-09-17  Dirk Pranke  <dpranke@chromium.org>

        nrwt: remove "unexpected EOF" warnings
        https://bugs.webkit.org/show_bug.cgi?id=96970

        Reviewed by Ojan Vafai.

        After debugging this a bit, it looks like there aren't any cases
        that I can reproduce where a read() of zero indicates something
        actually wrong; either it is a prelude to a crash, or a false
        negative. So, I'm removing these warnings and adding a comment.

        * Scripts/webkitpy/layout_tests/port/server_process.py:
        (ServerProcess._wait_for_data_and_update_buffers_using_select):

2012-09-17  Dirk Pranke  <dpranke@chromium.org>

        [chromium] ASAN bot is crashing at the end of the run
        https://bugs.webkit.org/show_bug.cgi?id=96967

        Reviewed by Abhishek Arya.

        The ASAN bot is crashing attempting to decode some output into
        UTF-8; there's no reason to do this, so let's not do this and
        see if something else is going on as well.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort._get_crash_log):

2012-09-17  Dirk Pranke  <dpranke@chromium.org>

        nrwt: --results-directory isn't getting printed properly
        https://bugs.webkit.org/show_bug.cgi?id=96965

        Reviewed by Ojan Vafai.

        options.results_directory isn't actually initialized with the
        default values until after we call print_config(), so this
        changes things to print the value directly.

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        (run):
        * Scripts/webkitpy/layout_tests/views/printing.py:
        (Printer.print_config):
        * Scripts/webkitpy/layout_tests/views/printing_unittest.py:
        (Testprinter.test_print_config):

2012-09-17  Rob Buis  <rbuis@rim.com>

        [BlackBerry] Enable VIDEO_TRACK
        https://bugs.webkit.org/show_bug.cgi?id=96949

        Reviewed by Antonio Gomes.

        * Scripts/webkitperl/FeatureList.pm:

2012-09-17  Rick Byers  <rbyers@chromium.org>

        Add handling of new GestureTapCancel in DRT

        https://bugs.webkit.org/show_bug.cgi?id=96183

        Reviewed by Antonio Gomes.

        * DumpRenderTree/chromium/TestWebPlugin.cpp:
        (TestWebPlugin::handleInputEvent):
        * DumpRenderTree/chromium/EventSender.cpp:
        (EventSender::gestureTapCancel):

2012-09-17  Philip Rogers  <pdr@google.com>

        Teach style checker about preprocessor directive indentation rules
        https://bugs.webkit.org/show_bug.cgi?id=96874

        Reviewed by Adam Barth.

        Preprocessor directives (#ifdef, #include, #define, etc.) should not be indented.
        This is not explicit in our style guide but is generally followed in our code.
        Searching for violations in our codebase shows these are rarely indented:
            #include - indented in 6 files
            #ifdef - indented in 0 files
            #ifndef - indented in 1 file
            #define - indented in 11 files
            #if - indented in 7 files

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_directive_indentation):

            This is the simple test where we look for spaces followed by a #.

        (check_style):
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:

            A few tests needed to be modified because they had unintentionally indented
            preprocessor directives.

        (CppStyleTest.test_build_class.Foo):
        (CppStyleTest.test_build_class):
        (CppStyleTest.test_build_class.DERIVE_FROM_GOO):
        (WebKitStyleTest.test_line_breaking):
        (WebKitStyleTest.test_directive_indentation):

2012-09-17  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Auto-generate the module pri file for QtWebKit

        Reviewed by Simon Hausmann.

        * qmake/qt_webkit.pri: Removed.

2012-09-14  Dirk Pranke  <dpranke@chromium.org>

        nrwt: --additional-platform-dir is broken on chromium ports
        https://bugs.webkit.org/show_bug.cgi?id=96840

        Reviewed by Ojan Vafai.

        Looks like I broke this when cleaning things up as part of
        adding ML support. Fixing and adding a test.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort.default_baseline_search_path):
        * Scripts/webkitpy/layout_tests/port/chromium_android.py:
        (ChromiumAndroidPort.default_baseline_search_path):
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        (ChromiumLinuxPort.default_baseline_search_path):
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        (ChromiumMacPort.__init__):
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
        (ChromiumWinPort.setup_environ_for_server):
        * Scripts/webkitpy/layout_tests/port/port_testcase.py:
        (test_check_build):
        (test_additional_platform_directory):

2012-09-13  Stephanie Lewis  <slewis@apple.com>

        mac-future ignores previous platform TestExpectations.
        https://bugs.webkit.org/show_bug.cgi?id=96718.

        Reviewed by Dirk Pranke.

        TestExpectations match an expectation's configuraton against a list of configurations that are 
        valid for that port.  That list does not contain mac-future so none of the expectations can be
        applied.

        * Scripts/webkitpy/layout_tests/port/apple.py:
        (ApplePort._generate_all_test_configurations):

2012-09-14  Adam Barth  <abarth@webkit.org>

        Remove webkitPostMessage
        https://bugs.webkit.org/show_bug.cgi?id=96577

        Reviewed by Ojan Vafai.

        Add ENABLE_LEGACY_VENDOR_PREFIXES flag.

        * Scripts/webkitperl/FeatureList.pm:
        * qmake/mkspecs/features/features.pri:

2012-09-14  Alexey Proskuryakov  <ap@apple.com>

        [WK2] webarchive/loading/javascript-url-iframe-crash.html fails
        https://bugs.webkit.org/show_bug.cgi?id=96817

        Reviewed by Kenneth Rohde Christiansen.

        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::didFailProvisionalLoadWithErrorForFrame): This callback
        got overlooked when adding logging elsewhere.

2012-09-14  Peter Beverloo  <peter@chromium.org>

        [Chromium] Build fix for DumpRenderTree following r128628
        https://bugs.webkit.org/show_bug.cgi?id=96808

        Reviewed by Tony Chang.

        When building DumpRenderTree from the Chromium project, a compile error
        shows up because including the header ForwardIOStreamsAndroid.h cannot
        be located. TestWebKitAPI does this correctly.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2012-09-14  Dana Jansens  <danakj@chromium.org>

        Change cc-bugs@google.com watchlist to cc-bugs@chromium.org
        https://bugs.webkit.org/show_bug.cgi?id=96805

        Reviewed by Dirk Pranke.

        * Scripts/webkitpy/common/config/committers.py:
        * Scripts/webkitpy/common/config/watchlist:

2012-09-14  Peter Beverloo  <peter@chromium.org>

        [Chromium] Support the --{in,out,err}-fifo arguments on TestWebKitAPI and webkit_unit_tests
        https://bugs.webkit.org/show_bug.cgi?id=96687

        Reviewed by Tony Chang.

        Android's DumpRenderTree currently supports these arguments, implemented
        as part of TestShellAndroid:
        http://trac.webkit.org/browser/trunk/Tools/DumpRenderTree/chromium/TestShellAndroid.cpp?rev=128496

        They're used by the layout test runner to get the STDOUT and STDERR while
        a layout test run is in process, which is a safer alternative to parsing
        all the logcat output manually. The implementation can be seen here:
        http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/layout_tests/port/chromium_android.py?rev=128496#L590

        This patch generalizes parsing of and applying the effects of these arguments
        so that they can be used for TestWebKitAPI and webkit_unit_tests as well.
        After this patch, this will make it possible to pull out the output-reading
        code from Android's layout test port and generalize it so it can be re-used
        in the new test-runner for the other two test suites.

        This has no effect when compiling and running these tests as part of Chromium
        code, which has a much more advanced test-runner that does parse complete log
        output, but also directly depends on code licensed under Apache 2.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * DumpRenderTree/chromium/TestShellAndroid.cpp:
        (platformInit):
        * TestWebKitAPI/TestWebKitAPI.gyp/TestWebKitAPI.gyp:

2012-09-14  Zoltan Horvath  <zoltan@webkit.org>

        check-webkit-style should not warn in case of NONCOPYABLE and FAST_ALLOCATED macros
        https://bugs.webkit.org/show_bug.cgi?id=96656

        Reviewed by Adam Barth.

        We should allow to use WTF_MAKE_NONCOPYABLE(ClassName) and WTF_MAKE_FAST_ALLOCATED
        macros in 1 line.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_style.definitions):
        (check_style): Add rule.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (WebKitStyleTest.test_line_breaking): Add unittest.

2012-09-14  Christophe Dumez  <christophe.dumez@intel.com>

        WebKitTestRunner needs layoutTestController.dumpDatabaseCallbacks
        https://bugs.webkit.org/show_bug.cgi?id=57570

        Reviewed by Kenneth Rohde Christiansen.

        Implement testRunner.dumpDatabaseCallbacks in WebKitTestRunner
        and dump the information expected by the test cases.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::beginTesting): Explicitly set the default
        database quota.
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::securityOriginToStr): New convenience function to convert
        a security origin to the string expected in test results.
        (WTR):
        (WTR::InjectedBundlePage::InjectedBundlePage):
        (WTR::InjectedBundlePage::didExceedDatabaseQuota):
        (WTR::InjectedBundlePage::didReachApplicationCacheOriginQuota): Minor
        refactoring to share code with didExceedDatabaseQuota.
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:
        (InjectedBundlePage):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::TestRunner):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (WTR::TestRunner::dumpDatabaseCallbacks):
        (WTR::TestRunner::shouldDumpDatabaseCallbacks):
        (TestRunner):

2012-09-14  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Set force_static_libs_as_shared early enough to be caught by configure

        Rubber-stamped by Simon Hausmann.

        * qmake/mkspecs/features/default_post.prf:

2012-09-14  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Remove old cruft from the qmake build system

        Rubber-stamped by Simon Hausmann.

        * DumpRenderTree/qt/DumpRenderTree.pro:
        * qmake/mkspecs/features/default_post.prf:

2012-09-14  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Enable force_static_libs_as_shared for development

        Not enabled for buildbots or production-builds (part of Qt5)

        Reviewed by Simon Hausmann.

        * qmake/mkspecs/features/default_post.prf:

2012-09-14  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Make force_static_libs_as_shared work on Mac OS

        We had to move a few LIBS += around that were in the wrong place,
        and not caught when everything was just linked into the final
        QtWebKit library.

        Reviewed by Simon Hausmann.

        * qmake/mkspecs/features/default_post.prf:
        * qmake/mkspecs/features/force_static_libs_as_shared.prf:

2012-09-14  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Fix build of WTR on Windows

        Reviewed by Tor Arne Vestbø.

        WTR/qt/main.cpp includes TestController.h, which lives in just WTR/
        With qmake's unix makefile generator as well as with the MingW generator,
        the directory where the pro file lives (WTR/) is automatically added to
        the include search path, but not so with MSVC. Instead of relying on qmake's
        implicit feature here, add WTR/ explicitly to the include search path.

        * WebKitTestRunner/Target.pri:

2012-09-14  Christophe Dumez  <christophe.dumez@intel.com>

        WebKitTestRunner needs layoutTestController.setStopProvisionalFrameLoads
        https://bugs.webkit.org/show_bug.cgi?id=42691

        Reviewed by Kenneth Rohde Christiansen.

        Add implementation for testrunner.setStopProvisionalFrameLoads()
        in WebKitTestRunner.

        Original patch by Alexey Proskuryakov.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::didStartProvisionalLoadForFrame):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::TestRunner):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):
        (WTR::TestRunner::setStopProvisionalFrameLoads):
        (WTR::TestRunner::shouldStopProvisionalFrameLoads):

2012-09-14  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Fix handling of debug/release/debug_and_release/build_all

        We now pick up the defaults from Qt, in default_pre (CONFIG already
        contains the appropriate values for debug and release). We then let
        the command line arguments to qmake, or the project files themselves,
        override the configuration, and finally we sanitize the configuration
        in default_post.

        Reviewed by Simon Hausmann.

        * DumpRenderTree/qt/TestNetscapePlugin/TestNetscapePlugin.pro:
        * Scripts/webkitdirs.pm:
        (buildQMakeProjects):
        * qmake/mkspecs/features/default_post.prf:
        * qmake/mkspecs/features/default_pre.prf:
        * qmake/mkspecs/features/mac/default_pre.prf:

2012-09-14  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        WebKitTestRunner needs layoutTestController.setTabKeyCyclesThroughElements
        https://bugs.webkit.org/show_bug.cgi?id=42687

        Reviewed by Kenneth Rohde Christiansen.

        Implement testRunner.setTabKeyCyclesThroughElements for
        WebKitTestRunner.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::beginTesting):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::setTabKeyCyclesThroughElements):
        (WTR):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):

2012-09-14  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        EventSendingController::keyDown does not support non-array modifier arguments
        https://bugs.webkit.org/show_bug.cgi?id=96727

        Reviewed by Kenneth Rohde Christiansen.

        Add support for handling a string as modifier argument to
        EventSendingController::keyDown.

        * WebKitTestRunner/InjectedBundle/EventSendingController.cpp:
        (WTR::parseModifierArray):

2012-09-14  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        WebKitTestRunner needs layoutTestController.setCustomPolicyDelegate
        https://bugs.webkit.org/show_bug.cgi?id=42546

        Reviewed by Kenneth Rohde Christiansen.

        Exported TestRunner::setCustomPolicyDelegate() method.
        Allowed Policy Delegate dumping even if we're not in 'waitUntilDone' mode.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::decidePolicyForNavigationAction):

2012-09-14  Zan Dobersek  <zandobersek@gmail.com>

        [GTK] Clear application cache between tests in DumpRenderTree
        https://bugs.webkit.org/show_bug.cgi?id=96543

        Reviewed by Philippe Normand.

        Call the new DumpRenderTreeSupportGtk method to clear application cache
        after each test in DumpRenderTree.

        Set the XDG_CACHE_HOME environment variable when running DumpRenderTree
        as well. It's now being set in XvfbDriver._start so that each driver is assigned
        a cache directory that's constructed out of the driver's name and its worker
        number. These directories are located in the layout tests results directory.
        At least on the builders this ensures a driver-specific empty cache directory
        with each test run.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (runTest):
        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort.setup_environ_for_server):
        * Scripts/webkitpy/layout_tests/port/xvfbdriver.py:
        (XvfbDriver._start):

2012-09-14  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Fix linking on Windows

        Reviewed by Tor Arne Vestbø.

        When compiling code _after_ QtWebKit.dll, we need to make sure that the QWEBKIT_EXPORT
        macro turns into an import macro, which means QT_MAKEDLL should only be set _up until_
        the QtWebKit.dll creation in the build process and be off afterwards. This is done in
        win32/default_post.prf using a !contains(QT, webkit): DEFINES += QT_MAKEDLL.

        r128450 sanitized the values of QT and PKGCONFIG to only contain the dependencies we
        want for QtWebKit.dll, but unfortunately that code was applied to any binary built also
        after the module. Therefore QT did never contain webkit anymore and we always passed
        QT_MAKEDLL to DEFINES, resulting in QWEBKIT_EXPORT to _not_ turn into an import macro.

        This patch introduces a creating_module configuration that is used to
        scope the qt/pkgconfig sanitization.

        * qmake/mkspecs/features/default_post.prf:

2012-09-14  Christophe Dumez  <christophe.dumez@intel.com>

        [WK2][WKTR] TestRunner is not dumping some frame load callbacks information
        https://bugs.webkit.org/show_bug.cgi?id=96740

        Reviewed by Kenneth Rohde Christiansen.

        Dump information expected by the test cases about the following
        frame load callbacks:
        "didDisplayInsecureContentForFrame"
        "didRunInsecureContentForFrame"
        "didDetectXSSForFrame"

        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::willPerformClientRedirectForFrame): Print a URL
        as expected by test results by calling pathSuitableForTestResult() instead
        of printing raw URL.
        (WTR::InjectedBundlePage::didDisplayInsecureContentForFrame):
        (WTR::InjectedBundlePage::didRunInsecureContentForFrame):
        (WTR::InjectedBundlePage::didDetectXSSForFrame):

2012-09-14  Peter Beverloo  <peter@chromium.org>

        The runtime/unsigned category should be valid in the cpp style-checker.
        https://bugs.webkit.org/show_bug.cgi?id=96748

        Reviewed by Csaba Osztrogonác.

        This is causing the webkitpy tests to fail because it's not listed in the
        category array. Furthermore, change an "int" to "long" because it's
        throwing a double error in one of the earlier asserts.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (CppChecker):
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (WebKitStyleTest.test_names):

2012-09-13  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Evas_Object* is a ref'ed structure, so tread it as such
        https://bugs.webkit.org/show_bug.cgi?id=96659

        Reviewed by Adam Barth.

        Replace OwnPtr<Evas_Object> with RefPtr.

        * DumpRenderTree/efl/ImageDiff.cpp:
        (calculateDifference):
        (printImageDifferences):
        (readImageFromStdin):
        (main):

2012-09-14  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Unreviewed, rolling out r128507.
        http://trac.webkit.org/changeset/128507
        https://bugs.webkit.org/show_bug.cgi?id=96659

        Revert. r128507 makes too many crashes in EFL layout test bots.

        * DumpRenderTree/efl/ImageDiff.cpp:
        (calculateDifference):
        (printImageDifferences):
        (readImageFromStdin):
        (main):

2012-09-13  Kevin Funk  <kevin.funk@kdab.com>

        Make compile with both OS(WINCE) and PLATFORM(QT) support
        https://bugs.webkit.org/show_bug.cgi?id=95536

        Reviewed by Simon Hausmann.

        Fix wince support in qmake files

        * Tools.pro:
        * qmake/mkspecs/features/configure.prf:
        * qmake/mkspecs/features/default_post.prf:
        * qmake/mkspecs/features/features.prf:
        * qmake/mkspecs/features/functions.prf:

2012-09-13  KwangYong Choi  <ky0.choi@samsung.com>

        [WK2] Add color picker API support for WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=95058

        Reviewed by Gyuyoung Kim.

        Initialization code for color picker callbacks in UI client.

        * MiniBrowser/mac/BrowserWindowController.m:
        (-[BrowserWindowController awakeFromNib]):
        * MiniBrowser/win/BrowserView.cpp:
        (BrowserView::create):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::createOtherPage):
        (WTR::TestController::initialize):

2012-09-13  Yuta Kitamura  <yutak@chromium.org>

        Upgrade yutak to reviewer
        https://bugs.webkit.org/show_bug.cgi?id=96721

        Reviewed by Kent Tamura.

        * Scripts/webkitpy/common/config/committers.py:

2012-09-13  Adenilson Cavalcanti  <cavalcantii@gmail.com>

        Make the style checker report usage of "unsigned int"
        https://bugs.webkit.org/show_bug.cgi?id=96693

        Reviewed by Dirk Pranke.

        Add a rule to check for uses of unsigned int, as the updated coding style recomends.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_language):

2012-09-13  Philip Rogers  <pdr@google.com>

        Add gender-neutral form of webkit-patch land-cowboy
        https://bugs.webkit.org/show_bug.cgi?id=96709

        Reviewed by Adam Barth.

        Add webkit-patch land-cowhand, the confident and courageous form of webkit-patch for everyone.

        * Scripts/webkitpy/tool/commands/download.py:
        (LandCowhand):

2012-09-13  Seokju Kwon  <seokju.kwon@samsung.com>

        [EFL] Remove some parameters in browserCreate()
        https://bugs.webkit.org/show_bug.cgi?id=96499

        Reviewed by Kenneth Rohde Christiansen.

        There are too many parameters in browserCreate(). Lots of it seems like settings from command line argument.
        And I have moved some parameters into User_Arguments.

        * EWebLauncher/main.c:
        (_User_Arguments):
        (_ELauncher):
        (on_key_down):
        (browserCreate):
        (findThemePath):
        (parseUserArguments):
        (main):

2012-09-13  Mark Lam  <mark.lam@apple.com>

        Unreviewed. Adding myself to the committers list.

        * Scripts/webkitpy/common/config/committers.py:

2012-09-13  Ryosuke Niwa  <rniwa@webkit.org>

        run-perf-tests output cryptic error when the config file is missing.
        https://bugs.webkit.org/show_bug.cgi?id=96453

        Reviewed by Tony Chang.

        Add a special error message when a configuration file is missing.

        Also update the help message of --source-json-path to signify the fact it specifies
        the configuration file on performance tests bots.

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._parse_args):
        (PerfTestsRunner._generate_and_show_results):
        (PerfTestsRunner._merge_slave_config_json):
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        (_test_run_with_json_output): Make upload to fail by default and assert the result
        in the function so that we can return logs instead.
        (_test_run_with_json_output.mock_upload_json):
        (test_run_with_json_output):
        (test_run_with_description):
        (test_run_respects_no_results):
        (test_run_with_slave_config_json):
        (test_run_with_bad_slave_config_json):
        (test_run_with_multiple_repositories):

2012-09-13  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Evas_Object* is a ref'ed structure, so tread it as such
        https://bugs.webkit.org/show_bug.cgi?id=96659

        Reviewed by Adam Barth.

        Replace OwnPtr<Evas_Object> with RefPtr.

        * DumpRenderTree/efl/ImageDiff.cpp:
        (calculateDifference):
        (printImageDifferences):
        (readImageFromStdin):
        (main):

2012-09-13  Csaba Osztrogonác  <ossy@webkit.org>

        One more unreviewed trivial fix after r128399.

        * BuildSlaveSupport/build.webkit.org-config/config.json: Fix URLs of the SVN mirror server.

2012-09-13  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed trivial fix after r128399.

        * BuildSlaveSupport/wait-for-SVN-server.py: Renamed from Tools/BuildSlaveSupport/build.webkit.org-config/wait-for-SVN-server.py.
        (getLatestSVNRevision):
        (waitForSVNRevision):

2012-09-13  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [WK2][WTR] WebKitTestRunner needs testRunner.callShouldCloseOnWebView
        https://bugs.webkit.org/show_bug.cgi?id=96366

        Reviewed by Anders Carlsson.

        Implement testRunner.callShouldCloseOnWebView for WebKitTestRunner
        by calling shouldClose() on the FrameLoader.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::callShouldCloseOnWebView):
        (WTR):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):

2012-09-13  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r128453.
        http://trac.webkit.org/changeset/128453
        https://bugs.webkit.org/show_bug.cgi?id=96681

        Having tests use the same appcache directory leads to timeouts
        (Requested by zdobersek on #webkit).

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (runTest):
        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort.setup_environ_for_server):

2012-09-13  James Robinson  <jamesr@chromium.org>

        [chromium] Temporarily remove Android Builder (dbg) from garden-o-matic view
        https://bugs.webkit.org/show_bug.cgi?id=96678

        Reviewed by Dirk Pranke.

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/config.js:
        (.):

2012-09-13  Rob Buis  <rbuis@rim.com>

        Unreviewed changes to watchlist.

        - Add myself to BlackBerry bugs

        * Scripts/webkitpy/common/config/watchlist:

2012-09-13  Stephen Chenney  <schenney@chromium.org>

        Add an SVG entry to the watchlist

        Unreviewed config change.

        * Scripts/webkitpy/common/config/watchlist:
        - Created a new SVG watchlist label covering WebCore/svg and WebCore/rendering/svg
        - Added myself and pdr as watchers

2012-09-13  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Make WebKit2 work on Windows with Qt 5
        https://bugs.webkit.org/show_bug.cgi?id=76776

        Reviewed by Tor Arne Vestbø.

        WebKit2 should compile with Qt on Windows now, so enable it. This patch in fact corrects
        the check to disable WebKit when we don't have USE_3D_GRAPHICS available, because we need
        that for the GL TextureMapper (it's only built when that feature is set).

        * qmake/mkspecs/features/configure.prf:

2012-09-13  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Ensure that QT is finalized before loading qt_module.prf

        As qt_module.prf does dependency tracking based on the content of the
        QT variable. The intermediate WebKit modules modify the variable in
        their .pri files, so we have to ensure we've loaded all the modules
        before loading qt_module.

        Reviewed by Tor Arne Vestbø.
        Patch by Oswald Buddenhagen <oswald.buddenhagen@nokia.com> on 2012-09-13

        * qmake/mkspecs/features/default_post.prf:
        * qmake/mkspecs/features/webkit_modules.prf: Added.

2012-09-13  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Fix build of Qt WTR/MiniBrowser with MSVC and nmake
        https://bugs.webkit.org/show_bug.cgi?id=96633

        Reviewed by Csaba Osztrogonác.

        WTR and MiniBrowser both have DRT in their include path (for the shared font stuff). Batch
        builds with MSVC and nmake result in nmake picking up main.cpp from the wrong directory.
        It's the usual problem and the usual solution is to rename one of the conflicting files.
        This patch chooses to rename DRT instead of WTR and MBR.

        Fixed include order at the same time to match style guide.

        * DumpRenderTree/qt/DumpRenderTree.pro:
        * DumpRenderTree/qt/DumpRenderTreeMain.cpp: Renamed from Tools/DumpRenderTree/qt/main.cpp.
        (messageHandler):
        (isOption):
        (takeOptionValue):
        (printUsage):
        (main):

2012-09-13  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        The Script run-launcher should support -2 in combination with --efl
        https://bugs.webkit.org/show_bug.cgi?id=96639

        Reviewed by Simon Hausmann.

        Support running the MiniBrowser then supplied -2 as argument.

        * Scripts/run-launcher:

2012-09-13  Raphael Kubo da Costa  <raphael.kubo.da.costa@intel.com>

        Unreviewed, add my Intel email address to the list.

        * Scripts/webkitpy/common/config/committers.py:

2012-09-13  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Don't overwrite LIBS_PRIVATE when sanitizing LIBS

        Reviewed by Ossy.

        * qmake/mkspecs/features/default_post.prf:

2012-09-13  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        [EFL][DRT] Implement LayoutTestController::layerTreeAsText
        https://bugs.webkit.org/show_bug.cgi?id=82294

        Reviewed by Gyuyoung Kim.

        Implement layerTreeAsText using the DumpRenderTreeSupportEfl method.

        * DumpRenderTree/efl/TestRunnerEfl.cpp:
        (TestRunner::layerTreeAsText):

2012-09-13  Zan Dobersek  <zandobersek@gmail.com>

        [GTK] Clear application cache between tests in DumpRenderTree
        https://bugs.webkit.org/show_bug.cgi?id=96543

        Reviewed by Philippe Normand.

        Call the new DumpRenderTreeSupportGtk method to clear application cache
        after each test.

        Set the XDG_CACHE_HOME environment variable when running DumpRenderTree
        as well. Currently it points to a subdirectory in the layout tests results
        directory. At least on the builders this ensures an empty cache directory
        with each test run.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (runTest):
        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort.setup_environ_for_server):

2012-09-13  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Make sure LIBS, PKGCONFIG, and QT, do not affect QtWebKit's prl file

        Unless it's actually a dependency of the public QtWebKit API.

        We could replace every occurance of LIBS, PKGCONFIG, and QT, in the pri
        files with their _PRIVATE equivivalent, but that's likely to break when
        someone adds a new QT/LIBS/PKGCONFIG += foo line somewhere. Instead we
        clean up the variables in default_post.

        This means that the CONFIG -= explicitlib in linkAgainstLibrary() is no
        longer needed, as it was a workaround for the intermediate libraries ending
        up in the prl file. And, since CONFIG -= staticlib was there to support
        the explicitlib option, we can remove that too (as well as the exception
        for gprof, since it would be empty). If gprof needs tweaks to always link
        statically they should go in gprof.prf.

        Reviewed by Simon Hausmann.

        * qmake/mkspecs/features/default_post.prf:
        * qmake/mkspecs/features/functions.prf:

2012-09-13  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] "Infinite" loop in AccessibilityUIElementGtk.cpp
        https://bugs.webkit.org/show_bug.cgi?id=96632

        Reviewed by Carlos Garcia Campos.

        Fix this by using atk_object_get_n_accessible_children instead of
        calling getChildren() from childCount.

        * WebKitTestRunner/InjectedBundle/gtk/AccessibilityUIElementGtk.cpp:
        (WTR::AccessibilityUIElement::childrenCount): Avoid the infinite
        loop by using atk_object_get_n_accessible_children().

2012-09-13  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt][Win] Enable USE(3D_GRAPHICS)
        https://bugs.webkit.org/show_bug.cgi?id=90879

        Reviewed by Kenneth Rohde Christiansen.

        Enable it on Windows as well as on QNX (bug fixed).

        * qmake/mkspecs/features/features.prf:

2012-09-13  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] The ANGLE build on Windows breaks with GnuWin32's flex because it is too old
        https://bugs.webkit.org/show_bug.cgi?id=96359

        Reviewed by Tor Arne Vestbø.

        GnuWin32's flex is 2.5.4 and that is too old for ANGLE's preprocessor
        lexer. The only viable alternative I could find on Windows that provides
        binaries is the winflexbison distribution (http://sourceforge.net/projects/winflexbison/),
        so let's use that one instead.

        * Scripts/webkitdirs.pm:
        (checkRequiredSystemConfig):
        * qmake/mkspecs/features/default_pre.prf:

2012-09-13  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Add configuration for production builds
        https://bugs.webkit.org/show_bug.cgi?id=96607

        Reviewed by Kenneth Rohde Christiansen.

        Add configuration tweaks for production builds, to ease memory pressure with the GNU toolchain
        and enable all-in-one-files optimizations.

        * qmake/mkspecs/features/production_build.prf: Added.

2012-09-13  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] GStreamer detection does not work when cross-compiling
        https://bugs.webkit.org/show_bug.cgi?id=96608

        Reviewed by Kenneth Rohde Christiansen.

        When cross-compiling it is not safe to just use system(pkg-config),
        because there is a high probability that it will find packages in the
        host system instead of in the target one. Instead use qmake's new
        packagesExist() function that takes care of this delicate aspect of
        cross compilation by setting PKG_CONFIG_SYSROOT_DIR and
        PKG_CONFIG_LIBDIR accordingly.

        * qmake/mkspecs/features/features.prf:

2012-09-13  Christophe Dumez  <christophe.dumez@intel.com>

        [WK2][WTR] More efficient string handling in InjectedBundlePage
        https://bugs.webkit.org/show_bug.cgi?id=96609

        Reviewed by Kenneth Rohde Christiansen.

        Update StringBuilder usage in InjectedBundlePage to follow
        the latest recommandations for efficient string handling:
        http://trac.webkit.org/wiki/EfficientStrings

        This involves using appendLiteral() or appendNumber()
        instead of append() whenever possible.

        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::dumpPath):
        (WTR::rangeToStr):
        (WTR::styleDecToStr):
        (WTR::frameToStr):
        (WTR::dumpResourceURL):
        (WTR):
        (WTR::dumpFrameDescriptionSuitableForTestResult):
        (WTR::dumpRequestDescriptionSuitableForTestResult):
        (WTR::dumpResponseDescriptionSuitableForTestResult):
        (WTR::dumpErrorDescriptionSuitableForTestResult):
        (WTR::InjectedBundlePage::didReceiveIntentForFrame):
        (WTR::InjectedBundlePage::registerIntentServiceForFrame):
        (WTR::InjectedBundlePage::didStartProvisionalLoadForFrame):
        (WTR::InjectedBundlePage::didReceiveServerRedirectForProvisionalLoadForFrame):
        (WTR::InjectedBundlePage::didCommitLoadForFrame):
        (WTR::InjectedBundlePage::didFinishProgress):
        (WTR::dumpFrameScrollPosition):
        (WTR::dumpFrameText):
        (WTR::dumpDescendantFramesText):
        (WTR::InjectedBundlePage::didFinishLoadForFrame):
        (WTR::InjectedBundlePage::didReceiveTitleForFrame):
        (WTR::InjectedBundlePage::didCancelClientRedirectForFrame):
        (WTR::InjectedBundlePage::willPerformClientRedirectForFrame):
        (WTR::InjectedBundlePage::didFinishDocumentLoadForFrame):
        (WTR::InjectedBundlePage::didHandleOnloadEventsForFrame):
        (WTR::InjectedBundlePage::willSendRequestForFrame):
        (WTR::InjectedBundlePage::didReceiveResponseForResource):
        (WTR::InjectedBundlePage::didFinishLoadForResource):
        (WTR::InjectedBundlePage::didFailLoadForResource):
        (WTR::InjectedBundlePage::shouldCacheResponse):
        (WTR::InjectedBundlePage::decidePolicyForNavigationAction):
        (WTR::InjectedBundlePage::willAddMessageToConsole):
        (WTR::InjectedBundlePage::willSetStatusbarText):
        (WTR::InjectedBundlePage::willRunJavaScriptAlert):
        (WTR::InjectedBundlePage::willRunJavaScriptConfirm):
        (WTR::InjectedBundlePage::willRunJavaScriptPrompt):
        (WTR::InjectedBundlePage::didReachApplicationCacheOriginQuota):
        (WTR::InjectedBundlePage::shouldBeginEditing):
        (WTR::InjectedBundlePage::shouldEndEditing):
        (WTR::InjectedBundlePage::shouldInsertNode):
        (WTR::InjectedBundlePage::shouldInsertText):
        (WTR::InjectedBundlePage::shouldDeleteRange):
        (WTR::InjectedBundlePage::shouldChangeSelectedRange):
        (WTR::InjectedBundlePage::shouldApplyStyle):
        (WTR::InjectedBundlePage::didBeginEditing):
        (WTR::InjectedBundlePage::didEndEditing):
        (WTR::InjectedBundlePage::didChange):
        (WTR::InjectedBundlePage::didChangeSelection):
        (WTR::InjectedBundlePage::supportsFullScreen):
        (WTR::InjectedBundlePage::enterFullScreenForElement):
        (WTR::InjectedBundlePage::exitFullScreenForElement):
        (WTR::InjectedBundlePage::beganEnterFullScreen):
        (WTR::InjectedBundlePage::beganExitFullScreen):
        (WTR::InjectedBundlePage::closeFullScreen):
        (WTR::dumpBackForwardListItem):
        (WTR::InjectedBundlePage::dumpBackForwardList):

2012-09-13  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [Qt][WK2] Memory leaks in Qt's TestRunner
        https://bugs.webkit.org/show_bug.cgi?id=96603

        Reviewed by Csaba Osztrogonác.

        Fix memory leaks in Qt's TestRunner code by adopting WKString
        created with WKStringCreateWithUTF8CString().

        * WebKitTestRunner/qt/TestControllerQt.cpp:
        (WTR::TestController::initializeInjectedBundlePath):
        (WTR::TestController::initializeTestPluginDirectory):

2012-09-13  Zan Dobersek  <zandobersek@gmail.com>

        [GTK][NRWT] Lower timeout value to 6 seconds (12 for debug configuration)
        https://bugs.webkit.org/show_bug.cgi?id=96506

        Reviewed by Dirk Pranke.

        Lower the timeout value to 6 seconds for release configuration and 12 seconds
        for debug configuration. These are the same values the Chromium port uses.

        Currently the value is lowered only for the DumpRenderTree, WebKitTestRunner (and
        the layout tests under WebKit2 generally) requires more attention and gardening
        than what the current effort produces.

        The unit test is updated as well to test these changes.

        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort.default_timeout_ms):
        * Scripts/webkitpy/layout_tests/port/gtk_unittest.py:
        (GtkPortTest.test_default_timeout_ms):
        (GtkPortTest.assertLinesEqual):

2012-09-12  Csaba Osztrogonác  <ossy@webkit.org>

        Add SVN mirror handling feature to build.webkit.org
        https://bugs.webkit.org/show_bug.cgi?id=85887

        Reviewed by Dirk Pranke.

        * BuildSlaveSupport/build.webkit.org-config/config.json: Add SVN mirrors for Qt buildslaves hosted in Szeged.
        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (ConfigureBuild.__init__): Add SVNMirror property to be able to watch which slaves use which mirror on build.webkit.org.
        (ConfigureBuild.start):
        (CheckOutSource.__init__): Set baseURL to the SVNMirror or the default http://svn.webkit.org/repository/webkit/
        (WaitForSVNServer): Add new buildstep for waiting the SVNMirror to be in sync with http://svn.webkit.org/repository/webkit/
        (Factory.__init__):
        (BuildFactory.__init__):
        (TestFactory.__init__):
        (BuildAndTestFactory.__init__):
        (BuildAndPerfTestFactory.__init__):
        (BuildAndPerfTestWebKit2Factory.__init__):
        (DownloadAndPerfTestFactory.__init__):
        (DownloadAndPerfTestWebKit2Factory.__init__):
        (loadBuilderConfig): Use kwargs instead of args to be able to add the optional SVNMirror factory argument.
        * BuildSlaveSupport/build.webkit.org-config/mastercfg_unittest.py:
        (SVNMirrorTest):
        (SVNMirrorTest.setUp): Load config.json once at startup.
        (SVNMirrorTest.get_SVNMirrorFromConfig): Get the SVNMirror from config.json for a given buildslave.
        (SVNMirrorTest.test_CheckOutSource): Compare CheckOutSource.baseURL with SVNMirror in config.json for all builders
        * BuildSlaveSupport/build.webkit.org-config/wait-for-SVN-server.py: Added.
        (getLatestSVNRevision): Get the latest SVN revison from the given server.
        (waitForSVNRevision): Wait until the given SVN revision is committed to the given server. It doesn't wait if the
                              SVN revision is empty (force build triggered without revision) or the server is unavailable.

2012-09-12  Kangil Han  <kangil.han@samsung.com>

        [WK2][WTR] Set waitUntilDone watchdog timer value equal to WK1.
        https://bugs.webkit.org/show_bug.cgi?id=81606

        Reviewed by Tim Horton.

        6 seconds is harsh for some jquery test cases.
        Therefore, adjust the value to match DumpRenderTree.

        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR):

2012-09-12  KyungTae Kim  <ktf.kim@samsung.com>

        [EFL] Support download attribute feature
        https://bugs.webkit.org/show_bug.cgi?id=96462

        Reviewed by Gyuyoung Kim.

        Enable DOWNLOAD_ATTRIBUTE feature for EFL port,
        and add "download,request" callback to the DumpRenderTree for EFL.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::createView):
        (DumpRenderTreeChrome::onDownloadRequest):
        * DumpRenderTree/efl/DumpRenderTreeChrome.h:
        (DumpRenderTreeChrome):
        * Scripts/webkitperl/FeatureList.pm:

2012-09-12  Stephanie Lewis  <slewis@apple.com>

        Reduce parallism on the wk2 testers.
        https://bugs.webkit.org/show_bug.cgi?id=95906

        Reviewed by Dirk Pranke.

        The wk2 testers on Mountain Lion are getting stuck and timing out.  The problem appears to be due to
        resource contention.  Reducing the number of processes alleviates the issue.  

        Starting by reducing 25%.

        * Scripts/webkitpy/layout_tests/port/mac.py:
        (MacPort.default_child_processes):

2012-09-12  Brady Eidson  <beidson@apple.com>

        Assert in NetscapePlugin::destroy() with async plugin init
        <rdar://problem/12277595> and https://bugs.webkit.org/show_bug.cgi?id=96576

        Reviewed by Anders Carlsson.

        Expose NPN_Invoke to plug-in tests:
        * DumpRenderTree/TestNetscapePlugIn/PluginTest.cpp:
        (PluginTest::NPN_Invoke):
        * DumpRenderTree/TestNetscapePlugIn/PluginTest.h:
        (PluginTest):

        Add a test that uses NPN_Invoke on the window object from inside NPP_New to remove the plug-in element:
        * DumpRenderTree/TestNetscapePlugIn/Tests/InvokeDestroysPluginWithinNPP_New.cpp: Added.
        (InvokeDestroysPluginWithinNPP_New):
        (InvokeDestroysPluginWithinNPP_New::InvokeDestroysPluginWithinNPP_New):
        (InvokeDestroysPluginWithinNPP_New::NPP_New):
        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:

2012-09-12  Dirk Pranke  <dpranke@chromium.org>

        refactor TestExpectations tokenization slightly in preparation for the new syntax
        https://bugs.webkit.org/show_bug.cgi?id=96564

        Reviewed by Ojan Vafai.

        This change changes how we will tokenize/lex the
        TestExpectations files, in preparation for supporting both the
        old syntax and the new one. This change by itself should be a
        no-op.

        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectationParser._tokenize_line):
        (TestExpectationParser):
        (TestExpectationParser._tokenize_line_using_old_format):
        (TestExpectationParser._tokenize_line_using_new_format):

2012-09-12  Dirk Pranke  <dpranke@chromium.org>

        remove unused testexpectations editing code from webkitpy, garden-o-matic
        https://bugs.webkit.org/show_bug.cgi?id=96562

        Reviewed by Adam Barth.

        This code was prototyped but never fully realized. Removing
        until it reanimates :).

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/checkout.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/checkout_unittests.js:
        * Scripts/webkitpy/layout_tests/controllers/test_expectations_editor.py: Removed.
        * Scripts/webkitpy/layout_tests/controllers/test_expectations_editor_unittest.py: Removed.
        * Scripts/webkitpy/tool/servers/gardeningserver.py:
        (BuildCoverageExtrapolator.extrapolate_test_configurations):
        (GardeningHTTPRequestHandler._run_webkit_patch):
        (GardeningHTTPRequestHandler.ping):
        * Scripts/webkitpy/tool/servers/gardeningserver_unittest.py:
        (BuildCoverageExtrapolatorTest.test_extrapolate):
        (GardeningServerTest.test_rebaseline_new_port):

2012-09-12  Lucas Forschler  <lforschler@apple.com>

        Remove unused bot, apple-xserve-1.
        https://bugs.webkit.org/show_bug.cgi?id=96570
        
        Reviewed by Stephanie Lewis.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2012-09-12  Xan Lopez  <xlopez@igalia.com>

        [GTK] We attempt to rebase documentation even if it's not present
        https://bugs.webkit.org/show_bug.cgi?id=96553

        Reviewed by Martin Robinson.

        Do not make the documentation rebase step fatal. This allows make
        install to succeed when there's no documentation generated.

        * gtk/generate-gtkdoc:

2012-09-12  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Respect WEBKITOUTPUTDIR when running EFL tests
        https://bugs.webkit.org/show_bug.cgi?id=96528

        Reviewed by Dirk Pranke.

        Expose user set WEBKITOUTPUTDIR to the web process.

        * Scripts/webkitpy/layout_tests/port/driver.py:
        (Driver._start): Add WEBKITOUTPUTDIR to the environment
        of the web process and its potential jhbuild wrapper.

2012-09-12  Dirk Pranke  <dpranke@chromium.org>

        webkitdirs: fix uname version handling for cygwin
        https://bugs.webkit.org/show_bug.cgi?id=96436

        Reviewed by Jon Honeycutt.

        Newer versions of cygwin embed an additional version string
        inside parentheses, so you get "1.7.16(0.249/5/3)" instead of "1.7.16".
        Update the code to handle that.

        * Scripts/webkitdirs.pm:
        (setupAppleWinEnv):

2012-09-12  Christophe Dumez  <christophe.dumez@intel.com>

        Regression(r128338): Broke Windows build
        https://bugs.webkit.org/show_bug.cgi?id=96537

        Unreviewed build fix.

        Fix Apple-Win build by allocating array dynamically
        since its size is not constant.

        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::stringArrayToJS):

2012-09-12  Alex Sakhartchouk  <alexst@chromium.org>

        [chromium] Add a virtual test suite for fast/hidpi
        https://bugs.webkit.org/show_bug.cgi?id=90192

        Reviewed by Dirk Pranke.

        Add a virtual test suite to make sure the pixel tests in fast/hidpi give the same result
        on the hardware accelerated path as the software path.

        * DumpRenderTree/chromium/WebPreferences.cpp:
        (WebPreferences::applyTo):
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort.virtual_test_suites):

2012-09-12  Adam Klein  <adamk@chromium.org>

        [chromium] Add content_browsertests to the flakiness dashboard
        https://bugs.webkit.org/show_bug.cgi?id=96535

        Reviewed by Ojan Vafai.

        * TestResultServer/static-dashboards/dashboard_base.js:

2012-09-12  Christophe Dumez  <christophe.dumez@intel.com>

        [WK2][WKTR] TestRunner needs to implement originsWithApplicationCache
        https://bugs.webkit.org/show_bug.cgi?id=96496

        Reviewed by Kenneth Rohde Christiansen.

        Add implementation for originsWithApplicationCache to
        WebKitTestRunner.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::stringArrayToJS):
        (WTR):
        (WTR::TestRunner::originsWithApplicationCache):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):

2012-09-12  Simon Hausmann  <simon.hausmann@nokia.com>

        Fix Qt/Windows build with Python3
        https://bugs.webkit.org/show_bug.cgi?id=96473

        Reviewed by Csaba Osztrogonác.

        In Python 3 print is a real function, so we must use parentheses around
        the function parameters. This is backwards compatible with Python 2.

        * Scripts/generate-win32-export-forwards:

2012-09-12  Simon Hausmann  <simon.hausmann@nokia.com>

        Unreviewed trivial build fix for Qt/Windows after bug #96358.

        As pointed out by Kevin, we should inject the "set PATH=..." statement
        to add the GnuWin32 directory only if that directory actually exists.

        * qmake/mkspecs/features/default_post.prf:

2012-09-12  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [EFL] [WK2] Memory leaks in TestControllerEfl
        https://bugs.webkit.org/show_bug.cgi?id=96525

        Reviewed by Kenneth Rohde Christiansen.

        Fix memory leaks in EFL's TestRunner code by adopting an allocation
        of WKString created with WKStringCreateWithUTF8CString().

        * WebKitTestRunner/efl/TestControllerEfl.cpp:
        (WTR::TestController::initializeInjectedBundlePath):
        (WTR::TestController::initializeTestPluginDirectory):

2012-09-12  Christophe Dumez  <christophe.dumez@intel.com>

        [WK2][WKTR] TestRunner needs to implement dumpApplicationCacheDelegateCallbacks
        https://bugs.webkit.org/show_bug.cgi?id=96374

        Reviewed by Kenneth Rohde Christiansen.

        Implement support for dumpApplicationCacheDelegateCallbacks
        and disallowIncreaseForApplicationCacheQuota in
        WebKitTestRunner and properly dump the information
        expected by the tests.

        If the application cache quota is reached for a given
        security origin, WebKitTestRunner will reset the quota
        to its default value, unless intructed not to via
        disallowIncreaseForApplicationCacheQuota().

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage):
        (WTR::InjectedBundlePage::didReachApplicationCacheOriginQuota):
        (WTR):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:
        (InjectedBundlePage):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::TestRunner):
        (WTR::TestRunner::disallowIncreaseForApplicationCacheQuota):
        (WTR):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (WTR::TestRunner::dumpApplicationCacheDelegateCallbacks):
        (TestRunner):
        (WTR::TestRunner::shouldDisallowIncreaseForApplicationCacheQuota):
        (WTR::TestRunner::shouldDumpApplicationCacheDelegateCallbacks):

2012-09-12  Jochen Eisinger  <jochen@chromium.org>

        [chromium] remove deprecated and unused sets import from chromium_android driver
        https://bugs.webkit.org/show_bug.cgi?id=96485

        Reviewed by Dirk Pranke.

        * Scripts/webkitpy/layout_tests/port/chromium_android.py:

2012-09-12  Zan Dobersek  <zandobersek@gmail.com>

        Flakiness dashboard doesn't recognize new Chromium Android test builder
        https://bugs.webkit.org/show_bug.cgi?id=96523

        Reviewed by Ojan Vafai.

        Properly return 'ANDROID' as the Chromium platform for Android builders.

        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (chromiumPlatform):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (test):

2012-09-12  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Build on Windows requires bison/flex in PATH
        https://bugs.webkit.org/show_bug.cgi?id=96358

        Reviewed by Tor Arne Vestbø.

        The build requires flex, bison, etc. and they need to be in the PATH when building. On Mac OS X
        and Linux that is rarely a problem given how easily available the tools are. On Windows however
        a separate installation of various GNU tools is required as the operating system doesn't come with
        them. To make the development more convenient, Qt 5 provides a copy of the most essential tools in
        the gnuwin32 directory of the qt5.git top-level repository.

        This patch tries to detect the presence of those tools and prepends them to the PATH if found.

        This is required in preparation for the elimination of qt5/qtwebkit.pri, which currently expands
        PATH before calling build-webkit. It it also required for the upcoming introduction of win_flex
        as dependency over flex, which can be done with less hassle when qt5's gnuwin32 directory has been
        updated with the new tool.

        * Scripts/webkitdirs.pm:
        (checkRequiredSystemConfig):
        * qmake/mkspecs/features/default_post.prf:

2012-09-12  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Update build-jsc after r128174

        Reviewed by Ossy.

        * Scripts/build-jsc:

2012-09-12  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Teach addStrictSubdirOrderBetween to handle more than two targets

        By hard-coding the names of the targets we defined we ended up just
        redefining the previous target when using addStrictSubdirOrderBetween
        more than once in a single project file.

        We now embed the two base targets into the target names.

        Reviewed by Simon Hausmann.

        * qmake/mkspecs/features/functions.prf:

2012-09-12  Philippe Liard  <pliard@google.com>

        Depend on {base,net} GYP targets rather than {base,net}_java.
        https://bugs.webkit.org/show_bug.cgi?id=95690

        Reviewed by Adam Barth.

        {base,net}_java became 'private' targets on the Chromium side that
        clients should not depend on (see
        https://chromiumcodereview.appspot.com/10913083/).
        This removes a bunch of trailing white spaces additionally in
        TestWebkitAPI.gyp (which includes non-trailing white space changes).

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * TestWebKitAPI/TestWebKitAPI.gyp/TestWebKitAPI.gyp:

2012-09-12  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Fix the build with ENABLE_NETSCAPE_PLUGIN_API=0
        https://bugs.webkit.org/show_bug.cgi?id=96494

        Reviewed by Tor Arne Vestbø.

        WK2's ENABLE_PLUGIN_PROCESS uses the NPAPI functions unconditionally, so disable the
        plugin process feature if we don't have NPAPI.

        * qmake/mkspecs/features/features.prf:

2012-09-12  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r128280.
        http://trac.webkit.org/changeset/128280
        https://bugs.webkit.org/show_bug.cgi?id=96498

        it broke compilation on windows debug bot (Requested by loislo
        on #webkit).

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:
        (InjectedBundlePage):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::TestRunner):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):

2012-09-12  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Make it possible to build with "make release" and "make debug" on Windows
        https://bugs.webkit.org/show_bug.cgi?id=96488

        Reviewed by Tor Arne Vestbø.

        A "make debug" is passed through recursively and currently it aborts at Makefile.DerivedSources
        because there are no such targets. We want the generated sources to be independent from release
        or debug build configurations, so it is sufficient to provide fake debug and release targets that
        redirect to the same general-purpose target (first) of creating the derived sources.

        * qmake/mkspecs/features/default_post.prf:

2012-09-12  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        [EFL] Make DumpRenderTree smarter at finding the fonts
        http://webkit.org/b/96281

        Reviewed by Gyuyoung Kim.

        Respect WEBKITOUTPUTDIR and expand the font dir from it.
        Use CString consistently.

        * DumpRenderTree/efl/FontManagement.cpp:
        (buildPath):
        (getCoreFontFiles):
        (addFontDirectory):
        (addFontFiles):
        (getCustomBuildDir):
        (getPlatformFontsPath):
        (addFontsToEnvironment):

2012-09-12  Christophe Dumez  <christophe.dumez@intel.com>

        [WK2][WKTR] TestRunner needs to implement dumpApplicationCacheDelegateCallbacks
        https://bugs.webkit.org/show_bug.cgi?id=96374

        Reviewed by Kenneth Rohde Christiansen.

        Implement support for dumpApplicationCacheDelegateCallbacks
        and disallowIncreaseForApplicationCacheQuota in
        WebKitTestRunner and properly dump the information
        expected by the tests.

        If the application cache quota is reached for a given
        security origin, WebKitTestRunner will reset the quota
        to its default value, unless intructed not to via
        disallowIncreaseForApplicationCacheQuota().

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage):
        (WTR::InjectedBundlePage::didReachApplicationCacheOriginQuota):
        (WTR):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:
        (InjectedBundlePage):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::TestRunner):
        (WTR::TestRunner::disallowIncreaseForApplicationCacheQuota):
        (WTR):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (WTR::TestRunner::dumpApplicationCacheDelegateCallbacks):
        (TestRunner):
        (WTR::TestRunner::shouldDisallowIncreaseForApplicationCacheQuota):
        (WTR::TestRunner::shouldDumpApplicationCacheDelegateCallbacks):

2012-09-12  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [WK2] [WTR] WebKitTestRunner needs TestRunner.workerThreadCount
        https://bugs.webkit.org/show_bug.cgi?id=96388

        Reviewed by Kenneth Rohde Christiansen.

        Exported TestRunner.workerThreadCount as readonly attribute.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp: Added workerThreadCount() method implementation.
        (WTR::TestRunner::workerThreadCount): Returns count of worker threads.
        (WTR):
        * WebKitTestRunner/InjectedBundle/TestRunner.h: Added workerThreadCount() method. 
        (TestRunner):

2012-09-12  Jochen Eisinger  <jochen@chromium.org>

        [chromium] Consume a user gesture when creating a new view.
        https://bugs.webkit.org/show_bug.cgi?id=96373

        Reviewed by Adam Barth.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::createView):

2012-09-12  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [WK2][WTR] Some of TestRunner special options are not reset before testing
        https://bugs.webkit.org/show_bug.cgi?id=96384

        Reviewed by Kenneth Rohde Christiansen.

        Now values of the following special options are reset:
        void setAcceptsEditing(in boolean value);
        void setCloseRemainingWindowsWhenComplete(in boolean value);
        void setXSSAuditorEnabled(in boolean value);
        void setAllowFileAccessFromFileURLs(in boolean value);
        void setPluginsEnabled(in boolean value);
        void setPopupBlockingEnabled(in boolean value);

        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::beginTesting):

2012-09-11  Ryuan Choi  <ryuan.choi@samsung.com>

        [CMAKE] Supply feature defines to CodeGeneratorTestRunner.
        https://bugs.webkit.org/show_bug.cgi?id=96273

        Reviewed by Gyuyoung Kim.

        Passed FEATURE_DEFINES_WITH_SPACE_SEPARATOR to CodeGeneratorTestRunner
        in order to distinguish compile time options such as ENABLE(TOUCH_EVENTS).

        * WebKitTestRunner/CMakeLists.txt:

2012-09-11  Dirk Pranke  <dpranke@chromium.org>

        [chromium] rename webkit_resources
        https://bugs.webkit.org/show_bug.cgi?id=95874

        Reviewed by James Robinson.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2012-09-11  Jochen Eisinger  <jochen@chromium.org>

        [chromium] don't include content shell builders in the garden-o-matic view
        https://bugs.webkit.org/show_bug.cgi?id=96418

        Reviewed by James Robinson.

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/config.js:

2012-09-11  Adam Klein  <adamk@chromium.org>

        Garden-o-matic should ignore a wider variety of warnings in buildbot json
        https://bugs.webkit.org/show_bug.cgi?id=96411

        Reviewed by Adam Barth.

        Previously only the exact string "warning" was treated as a warning
        result. This patch treats any string with "warning" as a substring
        as a warning (e.g., "warnings", as seen on the cr-win buildbots).

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/builders.js:
        (.):
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/builders_unittests.js:

2012-09-11  Marcelo Lira  <marcelo.lira@openbossa.org>

        Restore original value of mock scrollbars enabled in InternalSettings
        https://bugs.webkit.org/show_bug.cgi?id=87680

        Reviewed by Adam Barth.

        Added backup support for mock scrollbars state in
        InternalSettings::Backup, and removed support for these
        from Qt's DumpRenderTree.

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::WebPage::resetSettings):
        * DumpRenderTree/qt/TestRunnerQt.cpp:
        (TestRunner::setFrameFlatteningEnabled):
        * DumpRenderTree/qt/TestRunnerQt.h:
        (TestRunner):

2012-09-11  Dan Bernstein  <mitz@apple.com>

        Fixed a bug where kill-old-processes failed to kill clang++.

        Rubber-stamped by Alexey Proskuryakov.

        * BuildSlaveSupport/kill-old-processes: Escape the + signs in "clang++"
        where it is passed as a regular expression to killall.

2012-09-11  Philippe Liard  <pliard@google.com>

        Make sure that md5sum is not setup on non-Chromium Android platforms.
        https://bugs.webkit.org/show_bug.cgi?id=96393

        Reviewed by Adam Barth.

        Previously md5sum was setup in ChromiumAndroidDriver's constructor
        which is also invoked on non-Chromium Android platforms. The following patch
        moves this logic to _startup_test() which is guaranteed to be invoked
        only on Android.

        This also updates the prompt unit test in chromium_android_unittest.py.

        * Scripts/webkitpy/layout_tests/port/chromium_android.py:
        (ChromiumAndroidDriver.__init__):
        (ChromiumAndroidDriver._setup_md5sum_and_push_data_if_needed):
        (ChromiumAndroidDriver._setup_test):

2012-09-11  Raphael Kubo da Costa  <rakuco@webkit.org>

        [EFL] Rewrite the EFL-related Find modules
        https://bugs.webkit.org/show_bug.cgi?id=95237

        Reviewed by Kenneth Rohde Christiansen.

        * DumpRenderTree/efl/CMakeLists.txt: Stop setting the LINK_FLAGS
        property and include all the Enlightenment Foundation Libraries
        required by the target.
        * EWebLauncher/CMakeLists.txt: Ditto.
        * MiniBrowser/efl/CMakeLists.txt: Ditto.
        * TestWebKitAPI/PlatformEfl.cmake: Add missing include directories
        now that they are not added implicitly.
        * WebKitTestRunner/CMakeLists.txt: Stop setting the LINK_FLAGS
        property.
        * WebKitTestRunner/PlatformEfl.cmake: Stop setting the LINK_FLAGS
        property and include all the Enlightenment Foundation Libraries
        required by the target.

2012-09-11  Christophe Dumez  <christophe.dumez@intel.com>

        [WK2][WKTR] TestRunner needs to implement setApplicationCacheOriginQuota
        https://bugs.webkit.org/show_bug.cgi?id=96379

        Reviewed by Kenneth Rohde Christiansen.

        Add implementation for setApplicationCacheOriginQuota
        to WebKitTestRunner.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::setApplicationCacheOriginQuota):
        (WTR):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):

2012-09-11  Luciano Wolf  <luciano.wolf@openbossa.org>

        [Qt] [WK2] editing/inserting/typing-tab-designmode tests are failing
        https://bugs.webkit.org/show_bug.cgi?id=91988

        Reviewed by Kenneth Rohde Christiansen.

        Regular key events generated by Qt for the tab key fill both
        keyCode and keyText, so we should do the same for our fake events.

        * WebKitTestRunner/qt/EventSenderProxyQt.cpp:
        (WTR::EventSenderProxy::keyDown):

2012-09-11  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [WK2][WTR] WebKitTestRunner needs testRunner.setSpatialNavigationEnabled
        https://bugs.webkit.org/show_bug.cgi?id=96269

        Reviewed by Kenneth Rohde Christiansen.

        Exported missing testRunner.setSpatialNavigationEnabled() method.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::beginTesting):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::setSpatialNavigationEnabled):
        (WTR):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):

2012-09-11  Philippe Liard  <pliard@chromium.org>

        Support LayoutTests on non-rooted devices for Chromium Android.
        https://bugs.webkit.org/show_bug.cgi?id=95346

        Reviewed by Dirk Pranke.

        We were requiring root permissions to sync resource files with the
        device by comparing host and device files' timestamp after we
        synchronized the device and host clocks.
        We now rely on md5sum provided by Chromium to handle data files
        synchronization.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort._check_driver_build_up_to_date):
        * Scripts/webkitpy/layout_tests/port/chromium_android.py:
        (ChromiumAndroidDriver.__init__):
        (ChromiumAndroidDriver._setup_test):
        (ChromiumAndroidDriver._push_executable):
        (ChromiumAndroidDriver._push_test_resources):
        (ChromiumAndroidDriver._read_prompt):

2012-09-11  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Fix output paths on Windows

        Reviewed by Tor Arne Vestbø.

        BUILD_ROOT_RELATIVE_TO_OUT_PWD was calculated incorrectly Windows, resulting in an incorrect
        DESTDIR transformation at the end of default_post.prf. The calculation should be baased no qmake
        paths, which can use drive letters but always use forward slashes. So the use of QMAKE_DIR_SEP is
        incorrect here and instead for the calculation we should use forward slashes.

        * qmake/mkspecs/features/default_pre.prf:

2012-09-11  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Fix passing of defines from the build system

        We explicitly have to pass -DENABLE_FOO=0 for every single feature
        that's not explicitly enabled in WEBKIT_CONFIG, since Platform.h
        will add it's own defaults if the features are not defined.

        At some point we might want to run a configure-test to inspect what
        Platform.h will do, so we can sync up the build system's view of
        the feature-defines with the compile-time situation.

        Reviewed by Simon Hausmann.

        * qmake/mkspecs/features/functions.prf:

2012-09-11  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Fix --qt option to build-webkit

        Reviewed by Ossy.

        * Scripts/webkitdirs.pm:
        (buildQMakeProjects):

2012-09-11  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Add a configure step to the Qt build system

        This allows building the Qt port using just 'qmake WebKit.pro'. Using
        the build-webkit script is still supported, and will add slightly more
        logic to the build, such as detecting the need for clean or incremental
        builds.

        Internally, the build system now uses a new variable, WEBKIT_CONFIG, for
        all things related to configuring the build, such as use/have/enable flags,
        and these are translated to defines in default_post. Project files should
        no longer check contains(DEFINES,...) to detect features, but use the new
        enable?(), use?(), and have?() functions. The no_webkit1 and no_webkit2
        options have been translated into WEBKIT_CONFIG options as well, and can
        be checked using build?().

        Reviewed by Simon Hausmann.

        * DumpRenderTree/qt/DumpRenderTree.pro:
        * MiniBrowser/qt/MiniBrowser.pro:
        * QtTestBrowser/QtTestBrowser.pro:
        * Scripts/build-webkit:
        * Scripts/webkitdirs.pm:
        (qtFeatureDefaults):
        (buildQMakeProjects):
        * Tools.pro:
        * WebKitTestRunner/InjectedBundle/DerivedSources.pri:
        * WebKitTestRunner/InjectedBundle/Target.pri:
        * WebKitTestRunner/Target.pri:
        * qmake/.qmake.cache: Added.
        * qmake/configure.pri: Removed.
        * qmake/configure.pro: Removed.
        * qmake/dump-features: Added.
        * qmake/mkspecs/features/configure.prf: Added.
        * qmake/mkspecs/features/default_post.prf:
        * qmake/mkspecs/features/default_pre.prf:
        * qmake/mkspecs/features/features.prf:
        * qmake/mkspecs/features/features.pri:
        * qmake/mkspecs/features/functions.prf:
        * qmake/mkspecs/features/gprof.prf:
        * qmake/mkspecs/features/mac/default_pre.prf:
        * qmake/mkspecs/features/win32/default_pre.prf:

2012-09-11  Christophe Dumez  <christophe.dumez@intel.com>

        [WK2][WKTR] TestRunner needs to implement clearApplicationCacheForOrigin
        https://bugs.webkit.org/show_bug.cgi?id=96372

        Reviewed by Kenneth Rohde Christiansen.

        Implement clearApplicationCacheForOrigin() in WebKitTestRunner.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::clearApplicationCacheForOrigin):
        (WTR):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):

2012-09-11  Peter Beverloo  <peter@chromium.org>

        Don't ignore .pak files when making an archive for Android
        https://bugs.webkit.org/show_bug.cgi?id=96375

        Reviewed by Jochen Eisinger.

        The .pak files do need to be pushed to the device, which is currently
        preventing the layout test runner from correctly pushing all files.

        * BuildSlaveSupport/built-product-archive:
        (archiveBuiltProduct):

2012-09-11  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [WK2][WTR] WebKitTestRunner needs layoutTestController.setMinimumTimerInterval
        https://bugs.webkit.org/show_bug.cgi?id=96256

        Reviewed by Kenneth Rohde Christiansen.

        Exported TestRunner::setMinimumTimerInterval() method.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::beginTesting):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::setMinimumTimerInterval):
        (WTR):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):

2012-09-11  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: add RTCPeerConnection::onnegotiationneeded
        https://bugs.webkit.org/show_bug.cgi?id=96097

        Reviewed by Adam Barth.

        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        (MockWebRTCPeerConnectionHandler::addStream):
        (MockWebRTCPeerConnectionHandler::removeStream):

2012-09-11  Peter Beverloo  <peter@chromium.org>

        Recognize the "--chromium-android" argument in run-webkit-tests
        https://bugs.webkit.org/show_bug.cgi?id=96369

        Reviewed by Jochen Eisinger.

        Chromium for the Android platform cannot determine the platform based on
        the host itself, so we'll use the --chromium-android argument as the build
        master passes to run-webkit-tests. Make sure the layout test runner
        can pick the right port when doing so.

        * Scripts/run-webkit-tests:
        * Scripts/webkitpy/layout_tests/port/factory.py:
        (port_options):

2012-09-11  Simon Hausmann  <simon.hausmann@nokia.com>

        [QT] Fix build with newer qmake from Qt 5

        Rubber-stamped by Tor Arne Vestbø.

        Support for "qmake -query QMAKE_MKSPECS" was removed from qmake. Replace
        it with the use of QT_HOST_DATA/mkspecs.
        Based on patch by Oswald Buddenhagen <oswald.buddenhagen@nokia.com>.

        * Scripts/webkitdirs.pm:
        (builtDylibPathForName):
        (qtMakeCommand):

2012-09-11  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Remove Qt 4 syncqt, no longer needed

        Reviewed by Simon Hausmann.

        * qmake/syncqt-4.8: Removed.

2012-09-11  Andras Becsi  <andras.becsi@nokia.com>

        [Qt][WK2] Fix the build with recent Qt5
        https://bugs.webkit.org/show_bug.cgi?id=96283

        Reviewed by Simon Hausmann.

        We should not use deprecated Qt API because doing that results
        in build failure since all the deprecated API was disabled
        in qtbase (https://codereview.qt-project.org/#change,24890).

        * DumpRenderTree/qt/main.cpp:
        (main):
        * MiniBrowser/qt/MiniBrowserApplication.cpp:
        (MiniBrowserApplication::notify):
        * MiniBrowser/qt/raw/View.cpp:
        (View::exposeEvent):
        (main):

2012-09-11  Christophe Dumez  <christophe.dumez@intel.com>

        WTR needs an implementation of applicationCacheDiskUsageForOrigin
        https://bugs.webkit.org/show_bug.cgi?id=87188

        Reviewed by Kenneth Rohde Christiansen.

        Add implementation for applicationCacheDiskUsageForOrigin()
        in WebKitTestRunner.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::applicationCacheDiskUsageForOrigin):
        (WTR):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):

2012-09-10  Joanmarie Diggs  <jdiggs@igalia.com>

        Properly expose <legend> elements to ATs
        https://bugs.webkit.org/show_bug.cgi?id=84137

        Reviewed by Chris Fleizach.

        Created a new WebCore Accessibility Role, LegendRole. Used it to map to
        the expected platform role, ATK_ROLE_LABEL. Also established the needed
        AtkRelation pair, label-for/labelled-by between the legend and fieldset.

        * DumpRenderTree/chromium/TestRunner/AccessibilityUIElementChromium.cpp:
        (roleToString): added "Legend" string for WebAccessibilityRoleLegend

2012-09-10  Jer Noble  <jer.noble@apple.com>

        Unreviewed; rolling out r128081.
        http://trac.webkit.org/changeset/128081
        https://bugs.webkit.org/show_bug.cgi?id=96134

        New test http/tests/media/video-donottrack.html fails to run on Apple test bots.

        * DumpRenderTree/TestRunner.cpp:
        (TestRunner::TestRunner):
        (TestRunner::staticFunctions):
        * DumpRenderTree/TestRunner.h:
        (TestRunner):
        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:
        (InjectedBundlePage):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::TestRunner):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):

2012-09-10  Christophe Dumez  <christophe.dumez@intel.com>

        TestExpectationsChecker._determine_port_from_expectations_path() does not support cascaded TestExpectations
        https://bugs.webkit.org/show_bug.cgi?id=96205

        Reviewed by Tony Chang.

        _determine_port_from_expectations_path() was calling port.path_to_test_expectations_file()
        internally, which means that it would support only 1 TestExpectations file per port. This
        is an issue for ports such as EFL that support cascased TestExpectations (efl-wk2 -> efl
        and efl-wk1 -> efl).

        This patch makes _determine_port_from_expectations_path() call port.expectations_files()
        instead so that all the ports TestExpectations are recognized. The ports are also
        constructed twice, with "webkit_test_runner" option set to True and False so that we
        retrieve the TestExpectations paths for both WebKit1 and WebKit2.

        * Scripts/webkitpy/style/checkers/test_expectations.py:
        (TestExpectationsChecker._determine_port_from_expectations_path):
        * Scripts/webkitpy/style/checkers/test_expectations_unittest.py: Add corresponding unit test.
        (TestExpectationsTestCase.test_determine_port_from_expectations_path):

2012-09-10  Ryuan Choi  <ryuan.choi@samsung.com>

        [WTR] Generated source files should include config.h
        https://bugs.webkit.org/show_bug.cgi?id=96254

        Reviewed by Benjamin Poulain.

        Current coding style has encouraged to include config.h at the first position,
        But derived sources, generated by CodeGeneratorTestRunner.pm, don't follow
        this rule.
        Therefore, this patch added it.

        * WebKitTestRunner/InjectedBundle/Bindings/CodeGeneratorTestRunner.pm:
        (_generateImplementationFile):

2012-09-10  Rick Byers  <rbyers@chromium.org>

        Add handling of new GestureTapCancel in DRT
        
        https://bugs.webkit.org/show_bug.cgi?id=96183

        Reviewed by Adam Barth.

        * DumpRenderTree/chromium/TestWebPlugin.cpp:
        (TestWebPlugin::handleInputEvent):

2012-09-10  Brady Eidson  <beidson@apple.com>

        Javascript in foreground tabs should not wait synchronously for plug-ins to load
        <rdar://problem/12067415> and https://bugs.webkit.org/show_bug.cgi?id=96167

        Reviewed by Geoff Garen.

        Enhance the "Slow NPP_New" plug-in to also be able to return properties to javascript.

        * DumpRenderTree/TestNetscapePlugIn/Tests/SlowNPPNew.cpp:
        (PluginObject):
        (SlowNPPNew::PluginObject::PluginObject):
        (SlowNPPNew::PluginObject::~PluginObject):
        (SlowNPPNew::PluginObject::hasProperty):
        (SlowNPPNew::PluginObject::getProperty):
        (SlowNPPNew::NPP_GetValue):
        (SlowNPPNew):

2012-09-10  Tim Horton  <timothy_horton@apple.com>

        WKTR often reports an unresponsive WebProcess on Mac bots
        https://bugs.webkit.org/show_bug.cgi?id=95906

        Reviewed by Dan Bernstein.

        Attempt to work around resource contention issues by increasing the NRWT
        timeout when running against WKTR, as well as WKTR's own WebProcess timeout.

        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port.default_timeout_ms): Default timeout when using WKTR -> 80 seconds.
        * WebKitTestRunner/TestController.cpp:
        (WTR): LongTimeout (used when waiting for WebProcess to finish) -> 60 seconds.

2012-09-07  Jer Noble  <jer.noble@apple.com>

        <audio> and <video> should send Do Not Track when appropriate
        https://bugs.webkit.org/show_bug.cgi?id=96134

        Reviewed by Eric Carlson.

        Add a testRunner JS API for calling setShouldSendDoNotTrackHTTPHeader to DRT and 
        WTR. Add FrameLoaderClient client methods for retrieving that value.

        * DumpRenderTree/TestRunner.cpp:
        (setShouldSendDoNotTrackHTTPHeaderCallback): Pass through to the TestRunner.
        (TestRunner::staticFunctions): Add the setShouldSendDoNotTrackHTTPHeader function.
        * DumpRenderTree/TestRunner.h:
        (TestRunner::setShouldSendDoNotTrackHTTPHeader): Simple setter.
        (TestRunner::shouldSendDoNotTrackHTTPHeader): Simple getter.
        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        (-[FrameLoadDelegate webViewShouldSendDoNotTrackHTTPHeader:]): 
            Pass the question on to the TestRunner.
        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage):
            Add the setShouldSendDoNotTrackHTTPHeader client function.
        (WTR::InjectedBundlePage::shouldSendDoNotTrackHTTPHeader):
            Pass the question on to the TestRunner.
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (WTR::TestRunner::shouldSendDoNotTrackHTTPHeader): Simple getter.
        (WTR::TestRunner::setShouldSendDoNotTrackHTTPHeader): Simple Setter.

2012-09-10  Ojan Vafai  <ojan@chromium.org>

        Make EFL bots work on the flakiness dashboard
        https://bugs.webkit.org/show_bug.cgi?id=96164

        Reviewed by Tony Chang.

        Also, update outdated unittests that had started failing.

        * TestResultServer/static-dashboards/builders.js:
        (isWebkitTestRunner):
        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (nonChromiumPlatform):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (test):

2012-09-10  Tommy Widenflycht  <tommyw@google.com>

        [chromium] MediaStream API: Remove the Descriptor postfix
        https://bugs.webkit.org/show_bug.cgi?id=96268

        Reviewed by Adam Barth.

        After consideration I realized that there is no need whatsoever in using the Descriptor prefix
        in the WekKit embedder API. Removed from WebRTCSessionDescription and WebRTCICECandidate to start with.

        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        (RTCSessionDescriptionRequestSuccededTask::RTCSessionDescriptionRequestSuccededTask):
        (MockWebRTCPeerConnectionHandler::createOffer):
        (MockWebRTCPeerConnectionHandler::createAnswer):
        (MockWebRTCPeerConnectionHandler::setLocalDescription):
        (MockWebRTCPeerConnectionHandler::setRemoteDescription):
        (MockWebRTCPeerConnectionHandler::localDescription):
        (MockWebRTCPeerConnectionHandler::remoteDescription):
        (MockWebRTCPeerConnectionHandler::addICECandidate):
        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.h:
        (MockWebRTCPeerConnectionHandler):

2012-09-10  Arnaud Renevier  <a.renevier@sisa.samsung.com>

        [Gtk] failure to build jhbuild dependencies with cups 1.6
        https://bugs.webkit.org/show_bug.cgi?id=95991

        Reviewed by Gustavo Noronha Silva.

        Bump gtk+ and gnome-themes-standard dependencies to 3.4.2 to allow
        building with cups >= 1.6 [GNOME #670373].

        * gtk/jhbuild.modules:

2012-09-10  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL][DRT] Encoding issue in printed console messages
        https://bugs.webkit.org/show_bug.cgi?id=96263

        Reviewed by Kenneth Rohde Christiansen.

        Correctly handle CONSOLE messages that contain non-ascii
        characters in EFL's DRT. We need to use String::fromUTF8()
        to construct a WTF::String from a raw string.

        * DumpRenderTree/efl/DumpRenderTreeView.cpp:
        (onConsoleMessage):

2012-09-10  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [WK2][WTR] User style sheet location should be reset before each test
        https://bugs.webkit.org/show_bug.cgi?id=96262

        Reviewed by Kenneth Rohde Christiansen.

        User style sheet location is reset before each test now.

        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::beginTesting):

2012-09-10  Simon Hausmann  <simon.hausmann@nokia.com>

        Fix build of WTR with Qt on Windows
        https://bugs.webkit.org/show_bug.cgi?id=96249

        Reviewed by Kenneth Rohde Christiansen.

        Windows loves to define min and max as macros, which beautifully
        clashes in many places where min and max are used as variable or method
        names. It can be convinced not to do this when min and max are already
        define as macros (expanding to themselves). We have this kind of
        workaround in config.h files all over WebKit and as it turns out when
        building WTR with Qt on Windows we do end up with such a clash. Therefore
        we need the same workaround.

        * WebKitTestRunner/config.h:

2012-09-10  Christophe Dumez  <christophe.dumez@intel.com>

        [WK2] New fast/forms/number/number-interactive-validation-required.html fails
        https://bugs.webkit.org/show_bug.cgi?id=95936

        Reviewed by Kenneth Rohde Christiansen.

        Enable interactive form validation setting in WebKitTestRunner as
        we are currently doing in DumpRenderTree. This is needed for some
        tests to pass.

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::resetStateToConsistentValues):

2012-09-09  Zan Dobersek  <zandobersek@gmail.com>

        Clean up the code in XvfbDriver
        https://bugs.webkit.org/show_bug.cgi?id=96202

        Reviewed by Philippe Normand.

        Changes:
        - Remove unneeded imports,
        - assign the _lock_file member variable when the display number is determined,
        - no need for parentheses around a single string format argument,
        - use FileSystem.exists method when checking if lock file is present as it
        makes the intention much more clearer.

        * Scripts/webkitpy/layout_tests/port/xvfbdriver.py:
        (XvfbDriver._start):
        (XvfbDriver.stop):

2012-09-09  Patrick Gansterer  <paroga@webkit.org>

        Make the String initialization on the function side of String::number()
        https://bugs.webkit.org/show_bug.cgi?id=95940

        Reviewed by Benjamin Poulain.

        * TestWebKitAPI/Tests/WTF/IntegerToStringConversion.cpp:
        (testBoundaries):
        (testNumbers):

2012-09-09  Pierre Rossi  <pierre.rossi@gmail.com>

        [WK2] expose element rect for color input type
        https://bugs.webkit.org/show_bug.cgi?id=91664

        Reviewed by Simon Hausmann.

        Update the QML logic in MiniBrowser to take advantage of this.
        The picker size is now hardcoded and we try to place it below the
        input element if possible.

        * MiniBrowser/qt/qml/ColorChooser.qml:

2012-09-08  Christophe Dumez  <christophe.dumez@intel.com>

        [WK2] New fast/events/tab-focus-link-in-canvas fails from r126908
        https://bugs.webkit.org/show_bug.cgi?id=95329

        Reviewed by Kenneth Rohde Christiansen.

        Explicitely disable TabToLinks setting in WebKitTestRunner.
        Tests override the "WebKitTabToLinksPreferenceKey" preference
        to enable it.

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::resetStateToConsistentValues):

2012-09-08  Kenichi Ishibashi  <bashi@chromium.org>

        webkit.py gdb pretty printer can't print CString
        https://bugs.webkit.org/show_bug.cgi?id=96068

        Reviewed by Tony Chang.

        Update WTFCStringPrinter to follow r126191.

        * gdb/webkit.py:
        (WTFCStringPrinter.to_string):

2012-09-07  Benjamin Poulain  <bpoulain@apple.com>

        Rename the ustring() accessor to string()
        https://bugs.webkit.org/show_bug.cgi?id=95919

        Reviewed by Geoffrey Garen.

        Update EFL's DRT.

        Fix some string conversion that have been made useless
        with recent changes.

        * DumpRenderTree/efl/EventSender.cpp:
        (keyPadNameFromJSValue):
        (keyNameFromJSValue):
        * DumpRenderTree/efl/TestRunnerEfl.cpp:
        (TestRunner::queueLoad):
        (TestRunner::addOriginAccessWhitelistEntry):
        (TestRunner::removeOriginAccessWhitelistEntry):
        (TestRunner::setUserStyleSheetLocation):
        (TestRunner::setValueForUser):
        (TestRunner::elementDoesAutoCompleteForElementWithId):
        (TestRunner::execCommand):
        (TestRunner::findString):
        (TestRunner::isCommandEnabled):
        (TestRunner::clearApplicationCacheForOrigin):
        (TestRunner::setDomainRelaxationForbiddenForURLScheme):
        (TestRunner::pauseAnimationAtTimeOnElementWithId):
        (TestRunner::pauseTransitionAtTimeOnElementWithId):
        (toInt):
        (TestRunner::overridePreference):
        (TestRunner::addUserScript):
        (TestRunner::addUserStyleSheet):
        (TestRunner::evaluateInWebInspector):
        (TestRunner::evaluateScriptInIsolatedWorld):
        (TestRunner::setTextDirection):
        * DumpRenderTree/efl/WorkQueueItemEfl.cpp:
        (LoadItem::invoke):
        (LoadHTMLStringItem::invoke):
        (ScriptItem::invoke):

2012-09-06  Jeffrey Pfau  <jpfau@apple.com>

        Extend third-party storage blocking API to optionally allow blocking all storage
        https://bugs.webkit.org/show_bug.cgi?id=95915

        Reviewed by Brady Eidson.

        Modified API test to use new revised API.

        * TestWebKitAPI/Tests/WebKit2/WKPreferences.cpp:
        (TestWebKitAPI::TEST):

2012-09-07  Dominic Mazzoni  <dmazzoni@google.com>

        AX: WebCore accessibility roles should be cross-platform
        https://bugs.webkit.org/show_bug.cgi?id=94870

        Reviewed by Chris Fleizach.

        Add debug strings to Chromium for new accessibility roles.

        * DumpRenderTree/chromium/TestRunner/AccessibilityUIElementChromium.cpp:
        (roleToString):

2012-09-07  Dominic Mazzoni  <dmazzoni@google.com>

        AX: Chromium needs access to canvasHasFallbackContent
        https://bugs.webkit.org/show_bug.cgi?id=96124

        Reviewed by Chris Fleizach.

        Distinguish between canvas roles with and without fallback
        content on Chromium.

        * DumpRenderTree/chromium/TestRunner/AccessibilityUIElementChromium.cpp:
        (getRole):

2012-09-07  Ojan Vafai  <ojan@chromium.org>

        Handle non-existant TestExpectations files gracefully
        https://bugs.webkit.org/show_bug.cgi?id=96149

        Reviewed by Eric Seidel.

        Even when we get rid of Skipped files, we shouldn't have each port
        require a TestExpectations file for each platform if it doesn't
        need one.

        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port.expectations_dict):
        * Scripts/webkitpy/layout_tests/port/base_unittest.py:
        (PortTest.test_nonexistant_expectations):

2012-09-07  Tony Chang  <tony@chromium.org>

        Regression: check-webkit-style no longer checks TestExpectations for syntax errors
        https://bugs.webkit.org/show_bug.cgi?id=96136

        Reviewed by Ojan Vafai.

        When we renamed the file to TestExpectations, it was no longer considered a text file so
        it was no longer being checked. Since then, test_expectations_overrides() has been removed
        from the port object, so I've removed that from the check. I'm not sure what it was
        supposed to do.

        * Scripts/webkitpy/style/checker.py:
        (CheckerDispatcher._file_type): Mark TestExpectations as a text file.
        * Scripts/webkitpy/style/checkers/test_expectations.py:
        (TestExpectationsChecker.check_test_expectations): Remove overrides param.
        (TestExpectationsChecker.check): Remove overrides param.
        * Scripts/webkitpy/style/checkers/test_expectations_unittest.py:
        (TestExpectationsTestCase.assert_lines_lint): Remove overrides param.

2012-09-07  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Use same default minimum logical font size in DRT and WTR
        https://bugs.webkit.org/show_bug.cgi?id=96116

        Reviewed by Martin Robinson.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues): Set minimum
        logical font size to 9 to match the value used in WTR.
        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::beginTesting): Explicitly set the minimum
        logical font size to 9 (default value in WK2)

2012-09-07  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: add RTCPeerConnection::createAnswer
        https://bugs.webkit.org/show_bug.cgi?id=96092

        Reviewed by Adam Barth.

        Expanding and enhancing MockWebRTCPeerConnectionHandler.

        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        (MockWebRTCPeerConnectionHandler::createOffer):
        (MockWebRTCPeerConnectionHandler::createAnswer):
        (MockWebRTCPeerConnectionHandler::setLocalDescription):
        (MockWebRTCPeerConnectionHandler::setRemoteDescription):
        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.h:
        (MockWebRTCPeerConnectionHandler):

2012-09-07  Dean Jackson  <dino@apple.com>

        Unreviewed changes to watchlist.

        - Add new WebGL and Filters definitions
        - Add myself to OpenGL bugs

        * Scripts/webkitpy/common/config/watchlist:

2012-09-07  Peter Beverloo  <peter@chromium.org>

        Actually trigger the Android Tester
        https://bugs.webkit.org/show_bug.cgi?id=96118

        Reviewed by Adam Barth.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2012-09-07  Dominic Mazzoni <dmazzoni@google.com>

        New time input needs accessibility
        https://bugs.webkit.org/show_bug.cgi?id=96032

        Reviewed by Chris Fleizach.

        Add support for valueDescription for testing.

        * DumpRenderTree/chromium/TestRunner/AccessibilityUIElementChromium.cpp:
        (getValueDescription):
        (AccessibilityUIElement::AccessibilityUIElement):
        (AccessibilityUIElement::valueDescriptionGetterCallback):
        * DumpRenderTree/chromium/TestRunner/AccessibilityUIElementChromium.h:
        (AccessibilityUIElement):

2012-09-07  Peter Beverloo  <peter@chromium.org>

        Add the google-android-tests build slave to the master's config
        https://bugs.webkit.org/show_bug.cgi?id=96113

        Reviewed by Csaba Osztrogonác.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2012-09-07  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [WK2] [EFL] Set theme for WebKit2 API test runner
        https://bugs.webkit.org/show_bug.cgi?id=96100

        Reviewed by Kenneth Rohde Christiansen.

        Set the theme generated by the build for the WebKit2 API test runner.

        * TestWebKitAPI/PlatformEfl.cmake:
        * TestWebKitAPI/efl/PlatformWebView.cpp:
        (TestWebKitAPI::PlatformWebView::PlatformWebView):

2012-09-07  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed. Add Gábor Ballabás as contributor.

        * Scripts/webkitpy/common/config/committers.py:

2012-09-07  Zoltan Arvai  <zarvai@inf.u-szeged.hu>

        [Qt] Fix ROOT_BUILD_DIR on Windows MSVC build.
        https://bugs.webkit.org/show_bug.cgi?id=96078

        Reviewed by Tor Arne Vestbø.

        Correct JSC, DumpRenderTree, ImageDiff, QtTestBrowser binaries location by adding $$toSystemPath to ROOT_BUILD_DIR generation.

        * qmake/mkspecs/features/default_pre.prf:

2012-09-07  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Add TestExpectations file for efl-wk1
        https://bugs.webkit.org/show_bug.cgi?id=96019

        Reviewed by Gyuyoung Kim.

        Update TestExpectations cascading for EFL port
        so that we use efl-wk1 -> efl search paths
        for WebKit1 EFL.

        * Scripts/webkitpy/layout_tests/port/efl.py:
        (EflPort._search_paths):

2012-09-07  Zan Dobersek  <zandobersek@gmail.com>

        [NRWT] XvfbDriver should stop the Xvfb more aggressively
        https://bugs.webkit.org/show_bug.cgi?id=95097

        Reviewed by Dirk Pranke.

        The Xvfb process is now killed when the XvfbDriver is stopping. Simply
        terminating the process does not always work as expected, leading to timeouts
        in run-webkit-tests on the buildbot. The lock file Xvfb creates is also removed
        as it's not removed by the killed Xvfb process.

        Also included is a thorough unittest for XvfbDriver. Proper starting of the driver
        is tested in different circumstances - whether pixel tests are enabled or not,
        with an arbitrary worker number or with an Xorg process already running on the system.
        The stopping of the driver is tested by checking that the Xvfb process is truly killed
        and then set to None.

        * BuildSlaveSupport/kill-old-processes:
        Kill any stale Xvfb processes at the start of the build cycle so no Xvfb
        is left running, potentially clogging up a display at a certain position.
        * Scripts/webkitpy/common/system/executive_mock.py:
        (MockExecutive.__init__):
        The _running_pids is now a dictionary with process names as keys and pids
        as values.
        (MockExecutive.check_running_pid):
        Check whether the passed-in pid is in the _running_pids dictionary's values.
        (MockExecutive):
        (MockExecutive.running_pids):
        This method returns the list of all the process pids of which the name passes
        through the process_name_filter.
        * Scripts/webkitpy/layout_tests/port/xvfbdriver.py:
        Use the Executive object of the port's host to check for running pids and open
        new subprocesses or kill them throughout the class.
        (XvfbDriver._start):
        Use the _server_process_constructor to make testing the XvfbDriver possible. Also,
        start the server process after it's created.
        (XvfbDriver.stop):
        Now kills the Xvfb process instead of terminating it and waiting for it to close.
        * Scripts/webkitpy/layout_tests/port/xvfbdriver_unittest.py: Added.
        (XvfbDriverTest):
        (XvfbDriverTest.make_driver):
        (XvfbDriverTest.assertDriverStartSuccessful):
        (XvfbDriverTest.test_start_no_pixel_tests):
        (XvfbDriverTest.test_start_pixel_tests):
        (XvfbDriverTest.test_start_arbitrary_worker_number):
        (XvfbDriverTest.test_start_existing_xorg_process):
        (XvfbDriverTest.test_stop):
        (XvfbDriverTest.test_stop.FakeXvfbProcess):

2012-09-06  Peter Beverloo  <peter@chromium.org>

        Introduce the Chromium Android Release (Tests) bot
        https://bugs.webkit.org/show_bug.cgi?id=95980

        Reviewed by Adam Barth.

        This adds the Chromium Android Release (Tests) bot to the WebKit waterfall,
        which will be running layout tests on actual Android devices. Right now,
        four Galaxy Nexus phones are attached.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2012-09-06  James Robinson  <jamesr@chromium.org>

        [chromium] Use WebCompositorSupport functions instead of WebCompositor statics
        https://bugs.webkit.org/show_bug.cgi?id=96007

        Reviewed by Adrienne Walker.

        Fixes initialization / settings code to use WebCompositorSupport.

        * DumpRenderTree/chromium/DumpRenderTree.cpp:
        (main):
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::initialize):
        (TestShell::setPerTilePaintingEnabled):

2012-09-06  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL][WK2] Provide implementation for PlatformWebView::windowFrame()
        https://bugs.webkit.org/show_bug.cgi?id=95995

        Reviewed by Kenneth Rohde Christiansen.

        Provide proper implementation for PlatformWebView::windowFrame()
        in EFL's WebKitTestRunner.

        * WebKitTestRunner/efl/PlatformWebViewEfl.cpp:
        (WTR::PlatformWebView::windowFrame):

2012-09-06  Fady Samuel  <fsamuel@chromium.org>

        Fix WTF.Lrint on 32-bit platforms
        https://bugs.webkit.org/show_bug.cgi?id=96003

        Reviewed by Benjamin Poulain.

        Fixed failing WTF.Lrint test on 32-bit platforms.

        * TestWebKitAPI/Tests/WTF/MathExtras.cpp:
        (TestWebKitAPI::TEST):

2012-09-06  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: Add the local and remote description functionality to RTCPeerConnection
        https://bugs.webkit.org/show_bug.cgi?id=95839

        Reviewed by Adam Barth.

        In addition to adding the new methods to MockWebRTCPeerConnectionHandler I cleaned
        up the task definitions a bit. There was no need to have them in the header file.

        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        (RTCSessionDescriptionRequestSuccededTask):
        (RTCSessionDescriptionRequestSuccededTask::RTCSessionDescriptionRequestSuccededTask):
        (RTCSessionDescriptionRequestFailedTask):
        (RTCSessionDescriptionRequestFailedTask::RTCSessionDescriptionRequestFailedTask):
        (RTCVoidRequestTask):
        (RTCVoidRequestTask::RTCVoidRequestTask):
        (MockWebRTCPeerConnectionHandler::createOffer):
        (MockWebRTCPeerConnectionHandler::setLocalDescription):
        (MockWebRTCPeerConnectionHandler::setRemoteDescription):
        (MockWebRTCPeerConnectionHandler::localDescription):
        (MockWebRTCPeerConnectionHandler::remoteDescription):
        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.h:
        (MockWebRTCPeerConnectionHandler):

2012-09-06  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Fix build on Mac OS X 10.6
        https://bugs.webkit.org/show_bug.cgi?id=95200

        Reviewed by Tor Arne Vestbø.

        The build on Mac OS X 10.6 is broken when using QuickTime. Enable it only for
        10.7 and newer.

        * qmake/mkspecs/features/features.prf:

2012-09-06  Christophe Dumez  <christophe.dumez@intel.com>

        [WKTR] addSelectionKey should be mapped to "Control" modifiers on other OSes than Mac
        https://bugs.webkit.org/show_bug.cgi?id=95973

        Reviewed by Kenneth Rohde Christiansen.

        Correctly map "addSelectionKey" to "Control" modifier
        in WKTR's EventSender on other OSes than Mac OS X,
        instead of mapping it to the "Meta" modifier.

        * WebKitTestRunner/InjectedBundle/EventSendingController.cpp:
        (WTR::parseModifier):

2012-09-06  Balazs Kelemen  <kbalazs@webkit.org>

        [nrwt] Harden against empty stdout/stderr after stopping a crashed/timed out driver
        https://bugs.webkit.org/show_bug.cgi?id=95710

        Reviewed by Dirk Pranke.

        The stdout / stderr output can be None so make sure
        we won't raise an exception in this case.

        * Scripts/webkitpy/layout_tests/port/driver.py:
        (Driver.run_test):

2012-09-06  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Sanitize URLs in EWebLauncher / Minibrowser
        https://bugs.webkit.org/show_bug.cgi?id=95849

        Reviewed by Kenneth Rohde Christiansen.

        Sanitize URLs passed by the user as program
        argument or typed in the URL bar in order to
        be more tolerant.

        * EWebLauncher/CMakeLists.txt:
        * EWebLauncher/main.c:
        (main):
        * EWebLauncher/url_bar.c:
        (_url_bar_url_get_with_protocol):
        (on_urlbar_key_down):
        * EWebLauncher/url_utils.c: Added.
        (has_scheme):
        (url_from_user_input): Add utility function to construct a
        URL from user input.
        * EWebLauncher/url_utils.h: Added.
        * MiniBrowser/efl/CMakeLists.txt:
        * MiniBrowser/efl/main.c:
        (main):

2012-09-06  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Various small Windows / MSVC build fixes
        https://bugs.webkit.org/show_bug.cgi?id=95934

        Reviewed by Kenneth Rohde Christiansen.

        setFocus takes a boolean as argument: Don't try to implicitly convert
        an enum to a boolean, MSVC doesn't like that. The intent here is to
        enable focus, so just pass true.

        * WebKitTestRunner/qt/PlatformWebViewQt.cpp:
        (WTR::PlatformWebView::focus):

2012-09-06  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Fix build with ANGLE on platforms that provide EGL/GLESv2
        https://bugs.webkit.org/show_bug.cgi?id=95965

        Reviewed by Tor Arne Vestbø.

        Add ANGLE as a static library module to the Qt WebKit build system.

        * qmake/mkspecs/features/default_post.prf:
        * qmake/mkspecs/modules/angle.prf: Added.

2012-09-06  Andras Becsi  <andras.becsi@nokia.com>

        [WK2] Make [Qt]ViewportHandler cross platform
        https://bugs.webkit.org/show_bug.cgi?id=91257

        Reviewed by Kenneth Rohde Christiansen.

        Remove initial scale from viewport info item since it is
        set to -1 after applied thus it does not hold any valuable
        information.

        * MiniBrowser/qt/qml/ViewportInfoItem.qml:

2012-09-05  Tony Chang  <tony@chromium.org>

        [chromium] Remove dependency on webkit_user_agent
        https://bugs.webkit.org/show_bug.cgi?id=95886

        Reviewed by Adam Barth.

        The code isn't used by DumpRenderTree.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2012-09-05  Rick Byers  <rbyers@chromium.org>

        Update chromium DumpRenderTree for new WebGestureEvent fields
        https://bugs.webkit.org/show_bug.cgi?id=95573

        Reviewed by James Robinson.

        Update EventSender to write gesture details into the appropriate
        type-specific WebGestureEvent fields.
        * DumpRenderTree/chromium/TestRunner/EventSender.cpp:
        (EventSender::gestureEvent):
        (EventSender::gestureFlingStart):

2012-09-05  Dirk Pranke  <dpranke@chromium.org>

        NRWT lies about the number of tests that it's skipping when used with --repeat-each
        https://bugs.webkit.org/show_bug.cgi?id=95789

        Reviewed by Ojan Vafai.

        Fix miscalculation in log message.

        * Scripts/webkitpy/layout_tests/views/printing.py:
        (Printer.print_found):

2012-09-05  Kenichi Ishibashi  <bashi@chromium.org>

        Unreviewed, rolling out r127612, r127660, and r127664.
        http://trac.webkit.org/changeset/127612
        http://trac.webkit.org/changeset/127660
        http://trac.webkit.org/changeset/127664
        https://bugs.webkit.org/show_bug.cgi?id=95920

        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        (MockWebRTCPeerConnectionHandler::SuccessCallbackTask::SuccessCallbackTask):
        (MockWebRTCPeerConnectionHandler::SuccessCallbackTask::runIfValid):
        (MockWebRTCPeerConnectionHandler::FailureCallbackTask::FailureCallbackTask):
        (MockWebRTCPeerConnectionHandler::FailureCallbackTask::runIfValid):
        (MockWebRTCPeerConnectionHandler::createOffer):
        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.h:
        (MockWebRTCPeerConnectionHandler):
        (SuccessCallbackTask):
        (FailureCallbackTask):

2012-09-05  Allan Sandfeld Jensen  <allan.jensen@nokia.com>

        Ignore-metrics includes scroll offsets.
        https://bugs.webkit.org/show_bug.cgi?id=95845

        Reviewed by Dirk Pranke.

        Strip scroll-offsets the same way scroll-height and scroll-width is stripped.

        * Scripts/old-run-webkit-tests:
        (stripMetrics):
        * Scripts/webkitpy/layout_tests/port/driver.py:
        (DriverOutput):

2012-09-05  Zan Dobersek  <zandobersek@gmail.com>

        Unreviewed test fix.

        Including a plugin source file into the build that was added in r127595.

        * GNUmakefile.am:

2012-09-05  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: Add the local and remote description functionality to RTCPeerConnection
        https://bugs.webkit.org/show_bug.cgi?id=95839

        Reviewed by Adam Barth.

        In addition to adding the new methods to MockWebRTCPeerConnectionHandler I cleaned
        up the task definitions a bit. There was no need to have them in the header file.

        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        (RTCSessionDescriptionRequestSuccededTask):
        (RTCSessionDescriptionRequestSuccededTask::RTCSessionDescriptionRequestSuccededTask):
        (RTCSessionDescriptionRequestFailedTask):
        (RTCSessionDescriptionRequestFailedTask::RTCSessionDescriptionRequestFailedTask):
        (RTCVoidRequestTask):
        (RTCVoidRequestTask::RTCVoidRequestTask):
        (MockWebRTCPeerConnectionHandler::createOffer):
        (MockWebRTCPeerConnectionHandler::setLocalDescription):
        (MockWebRTCPeerConnectionHandler::setRemoteDescription):
        (MockWebRTCPeerConnectionHandler::localDescription):
        (MockWebRTCPeerConnectionHandler::remoteDescription):
        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.h:
        (MockWebRTCPeerConnectionHandler):

2012-09-05  Kangil Han  <kangil.han@samsung.com>

        [EFL] Remove '+=' usage in String
        https://bugs.webkit.org/show_bug.cgi?id=95808

        Reviewed by Benjamin Poulain.

        Replaced use of String operator '+=' with StringBuilder.append*() in order to adopt efficient String concatenation.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (descriptionSuitableForTestResult):

2012-09-05  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL][WK2] Provide implementation for TestRunner::pathToLocalResource()
        https://bugs.webkit.org/show_bug.cgi?id=95842

        Reviewed by Kenneth Rohde Christiansen.

        Provide proper implementation for TestRunner::pathToLocalResource()
        in EFL WKTR, identical to the one for DumpRenderTree.

        Map /tmp to ${DUMPRENDERTREE_TEMP} environment variable and
        /tmp/LayoutTests to ${LOCAL_RESOURCE_ROOT} so that local resources
        are found my WebKitTestRunner.

        * WebKitTestRunner/InjectedBundle/efl/TestRunnerEfl.cpp:
        (WTR::TestRunner::pathToLocalResource):

2012-09-05  Brady Eidson  <beidson@apple.com>

        Frequent crashes in PluginView::scriptObject under runtimeObjectCustomGetOwnPropertySlot
        <rdar://problem/12142226> and https://bugs.webkit.org/show_bug.cgi?id=95026

        Reviewed by Andy Estes.

        Add a plug-in that always fails to initialize:
        * DumpRenderTree/TestNetscapePlugIn/Tests/NPPNewFails.cpp: Added.
        (NPPNewFails):
        (NPPNewFails::NPPNewFails):
        (NPPNewFails::NPP_New):

        Add it to all the project files:
        * DumpRenderTree/DumpRenderTree.gypi:
        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        * DumpRenderTree/TestNetscapePlugIn/CMakeLists.txt:
        * DumpRenderTree/TestNetscapePlugIn/win/TestNetscapePlugin.vcproj:
        * DumpRenderTree/qt/TestNetscapePlugin/TestNetscapePlugin.pro:

2012-09-05  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Fix makefile race condition between derived sources and target

        r121966 removed too much of the old qmake logic, including the rule
        that ensured that qmake_all would not trigger dual runs of qmake --
        one of the derived sources -qmake-all rule, and one for making the
        derived sources.

        We now follow a similar pattern as before, by introducing a custom
        target that explicitly depends on the derived sources' qmake-all before
        doing a manual run of make. That ensures a single qmake run for the derived
        sources.

        https://bugs.webkit.org/show_bug.cgi?id=93847

        Reviewed by Csaba Osztrogonác.

        * qmake/mkspecs/features/functions.prf:

2012-09-05  Christophe Dumez  <christophe.dumez@intel.com>

        WKTR doesn't implement dumpWillCacheResponse()
        https://bugs.webkit.org/show_bug.cgi?id=94607

        Reviewed by Kenneth Rohde Christiansen.

        Define shouldCacheResponse() callback in resource
        load client and provide implementation for
        dumpWillCacheResponse() in WebKitTestRunner.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage):
        (WTR::InjectedBundlePage::shouldCacheResponse):
        (WTR):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:
        (InjectedBundlePage):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::TestRunner):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (WTR::TestRunner::dumpWillCacheResponse):
        (WTR::TestRunner::shouldDumpWillCacheResponse):
        (TestRunner):

2012-09-05  Kaustubh Atrawalkar  <kaustubh@motorola.com>

        [DRT] LTC:: Move printing related APIs from LayoutTestController to Internals
        https://bugs.webkit.org/show_bug.cgi?id=92735

        Reviewed by Hajime Morita.

        Move numberOfPages, pageProperty & pageSizeAndMarginsInPixels in Internals and remove duplicated code from DumprenderTree & WebkitTestRunner.

        * DumpRenderTree/TestRunner.cpp:
        (TestRunner::staticFunctions):
        * DumpRenderTree/TestRunner.h:
        (TestRunner):
        * DumpRenderTree/blackberry/TestRunnerBlackBerry.cpp:
        (TestRunner::addUserStyleSheet):
        * DumpRenderTree/chromium/DRTTestRunner.cpp:
        (DRTTestRunner::DRTTestRunner):
        (DRTTestRunner::hasCustomPageSizeStyle):
        * DumpRenderTree/chromium/DRTTestRunner.h:
        (DRTTestRunner):
        * DumpRenderTree/efl/TestRunnerEfl.cpp:
        * DumpRenderTree/gtk/TestRunnerGtk.cpp:
        * DumpRenderTree/mac/TestRunnerMac.mm:
        * DumpRenderTree/qt/TestRunnerQt.cpp:
        (TestRunner::evaluateScriptInIsolatedWorld):
        * DumpRenderTree/qt/TestRunnerQt.h:
        (TestRunner):
        * DumpRenderTree/win/TestRunnerWin.cpp:
        * DumpRenderTree/wx/TestRunnerWx.cpp:
        (TestRunner::abortModal):
        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):

2012-09-05  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Automate the use of AllInOne files in the Qt build
        https://bugs.webkit.org/show_bug.cgi?id=95837

        Reviewed by Tor Arne Vestbø.

        New feature file that implements the all-in-one file automation by
        adding the requested all-in-one files to SOURCES and removing the files
        it includes from SOURCES.

        * qmake/mkspecs/features/use_all_in_one_files.prf: Added.

2012-09-04  Tim Horton  <timothy_horton@apple.com>

        Have NRWT log more output when crash logs are missing
        https://bugs.webkit.org/show_bug.cgi?id=95814

        Reviewed by Dan Bernstein.

        Log the stderr and stdout of the test, in order to provide slightly more
        context when the WebProcess times out while running tests.

        * Scripts/webkitpy/layout_tests/port/driver.py:
        (Driver.run_test):

2012-09-04  Xianzhu Wang  <wangxianzhu@chromium.org>

        [Chromium-Android] Include device serial number in ChromiumAndroidDriver log messages
        https://bugs.webkit.org/show_bug.cgi?id=95770

        Reviewed by Adam Barth.

        * Scripts/webkitpy/layout_tests/port/chromium_android.py:
        (ChromiumAndroidDriver.__init__):
        (ChromiumAndroidDriver._log_error): Added to replace original _log.error().
        (ChromiumAndroidDriver._log_debug): Added to replace original _log.debug().
        (ChromiumAndroidDriver._abort): Added to replace original raise AssertionError().
        (ChromiumAndroidDriver._push_executable):
        (ChromiumAndroidDriver._push_fonts):
        (ChromiumAndroidDriver._push_test_resources):
        (ChromiumAndroidDriver._run_adb_command):
        (ChromiumAndroidDriver._get_last_stacktrace):
        (ChromiumAndroidDriver._get_crash_log):
        (ChromiumAndroidDriver._start):
        (ChromiumAndroidDriver._start_once):
        (ChromiumAndroidDriver._start_once.deadlock_detector):
        * Scripts/webkitpy/layout_tests/port/chromium_android_unittest.py:
        (ChromiumAndroidDriverTest.test_get_crash_log):

2012-09-04  Satish Sampath  <satish@chromium.org>

        Run git commands within the checkout directory
        https://bugs.webkit.org/show_bug.cgi?id=95742

        Reviewed by Eric Seidel.

        git commands run from scm/git.py are sometimes run with cwd set to the
        checkout_root and other times with whatever directory was the default cwd.
        Instead all these should run with the checkout root set as the cwd
        (except where we explicitly need a different path)

        * Scripts/webkitpy/common/checkout/scm/git.py:
        (Git._run_git):
        (Git.find_checkout_root):
        (Git.discard_local_commits):
        (Git.local_commits):
        (Git.working_directory_is_clean):
        (Git.clean_working_directory):
        (Git.add_list):
        (Git.delete_list):
        (Git.exists):
        (Git._current_branch):
        (Git._changes_files_for_commit):
        (Git.revisions_changing_file):
        (Git.svn_revision):
        (Git._run_git_svn_find_rev):
        (Git.contents_at_revision):
        (Git.diff_for_file):
        (Git.show_head):
        (Git.committer_email_for_revision):
        (Git.apply_reverse_diff):
        (Git.revert_files):
        (Git.commit_with_message):
        (Git._commit_on_branch):
        (Git.svn_commit_log):
        (Git.last_svn_commit_log):
        (Git.svn_blame):
        (Git._branch_ref_exists):
        (Git.delete_branch):
        (Git.remote_merge_base):
        (Git.commit_locally_with_message):
        (Git.push_local_commits_to_server):
        (Git.commit_ids_from_commitish_arguments):
        (Git.commit_message_for_local_commit):
        (Git.files_changed_summary_for_commit):

2012-09-04  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: Add the async createOffer functionality to RTCPeerConnection
        https://bugs.webkit.org/show_bug.cgi?id=95734

        Reviewed by Adam Barth.

        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        (MockWebRTCPeerConnectionHandler::SuccessCallbackTask::SuccessCallbackTask):
        (MockWebRTCPeerConnectionHandler::SuccessCallbackTask::runIfValid):
        (MockWebRTCPeerConnectionHandler::FailureCallbackTask::FailureCallbackTask):
        (MockWebRTCPeerConnectionHandler::FailureCallbackTask::runIfValid):
        (MockWebRTCPeerConnectionHandler::createOffer):
        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.h:
        (MockWebRTCPeerConnectionHandler):
        (MockWebRTCPeerConnectionHandler::taskList):
        (SuccessCallbackTask):
        (FailureCallbackTask):

2012-09-04  Xianzhu Wang  <wangxianzhu@chromium.org>

        [Chromium-Android] Output time and thread info in crash log
        https://bugs.webkit.org/show_bug.cgi?id=95768

        Reviewed by Adam Barth.

        * Scripts/webkitpy/layout_tests/port/chromium_android.py:
        (ChromiumAndroidDriver._get_logcat): Add '-v threadtime' to adb logcat command line to get time and thread info.

2012-09-04  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: Change the MediaStreamTrackList track added/removed signaling
        https://bugs.webkit.org/show_bug.cgi?id=95721

        Reviewed by Adam Barth.

        * DumpRenderTree/chromium/MockWebMediaStreamCenter.cpp:
        (MockWebMediaStreamCenter::didAddMediaStreamTrack):
        (MockWebMediaStreamCenter::didRemoveMediaStreamTrack):
        * DumpRenderTree/chromium/MockWebMediaStreamCenter.h:
        (MockWebMediaStreamCenter):

2012-09-04  Tony Chang  <tony@chromium.org>

        Elide test names when running new-run-webkit-tests
        https://bugs.webkit.org/show_bug.cgi?id=95626

        Reviewed by Dirk Pranke.

        When the test name exceeds the number of terminal columns, it leaves
        text on the screen. Avoid this by eliding the test name when running
        tests. This is similar to what ninja does when compiling.

        * Scripts/webkitpy/layout_tests/views/metered_stream.py:
        (MeteredStream):
        (MeteredStream.number_of_columns): Helper method to get number of
        terminal columns. Won't work on Win32 python, but meh.
        * Scripts/webkitpy/layout_tests/views/printing.py:
        (Printer._test_status_line): New method for eliding the text. Doesn't use \u2026
        because stderr appears to be ascii only.
        (Printer.print_started_test): Route through _test_status_line.
        (Printer.print_finished_test): Route through _test_status_line.
        (Printer._print_test_trace): Route through _test_status_line.
        (Printer._print_baseline): Route through _test_status_line.
        * Scripts/webkitpy/layout_tests/views/printing_unittest.py:
        (test_test_status_line): Test for _test_status_line.

2012-09-04  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Print API missing documentation when generating gtkdoc
        https://bugs.webkit.org/show_bug.cgi?id=95703

        Reviewed by Carlos Garcia Campos.

        Print out API missing documentation when generating gtkdoc. This makes it
        easier to fix documentation errors.

        * gtk/generate-gtkdoc:
        (print_missing_api): Added.
        (generate_doc): Inline the rebase step, since it now reports an error
        when you try to rebase without generating documentation first.
        * gtk/gtkdoc.py:
        (GTKDoc.rebase_installed_docs): Raise an error when rebasing without
        generating documentation first to enable a small cleanup at the caller.
        (GTKDoc.api_missing_documentation): Added.

2012-09-04  Vincent Scheib  <scheib@chromium.org>

        [Chromium] Allow asyncronous response of pointer lock requests in layout tests.
        https://bugs.webkit.org/show_bug.cgi?id=95628

        Reviewed by James Robinson.

        Future tests need the ability to respond asynchronously that
        pointer lock requests have been accepted or rejected. This patch
        adds the following:
            testRunner.setPointerLockWillRespondAsynchronously();
            testRunner.didAcquirePointerLock();
            testRunner.didNotAcquirePointerLock();

        Tested in existing test:
            pointerlockchange-pointerlockerror-events.html

        * DumpRenderTree/chromium/DRTTestRunner.cpp:
        (DRTTestRunner::DRTTestRunner):
        (DRTTestRunner::didAcquirePointerLock):
        (DRTTestRunner::didNotAcquirePointerLock):
        (DRTTestRunner::setPointerLockWillRespondAsynchronously):
        * DumpRenderTree/chromium/DRTTestRunner.h:
        (DRTTestRunner):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::requestPointerLock):
        (WebViewHost::didAcquirePointerLock):
        (WebViewHost::didNotAcquirePointerLock):
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebViewHost):
        (WebViewHost::setPointerLockWillRespondAsynchronously):

2012-09-04  Ojan Vafai  <ojan@chromium.org>

        Move content shell bots to their own builder group
        https://bugs.webkit.org/show_bug.cgi?id=95765

        Reviewed by Adam Barth.

        In their current state of instability, they add too much noise. Once they get more stable,
        we can add them back to the regular group or just have them replace the other bots.

        Also, fix the filter for Apple Windows bots since some of them are now "Apple Win ...".

        * TestResultServer/static-dashboards/builders.js:
        (isWebkitTestRunner):
        (isChromiumContentShellTestRunner):
        (isChromiumWebkitTipOfTreeTestRunner):
        (loadBuildersList):

2012-09-03  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Change the focus when the web view is clicked in MiniBrowser and EWebLauncher
        https://bugs.webkit.org/show_bug.cgi?id=95689

        Reviewed by Kenneth Rohde Christiansen.

        In Minibrowser & EWebLauncher, the web view loses the focus when url bar is clicked.
        So, there are bugs that key events are always generated in url bar although
        the user clicked the web view.

        This patch recovers the focus of the web view when left button is pressed and
        adds for MiniBrowser to toggle the focus when middle button is pressed
        like EWebLauncher already did.

        * EWebLauncher/main.c:
        (on_mouse_down):
        * MiniBrowser/efl/main.c:
        (on_mouse_down):
        (browserCreate):

2012-09-03  Tao Bai  <michaelbai@chromium.org>

        Added ANDROID_GDBSERVER definition for Ant
        https://bugs.webkit.org/show_bug.cgi?id=95265

        Reviewed by Adam Barth.

        ANDROID_GDBSERVER will replace ANDROID_TOOLCHAIN, because the ANDROID_TOOLCHAIN
        is only used for finding the gdbserver.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * TestWebKitAPI/TestWebKitAPI.gyp/TestWebKitAPI.gyp:

2012-09-03  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: Add Ice-related functionality to RTCPeerConnection
        https://bugs.webkit.org/show_bug.cgi?id=95565

        Reviewed by Adam Barth.

        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        (MockWebRTCPeerConnectionHandler::MockWebRTCPeerConnectionHandler):
        (MockWebRTCPeerConnectionHandler::updateICE):
        (MockWebRTCPeerConnectionHandler::addICECandidate):
        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.h:
        (MockWebRTCPeerConnectionHandler):

2012-09-03  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Fix resizing issues related to URL bar in Minibrowser / EWebLauncher
        https://bugs.webkit.org/show_bug.cgi?id=95670

        Reviewed by Kenneth Rohde Christiansen.

        Fix layout issues related to the URL bar in Minibrowser
        and EWebLauncher when the window is resized.

        The URL bar was not resized accordingly and the Web
        page was moved behing the URL bar, hiding part of it.

        * EWebLauncher/main.c:
        (on_ecore_evas_resize):
        (closeWindow):
        * EWebLauncher/url_bar.c:
        (url_bar_width_set):
        (url_bar_add):
        * EWebLauncher/url_bar.h:
        * MiniBrowser/efl/main.c:
        (on_ecore_evas_resize):
        (main):

2012-09-01  Xianzhu Wang  <wangxianzhu@chromium.org>

        [Chromium-Android] Remove hard-coded skipped directories in chromium_android.py
        https://bugs.webkit.org/show_bug.cgi?id=95605

        Reviewed by Dirk Pranke.

        Now skipping rules are put in LayoutTests/platform/chromium-android/TestExpectations.

        * Scripts/webkitpy/layout_tests/port/chromium_android.py:
        (ChromiumAndroidPort.check_sys_deps):
        (ChromiumAndroidPort.expectations_files):
        (ChromiumAndroidPort.clean_up_test_run):

2012-09-01  Joanmarie Diggs  <jdiggs@igalia.com>

        [Gtk] Incorrect/unexpected characters in the text of certain accessibles
        https://bugs.webkit.org/show_bug.cgi?id=95180

        Reviewed by Chris Fleizach.

        The bug that was fixed stood in the way of fully implementing stringValue().
        Testing that the bug is fixed requires stringValue() to be fully implemented
        and object replacement characters to be printable.

        * DumpRenderTree/gtk/AccessibilityUIElementGtk.cpp:
        (replaceCharactersForResults): New method which turns object replacement
        characters into "<obj>" so that the characters can be properly shown in
        Layout Test results. Also turns "\n" into "<\\n>" so that printing the
        accessible text of a single object in the accessible tree doesn't mess up
        the readibility of the results.
        (AccessibilityUIElement::stringValue): Remove the code that immediately
        returned upon encountering an object of ATK_ROLE_PANEL and call the new
        replaceCharactersForResults() prior to returning the accessible string
        value.

2012-09-01  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: Add MediaStream management to RTCPeerConnection
        https://bugs.webkit.org/show_bug.cgi?id=95543

        Reviewed by Adam Barth.

        Extending MockWebRTCPeerConnectionHandler to handle addStream/removeStream.

        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        (MockWebRTCPeerConnectionHandler::MockWebRTCPeerConnectionHandler):
        (MockWebRTCPeerConnectionHandler::addStream):
        (MockWebRTCPeerConnectionHandler::removeStream):
        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.h:
        (MockWebRTCPeerConnectionHandler):

2012-08-31  Tony Chang  <tony@chromium.org>

        Remove ENABLE_CSS3_FLEXBOX compile time flag
        https://bugs.webkit.org/show_bug.cgi?id=95382

        Reviewed by Ojan Vafai.

        Everyone is already enabling this by default and the spec has stablized.

        * Scripts/webkitperl/FeatureList.pm:
        * qmake/mkspecs/features/features.pri:

2012-08-31  Pratik Solanki  <psolanki@apple.com>

        objc_msgSend and IMP should be cast appropriately before using
        https://bugs.webkit.org/show_bug.cgi?id=95242

        Reviewed by Benjamin Poulain.

        Fix for older compilers. Pass id as the return type to the template
        instead of relying on default type.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (drt_NSFontManager_availableFontFamilies):
        * WebKitTestRunner/InjectedBundle/mac/ActivateFonts.mm:
        (WTR::wtr_NSFontManager_availableFontFamilies):

2012-08-31  Zan Dobersek  <zandobersek@gmail.com>

        nrwt: use scm instead of calling svn directly to get the revision in json results generator
        https://bugs.webkit.org/show_bug.cgi?id=89616

        Reviewed by Eric Seidel.

        Add the new 'executive' optional function argument to the SCM.in_working_directory
        class method. This way we get to reuse an Executive instance which is necessary in testing
        when we're operating with a mock version of the object.

        In JSONResultsGeneratorBase, it's now possible to get the current SVN revision by using
        the SCMDetector with the generator's FileSystem and Executive instances.

        * Scripts/webkitpy/common/checkout/scm/detection.py:
        (SCMDetector.detect_scm_system):
        * Scripts/webkitpy/common/checkout/scm/detection_unittest.py:
        (SCMDetectorTest.test_detect_scm_system): Update the unit test to capture the mock
        Executive output and test it against expected output.
        * Scripts/webkitpy/common/checkout/scm/git.py:
        (Git.in_working_directory):
        * Scripts/webkitpy/common/checkout/scm/scm.py:
        (SCM.in_working_directory):
        * Scripts/webkitpy/common/checkout/scm/svn.py:
        (SVN.in_working_directory):
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py:
        (JSONResultsGeneratorBase.__init__):
        (JSONResultsGeneratorBase._get_svn_revision):

2012-08-31  Jon Lee  <jonlee@apple.com>

        [Tests] Add basic tests to http/tests/notifications
        https://bugs.webkit.org/show_bug.cgi?id=95493
        <rdar://problem/12209303>

        Reviewed by Alexey Proskuryakov.

        Add permission request support for WTR.

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::initialize):
        (WTR::TestController::decidePolicyForNotificationPermissionRequest): Always allow.
        * WebKitTestRunner/TestController.h:
        (TestController):

2012-08-31  Jon Lee  <jonlee@apple.com>

        [DRT] Make simulating a web click on a notification a queued task
        https://bugs.webkit.org/show_bug.cgi?id=95546
        <rdar://problem/12214170>

        Reviewed by Alexey Proskuryakov.

        Making the web click happen asynchronously better mimics user interaction with the platform.

        * DumpRenderTree/TestRunner.h: Add a flag that determines whether we have a pending notification click.
        (TestRunner::hasPendingWebNotificationClick): Exposed so that dump() can check that the flag is
        not set.
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (dump): Assert that the flag is not set.
        * DumpRenderTree/mac/TestRunnerMac.mm:
        (TestRunner::simulateWebNotificationClick): Set the flag, then add a task to click the
        notification. In the case where the block gets executed after the flag has been unset, we avoid
        performing the click.

2012-08-31  Balazs Kelemen  <kbalazs@webkit.org>

        [Qt] ImageDiff output is not in the expected form if image dimensions differ
        https://bugs.webkit.org/show_bug.cgi?id=95575

        Reviewed by Csaba Osztrogonác.

        Output 100% difference in the case of differing image dimensions so
        the test harness knows that we won't produce any output further.
        This matches the behavior of other ports.

        * DumpRenderTree/qt/ImageDiff.cpp:
        (main):

2012-08-31  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r127261.
        http://trac.webkit.org/changeset/127261
        https://bugs.webkit.org/show_bug.cgi?id=95572

        This patch depends on other build fixes (see blockers of bug
        95466) which should land first (Requested by milian on
        #webkit).

        * qmake/mkspecs/features/features.prf:

2012-08-31  Milian Wolff  <milian.wolff@kdab.com>

        [Qt] Support WebKit2/QML on QNX
        https://bugs.webkit.org/show_bug.cgi?id=95466

        Reviewed by Noam Rosenthal.

        Enable USE(3D_GRAPHICS) on QNX again, paired with the other bug fixes
        this should finally work now.

        * qmake/mkspecs/features/features.prf:

2012-08-30  Xianzhu Wang  <wangxianzhu@chromium.org>

        [Chromium-Android] Skip compositing/webgl and platform/chromium/virtual/threaded/compositing/webgl tests
        https://bugs.webkit.org/show_bug.cgi?id=95400

        Reviewed by Dirk Pranke.

        WebGL is not enabled and should be skipped on Android (http://crbug.com/135877).

        * Scripts/webkitpy/layout_tests/port/chromium_android.py:
        (ChromiumAndroidPort.skipped_layout_tests):

2012-08-30  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Tries to run empty string when calling generate-gtkdoc when not using jhbuild
        https://bugs.webkit.org/show_bug.cgi?id=95499

        Unreviewed. One more fix to avoid trying to run the empty string.

        * Scripts/webkitdirs.pm:
        (buildAutotoolsProject):

2012-08-30  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r127171.
        http://trac.webkit.org/changeset/127171
        https://bugs.webkit.org/show_bug.cgi?id=95505

        testRunner does not need dumpWebNotificationCallbacks().
        (Requested by jonlee on #webkit).

        * DumpRenderTree/TestRunner.cpp:
        (TestRunner::TestRunner):
        (TestRunner::staticFunctions):
        * DumpRenderTree/TestRunner.h:
        (TestRunner):
        * DumpRenderTree/mac/MockWebNotificationProvider.mm:
        (-[MockWebNotificationProvider webView:didShowNotification:]):
        (-[MockWebNotificationProvider webView:didClickNotification:]):
        (-[MockWebNotificationProvider webView:didCloseNotifications:]):
        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:decidePolicyForNotificationRequestFromOrigin:listener:]):

2012-08-30  Pratik Solanki  <psolanki@apple.com>

        objc_msgSend and IMP should be cast appropriately before using
        https://bugs.webkit.org/show_bug.cgi?id=95242

        Reviewed by Benjamin Poulain.

        Use wtfObjcMsgSend and wtfCallIMP templates which do appropriate casts
        to a function pointer with right types when calling objc_msgSend and an
        IMP method directly.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (drt_NSFontManager_availableFontFamilies):
        * WebKitTestRunner/InjectedBundle/mac/ActivateFonts.mm:
        (WTR::wtr_NSFontManager_availableFontFamilies):

2012-08-30  Benjamin Poulain  <bpoulain@apple.com>

        Replace JSC::UString by WTF::String
        https://bugs.webkit.org/show_bug.cgi?id=95271

        Reviewed by Geoffrey Garen.

        Get rid of UString.

        * DumpRenderTree/efl/WorkQueueItemEfl.cpp:
        * gdb/webkit.py:
        (WTFStringPrinter.to_string):
        (JSCIdentifierPrinter.to_string):
        (JSCJSStringPrinter.to_string):
        (add_pretty_printers):

2012-08-30  Dirk Pranke  <dpranke@chromium.org>

        nrwt should have TestExpectations everywhere we have Skipped files for apple ports
        https://bugs.webkit.org/show_bug.cgi?id=95495

        Reviewed by Ojan Vafai.

        This is a follow-on to bug 95370 that adds in support for
        platform/wk2/TestExpectations and
        platform/{mac,win}-$version/TestExpectations.

        * Scripts/webkitpy/layout_tests/port/apple.py:
        (ApplePort.expectations_files):
        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port._skipped_file_search_paths):
        * Scripts/webkitpy/layout_tests/port/mac_unittest.py:
        (MacTest.test_expectations_files):
        * Scripts/webkitpy/layout_tests/port/mock_drt_unittest.py:
        (MockDRTPortTest.make_port):
        * Scripts/webkitpy/layout_tests/port/win_unittest.py:
        (WinPortTest.test_expectations_files):

2012-08-30  Dirk Pranke  <dpranke@chromium.org>

        executive.run_in_parallel() hangs if given nothing to do
        https://bugs.webkit.org/show_bug.cgi?id=95387

        Reviewed by Ojan Vafai.

        Check to make sure that Executive.run_in_parallel() requires
        a non-empty list of commands to execute; passing an empty list
        seems surely like a programming error.

        * Scripts/webkitpy/common/system/executive.py:
        (Executive.run_in_parallel):
        * Scripts/webkitpy/common/system/executive_unittest.py:
        (ExecutiveTest.test_run_in_parallel_assert_nonempty):

2012-08-30  Dirk Pranke  <dpranke@chromium.org>

        decide what (and how) we should set the tolerance for ref test pixel compares and test for that
        https://bugs.webkit.org/show_bug.cgi?id=94746

        Reviewed by Ojan Vafai.

        Add an assertion to diff_image() to check that we are passing
        tolerance=0 explicitly when diffing ref test results.

        * Scripts/webkitpy/layout_tests/port/test.py:
        (TestPort.diff_image):

2012-08-30  Dirk Pranke  <dpranke@chromium.org>

        NRWT should look in mac-wk2 for a TestExpecations file
        https://bugs.webkit.org/show_bug.cgi?id=95370

        Reviewed by Ojan Vafai.

        Adds support for mac-wk2 and win-wk2 to expectations_files()
        for the apple mac and apple win ports.
        
        * Scripts/webkitpy/layout_tests/port/apple.py:
        (ApplePort.expectations_files):
        * Scripts/webkitpy/layout_tests/port/mac_unittest.py:
        (MacTest.test_expectations_files):
        * Scripts/webkitpy/layout_tests/port/win_unittest.py:
        (WinTest.test_expectations_files):
        * Scripts/webkitpy/layout_tests/port/port_testcase.py:
        (PortTestCase.test_expectations_files):

2012-08-30  Jon Lee  <jonlee@apple.com>

        [Mac] Add testRunner.dumpWebNotificationCallbacks() to DRT
        https://bugs.webkit.org/show_bug.cgi?id=95232
        <rdar://problem/12190776>

        Reviewed by Alexey Proskuryakov.

        Add additional output when running test, if testRunner.dumpWebNotificationCallbacks() is called.

        * DumpRenderTree/TestRunner.cpp:
        (TestRunner::TestRunner):
        (dumpWebNotificationCallbacksCallback):
        (TestRunner::staticFunctions):
        * DumpRenderTree/TestRunner.h:
        (TestRunner):
        (TestRunner::dumpWebNotificationCallbacks):
        (TestRunner::setDumpWebNotificationCallbacks):
        * DumpRenderTree/mac/MockWebNotificationProvider.mm:
        (-[WebNotification _drt_descriptionSuitableForTestResult]):
        (-[MockWebNotificationProvider webView:didShowNotification:]):
        (-[MockWebNotificationProvider webView:didClickNotification:]):
        (-[MockWebNotificationProvider webView:didCloseNotifications:]):
        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:decidePolicyForNotificationRequestFromOrigin:listener:]):

2012-08-30  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: Introduce MediaConstraints
        https://bugs.webkit.org/show_bug.cgi?id=95198

        Reviewed by Adam Barth.

        Extending the MockWebRTCPeerConnectionHandler with MediaConstraints functionality.

        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.cpp:
        (MockWebRTCPeerConnectionHandler::MockWebRTCPeerConnectionHandler):
        (isSupportedConstraint):
        (isValidConstraint):
        (MockWebRTCPeerConnectionHandler::initialize):
        * DumpRenderTree/chromium/MockWebRTCPeerConnectionHandler.h:
        (MockWebRTCPeerConnectionHandler):

2012-08-30  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [WK2][WTR] Add didReceiveServerRedirectForProvisionalLoadForFrame dumping
        https://bugs.webkit.org/show_bug.cgi?id=95454

        Reviewed by Kenneth Rohde Christiansen.

        Added didReceiveServerRedirectForProvisionalLoadForFrame dumping to WTR.

        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::didReceiveServerRedirectForProvisionalLoadForFrame):

2012-08-30  Leo Yang  <leoyang@rim.com>

        Update my email address.

        Not reviewed.

        * Scripts/webkitpy/common/config/committers.py:

2012-08-30  Jochen Eisinger  <jochen@chromium.org>

        [NRWT] Add support for recognizing arbitrary process names in crash lines
        https://bugs.webkit.org/show_bug.cgi?id=95435

        Reviewed by Adam Barth.

        When running layout tests in the chromium port using the content shell,
        we want to be able to report sub-process crashes as well.

        * Scripts/webkitpy/layout_tests/port/driver.py:
        (Driver._check_for_driver_crash):
        * Scripts/webkitpy/layout_tests/port/driver_unittest.py:
        (DriverTest.test_check_for_driver_crash):

2012-08-29  Zan Dobersek  <zandobersek@gmail.com>

        Random test-webkitpy failures on the buildbot
        https://bugs.webkit.org/show_bug.cgi?id=95096

        Reviewed by Dirk Pranke.

        Suppress occasional errors when running test-webkitpy on GTK builders
        by running these tests serially. The 64-bit Release builder is especially
        prone to these as it can run up to 24 tests in parallel.

        Despite the tests not being run in parallel, the testing only lasts a handful
        of seconds more, so this is a worthy trade-off to avoid unnecessary
        false-alarm redness on the GTK builders.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (RunPythonTests.start):

2012-08-29  Benjamin Poulain  <bpoulain@apple.com>

        REGRESSION(r126780): Crash using StringImpl::is8Bit before checking if there is an impl
        https://bugs.webkit.org/show_bug.cgi?id=95380

        Reviewed by Michael Saboff.

        * TestWebKitAPI/Tests/WTF/WTFString.cpp:
        Add very basic tests for String::ascii(). This covers the case of null strings that caused
        the crash.

2012-08-29  Dominic Mazzoni  <dmazzoni@google.com>

        AX: Canvas should have a distinct role
        https://bugs.webkit.org/show_bug.cgi?id=95248

        Reviewed by Chris Fleizach.

        Add support for canvas accessibility role.

        * DumpRenderTree/chromium/TestRunner/AccessibilityUIElementChromium.cpp:
        (roleToString):

2012-08-29  José Dapena Paz  <jdapena@igalia.com>

        [Gtk] Process Gtk 3.4 smooth scroll events properly
        https://bugs.webkit.org/show_bug.cgi?id=88070

        Added continousMouseScrollBy support in WebKitTestRunner, and added
        implementation for gtk, and stub for Qt, mac and EFL.

        Added layout tests support for smooth scroll in Gtk 3.4, and use smooth
        scroll for emulating multi-tick mouseScrollBy events.

        Reviewed by Martin Robinson.

        * DumpRenderTree/gtk/EventSender.cpp:
        (mouseScrollByCallback):
        (continuousMouseScrollByCallback):
        * WebKitTestRunner/EventSenderProxy.h:
        (EventSenderProxy):
        * WebKitTestRunner/InjectedBundle/Bindings/EventSendingController.idl:
        * WebKitTestRunner/InjectedBundle/EventSendingController.cpp:
        (WTR::EventSendingController::mouseScrollBy):
        (WTR):
        (WTR::EventSendingController::continuousMouseScrollBy):
        * WebKitTestRunner/InjectedBundle/EventSendingController.h:
        (EventSendingController):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::didReceiveSynchronousMessageFromInjectedBundle):
        * WebKitTestRunner/gtk/EventSenderProxyGtk.cpp:
        (WTR):
        (WTR::EventSenderProxy::mouseScrollBy):
        (WTR::EventSenderProxy::continuousMouseScrollBy):
        * WebKitTestRunner/efl/EventSenderProxyEfl.cpp:
        (WTR):
        (WTR::EventSenderProxy::continuousMouseScrollBy):
        * WebKitTestRunner/mac/EventSenderProxy.mm:
        (WTR::EventSenderProxy::continuousScrollBy):
        * WebKitTestRunner/qt/EventSenderProxyQt.cpp:
        (WTR::EventSenderProxy::continuousMouseScrollBy):
        (WTR):

2012-08-29  Alex Sakhartchouk  <alexst@chromium.org>

        [chromium] Support high DIP pixel tests with DumpRenderTree
        https://bugs.webkit.org/show_bug.cgi?id=94935

        Reviewed by James Robinson.

        Adding device scale factor into the drt image dumping code

        * DumpRenderTree/chromium/DRTTestRunner.cpp:
        (DRTTestRunner::reset):
        (DRTTestRunner::setBackingScaleFactor):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::setDeviceScaleFactor):
        (WebViewHost::paintInvalidatedRegion):
        (WebViewHost::canvas):
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebViewHost):

2012-08-29  Kevin Funk  <kevin.funk@kdab.com>

        Fix check-webkit-style (and probably others) when WebKit is in a git submodule
        https://bugs.webkit.org/show_bug.cgi?id=95177

        Reviewed by Dirk Pranke.

        Find the real checkout root by using 'git rev-parse --show-toplevel' instead of '--git-dir'

        * Scripts/webkitpy/common/checkout/scm/git.py:

2012-08-29  Dirk Pranke  <dpranke@chromium.org>

        webkit-patch rebaseline-expectations wrongly touches other platforms' TestExpectations
        https://bugs.webkit.org/show_bug.cgi?id=95222

        Reviewed by Adam Barth.

        The code we had to remove REBASELINE lines from the
        TestExpectations files did not handle multiple files (in a
        cascade) correctly; we weren't limiting lines to a particular
        file correctly in without_rebaseline_modifier(). This patch
        fixes that and corrects the tests (which weren't correct and
        didn't cover things very well).

        Note also that the webkit-patch rebaseline-commands are still
        using the include_overrides=False option in a couple places;
        this is never correct or needed at this point. This patch fixes
        the usage for webkit-patch rebaseline-expectations, but I still
        need to fix rebaseline-test-internal, which I will do in a
        separate patch (see bug 95268).

        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectations.remove_rebaselined_tests.without_rebaseline_modifier):
        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (RebaseliningTest.assertRemove):
        (RebaseliningTest.test_remove):
        * Scripts/webkitpy/tool/commands/rebaseline.py:
        (RebaselineExpectations._update_expectations_files):

2012-08-29  Dirk Pranke  <dpranke@chromium.org>

        webkit-patch rebaseline-expectations hangs
        https://bugs.webkit.org/show_bug.cgi?id=95243

        Reviewed by Tony Chang.

        Don't try to run no commands in parallel; report an error
        instead that we didn't find any tests to rebaseline.

        Filed bug 95387 as well to make sure run_in_parallel() doesn't hang forever.

        * Scripts/webkitpy/tool/commands/rebaseline.py:
        (RebaselineExpectations.execute):
        * Scripts/webkitpy/tool/commands/rebaseline_unittest.py:
        (_assert_command):
        (test_rebaseline_expectations_noop):

2012-08-29  Brady Eidson  <beidson@apple.com>

        REGRESSION: Not sending NPP_SetWindow is causing Flash to not throttle itself
        <rdar://problem/12133021> and https://bugs.webkit.org/show_bug.cgi?id=95274

        Reviewed by Sam Weinig.

        Add a test plug-in that calls back into the page with info on the NPWindow passed
        in to NPP_SetWindow.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        * DumpRenderTree/TestNetscapePlugIn/Tests/LogNPPSetWindow.cpp: Added.
        (LogNPPSetWindow):
        (LogNPPSetWindow::LogNPPSetWindow):
        (LogNPPSetWindow::NPP_SetWindow):

2012-08-29  Jon Lee  <jonlee@apple.com>

        [Mac] Basic DRT support for web notifications
        https://bugs.webkit.org/show_bug.cgi?id=79492
        <rdar://problem/10357639>

        Reviewed by Alexey Proskuryakov.

        This patch implements the stubs for web notification support on DRT. Assume that when
        Notification.requestPermission() is called, the user always chooses to allow it. This can be easily
        overridden in layout tests with testRunner.denyWebNotificationPermission() when needed.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj: Add MockWebNotificationProvider.
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (createWebViewAndOffscreenWindow): Set MockWebNotificationProvider singleton as the provider for the
        web view.
        (resetWebViewToConsistentStateBeforeTesting): Make sure to reset the provider's state between each test.

        * DumpRenderTree/mac/TestRunnerMac.mm:
        (TestRunner::grantWebNotificationPermission): Set permission to granted for specified origin.
        (TestRunner::denyWebNotificationPermission): Set permission to denied for specified origin.
        (TestRunner::removeAllWebNotificationPermissions):
        (TestRunner::simulateWebNotificationClick): Retrieve the notification ID from the JS notification object, and
        simulate the click. This is similar to how WTR performs the click.
        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:decidePolicyForNotificationRequestFromOrigin:listener:]): Assume when asked, the
        user allows web notifications.

        * DumpRenderTree/mac/MockWebNotificationProvider.h: Added. Maintains a list of registered web views, known permissions,
        a map of notification IDs to WebNotification instances, and a map of the WebViews from which the notifications were dispatched.
        * DumpRenderTree/mac/MockWebNotificationProvider.mm: Added.
        (+[MockWebNotificationProvider shared]): The provider is a singleton.
        (-[MockWebNotificationProvider init]): Instantiate the permissions map.
        (-[MockWebNotificationProvider registerWebView:]):
        (-[MockWebNotificationProvider unregisterWebView:]):
        (-[MockWebNotificationProvider showNotification:fromWebView:]): Add the notification to the maps. Tell the web view that the
        notification did show.
        (-[MockWebNotificationProvider cancelNotification:]): Tell the web view the notification did close.
        (-[MockWebNotificationProvider notificationDestroyed:]): Remove the notification from the maps. Here we don't make a callback.
        (-[MockWebNotificationProvider clearNotifications:]): Remove the specified notifications from the maps. Here we don't make a callback.
        (-[MockWebNotificationProvider webView:didShowNotification:]): Delegate callback. Dispatch the show event.
        (-[MockWebNotificationProvider webView:didClickNotification:]): Delegate callback. Dispatch the click event.
        (-[MockWebNotificationProvider webView:didCloseNotifications:]): Delegate callback. Dispatch the close event.
        (-[MockWebNotificationProvider simulateWebNotificationClick:]): Tell the web view we clicked the notification.
        (-[MockWebNotificationProvider policyForOrigin:]): Look in the permission dictionary.
        (-[MockWebNotificationProvider setWebNotificationOrigin:permission:]): Set the permission for the origin in the dictionary.
        (-[MockWebNotificationProvider removeAllWebNotificationPermissions]): Clear the permission map.
        (-[MockWebNotificationProvider reset]): Remove all mappings and permissions.

2012-08-29  Rob Buis  <rbuis@rim.com>

        [BlackBerry] Adjust wtf include header style
        https://bugs.webkit.org/show_bug.cgi?id=95368

        Reviewed by Yong Li.

        Switch to #include <wtf/...> like the other ports.

        * DumpRenderTree/blackberry/DumpRenderTree.cpp:
        * DumpRenderTree/blackberry/PNGImageEncoder.cpp:
        * DumpRenderTree/blackberry/PNGImageEncoder.h:
        * DumpRenderTree/blackberry/PixelDumpSupportBlackBerry.cpp:
        * DumpRenderTree/blackberry/PixelDumpSupportBlackBerry.h:
        * DumpRenderTree/blackberry/WorkQueueItemBlackBerry.cpp:

2012-08-29  Roger Fong  <roger_fong@apple.com>

        Update cygwin-downloader.zip to match modified downloader script.
        https://bugs.webkit.org/show_bug.cgi?id=76936

        Rubber Stamped by Jon Honeycutt.

        cygwin-downloader.py was modified in http://trac.webkit.org/changeset/126948.
        Updating zip to reflect changes.

        * CygwinDownloader/cygwin-downloader.zip:

2012-08-29  Dominik Röttsches  <dominik.rottsches@intel.com>

        Stylechecker warns about comparison to zero when comparing to 0.5
        https://bugs.webkit.org/show_bug.cgi?id=94913

        Reviewed by Dirk Pranke.

        According to the python documentation, \W is the character group with all
        non-alphanumeric characters, equivalent to [^a-zA-Z0-9_], which is equal to
        to [^\w]. We need to exclude the dot "." as well, so that floating point
        values do not trigger this warning. Adding a unit test that shows the problem.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_for_comparisons_to_zero): Modifying the regex to not get triggered by comparing to floats.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (WebKitStyleTest.test_null_false_zero): Unit test exposing this issue.

2012-08-29  Jon Lee  <jonlee@apple.com>

        WTR build fixes.

        * WebKitTestRunner/CMakeLists.txt:
        * WebKitTestRunner/GNUmakefile.am:
        * WebKitTestRunner/Target.pri:
        * WebKitTestRunner/WebNotificationProvider.cpp:
        (WTR::WebNotificationProvider::showWebNotification): Make ML happier.
        * WebKitTestRunner/win/WebKitTestRunner.vcproj:

2012-08-29  Jon Lee  <jonlee@apple.com>

        [WK2] Basic WTR support for web notifications
        https://bugs.webkit.org/show_bug.cgi?id=95154
        <rdar://problem/12184492>

        Reviewed by Alexey Proskuryakov.

        Implement WTR support, without platform event output (bug 95233).

        Legacy APIs will not be supported, since many of the tests are skipped
        on ports that do test notifications, and the issue with using file:// as the origin means a lot of the permissions
        tests won't work. Bugs 81048 and 81697 will track migrating the existing tests to use the new testRunner API, and move
        the tests to http/tests/notifications.

        Permissions will be handled only in the injected bundle. This allows tests to set permission synchronously, and not
        require a chain of setTimeout()'s when writing a notification test. Clicking a notification, however, should
        be invoked from the UIProcess.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::didReceiveMessage): When told to "Reset", clear out all of the permissions.
        (WTR::InjectedBundle::postSimulateWebNotificationClick): Tell the bundle client to simulate a click based on the
        notification's internal ID.
        * WebKitTestRunner/InjectedBundle/InjectedBundle.h:
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::grantWebNotificationPermission): Manually set the permission using WKBundle SPI.
        (WTR::TestRunner::denyWebNotificationPermission): Manually set the permission using WKBundle SPI.
        (WTR::TestRunner::removeAllWebNotificationPermissions):
        (WTR::TestRunner::simulateWebNotificationClick): Post a message through the injected bundle.
        * WebKitTestRunner/InjectedBundle/TestRunner.h:

        Because supporting web notifications goes beyond a couple functions, move all of the logic into a WebNotificationProvider
        class.
        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::TestInvocation::didReceiveMessageFromInjectedBundle): When the injected bundle sends a message to simulate a click,
        TestInvocation forwards that request to the TestController.
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::initialize): Set the provider.
        (WTR::TestController::resetStateToConsistentValues): Tell the provider to reset.
        (WTR::TestController::simulateWebNotificationClick): Tell the provider to simulate a user clicking on a platform notification.
        * WebKitTestRunner/TestController.h: Holds an instance to the provider.

        The provider maintains a pointer to one notification manager (presumably the web process associated with WTR), and a set
        of notification IDs that have been "shown" by the platform. This allows us to simulate a click on a notification.
        * WebKitTestRunner/WebNotificationProvider.h: Added.
        * WebKitTestRunner/WebNotificationProvider.cpp: Added.
        (WTR::WebNotificationProvider::showWebNotification): Adds the notification to set of shown notifications. Notifies provider that
        the notification got shown.
        (WTR::WebNotificationProvider::closeWebNotification): Removes the notification from the set. Notifies provider that the notification
        got closed.
        (WTR::WebNotificationProvider::addNotificationManager): Maintains one manager, which is fine for testing purposes.
        (WTR::WebNotificationProvider::removeNotificationManager): Maintains one manager.
        (WTR::WebNotificationProvider::notificationPermissions): When the web process starts, it maintains an initial set of known
        permissions. For testing purposes, we always want this set to be empty.
        (WTR::WebNotificationProvider::simulateWebNotificationClick): Notifies provider that the notification got "clicked".
        (WTR::WebNotificationProvider::reset): To reset the state, we pretend that we closed all of the platform notifications.

        * WebKitTestRunner/WebKitTestRunner.xcodeproj/project.pbxproj: Add WebNotificationProvider.

2012-08-29  Kamil Blank  <k.blank@samsung.com>

        [EFL] Add setting API for allow universal/file access from file URLs.
        https://bugs.webkit.org/show_bug.cgi?id=83121

        Reviewed by Eric Seidel.

        Implementation of setAllowUniversalAccessFromFileURLs and setAllowFileAccessFromFileURLs.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        * DumpRenderTree/efl/TestRunnerEfl.cpp:
        (TestRunner::setAllowUniversalAccessFromFileURLs):
        (TestRunner::setAllowFileAccessFromFileURLs):

2012-08-29  Jon Lee  <jonlee@apple.com>

        Update TestRunner API for web notifications
        https://bugs.webkit.org/show_bug.cgi?id=95093
        <rdar://problem/12179649>

        Reviewed by Alexey Proskuryakov.

        As it turns out the patch for this accidentally got squashed into the commit for
        bug 95099 (r126909). This amendment patch adds some comments about the renaming
        of the older TestRunner API for web notifications.

        * DumpRenderTree/TestRunner.h:
        (TestRunner):

2012-08-29  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r126972.
        http://trac.webkit.org/changeset/126972
        https://bugs.webkit.org/show_bug.cgi?id=95349

        accessibility/canvas-description-and-role.html has been
        failing consistently on several bots and Dominic needs some
        time to investigate why (Requested by jchaffraix on #webkit).

        * DumpRenderTree/chromium/TestRunner/AccessibilityUIElementChromium.cpp:
        (roleToString):

2012-08-29  Raphael Kubo da Costa  <rakuco@webkit.org>

        [EFL] Resolve CMake warnings on overlapping search paths for EFL jhbuild-enabled build
        https://bugs.webkit.org/show_bug.cgi?id=84707

        Reviewed by Gustavo Noronha Silva.

        Most of the warnings have been fixed now that FindCairo.cmake and
        FindGLIB.cmake have been rewritten. The remaining one, related to
        FindFontconfig.cmake, shows up when building on a 64-bit
        Debian-based systems.

        jhbuild installs libraries into lib64/ by default on 64-bit Linux
        installations, while CMake does not look for libraries in lib64/
        when /etc/debian_version exists on the system. The FIND_LIBRARY()
        would then sometimes end up using the system installation instead of
        the jhbuild one, causing mismatches and, when pkg-config is not used
        at all, failing to find libraries altogether.

        * efl/jhbuildrc: Set the CMAKE_LIBRARY_PATH environment variable
        when use_lib64 is set to force CMake to look into lib64/ regardless
        of the presence of /etc/debian_version.

2012-08-29  Dominik Röttsches  <dominik.rottsches@intel.com>

        The 2d.imageData.object.round canvas test is failing
        https://bugs.webkit.org/show_bug.cgi?id=40272

        Reviewed by Benjamin Poulain.

        Updating patch to address Benjamin's review comments.
        Adding a WTF test to test lrint implementation.

        * TestWebKitAPI/CMakeLists.txt: Added MathExtras.cpp test file.
        * TestWebKitAPI/GNUmakefile.am: Added MathExtras.cpp test file.
        * TestWebKitAPI/TestWebKitAPI.gypi: Added MathExtras.cpp test file.
        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj: Added MathExtras.cpp test file.
        * TestWebKitAPI/Tests/WTF/MathExtras.cpp: Added this test file containing a test for lrint().
        (TestWebKitAPI):
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/win/TestWebKitAPI.vcproj: Added MathExtras.cpp test file.

2012-08-29  Florin Malita  <fmalita@chromium.org>

        Unreviewed, updating Kelly Norton's email address at his request.

        * Scripts/webkitpy/common/config/committers.py:

2012-08-29  Kristóf Kosztyó  <kkristof@inf.u-szeged.hu>

        [NRWT] The nrwt should check the contents of the skipped files with --lint-test-files
        https://bugs.webkit.org/show_bug.cgi?id=93723

        Reviewed by Dirk Pranke.

        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectationParser.expectation_for_skipped_test):
        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (SkippedTests.test_skipped_entry_dont_exist):

2012-08-29  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r120113.
        http://trac.webkit.org/changeset/120113
        https://bugs.webkit.org/show_bug.cgi?id=95320

        Wrong fix for the problem, experimentally rolling it out for
        bug 95237. (Requested by rakuco on #webkit).

        * efl/jhbuildrc:

2012-08-29  Dominic Mazzoni  <dmazzoni@google.com>

        AX: Canvas should have a distinct role
        https://bugs.webkit.org/show_bug.cgi?id=95248

        Reviewed by Chris Fleizach.

        Add support for canvas accessibility role.

        * DumpRenderTree/chromium/TestRunner/AccessibilityUIElementChromium.cpp:
        (roleToString):

2012-08-28  Eric Seidel  <eric@webkit.org>

        cr-ews bot doesn't set CWD correctly when zipping layout test results
        https://bugs.webkit.org/show_bug.cgi?id=91265

        Reviewed by Kenneth Russell.

        This should make the zips slightly less cumbersome to deal with.

        * Scripts/webkitpy/common/system/workspace.py:
        (Workspace.create_zip):
        * Scripts/webkitpy/common/system/workspace_unittest.py:
        (WorkspaceTest.test_create_zip):
        (WorkspaceTest.test_create_zip_exception):

2012-08-28  Benjamin Poulain  <benjamin@webkit.org>

        Fix the Commiters script

        Unreviewed.

        Remove Roger Fong from the Contributor list, he appears in the Commiter list since r126949.

        * Scripts/webkitpy/common/config/committers.py:

2012-08-28  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Adding myself to committers list.

        * Scripts/webkitpy/common/config/committers.py:

2012-08-28  Roger Fong  <roger_fong@apple.com>

        Add minires to list of required cygwin install packages.
        https://bugs.webkit.org/show_bug.cgi?id=76936

        Reviewed by Tim Horton.

        * CygwinDownloader/cygwin-downloader.py:

2012-08-28  Xianzhu Wang  <wangxianzhu@chromium.org>

        [Chromium-Android] Upstream layout test expectations (Part 2)
        https://bugs.webkit.org/show_bug.cgi?id=95212

        Reviewed by Adam Barth.

        - Now run both gpu path and non-gpu path of 2d canvas layout tests
        because both are used in chromium-android.

        - Exclude all webgl tests because webgl is not enabled yet.

        - Removed 'win' from the baseline fallback list. This was a mistake.

        - Moved some small directories to TestExpectations from skipped_layout_tests().

        * Scripts/webkitpy/layout_tests/port/chromium_android.py:
        (ChromiumAndroidPort):
        (ChromiumAndroidPort.skipped_layout_tests):

2012-08-28  Joanmarie Diggs  <jdiggs@igalia.com>

        Implement AccessibilityUIElement::titleUIElement() and AccessibilityUIElement::stringValue()
        https://bugs.webkit.org/show_bug.cgi?id=95185

        Reviewed by Chris Fleizach.

        * DumpRenderTree/gtk/AccessibilityUIElementGtk.cpp:
        (AccessibilityUIElement::titleUIElement): Implemented
        Gets the ATK_RELATION_LABELLED_BY target.
        (AccessibilityUIElement::stringValue): Implemented for all roles but ATK_ROLE_PANEL.
        Gets the string from atk_text_get_text(). Will implement for ATK_ROLE_PANEL after
        bug 95180 is fixed.

2012-08-28  Dominic Mazzoni  <dmazzoni@google.com>

        AX: Crash due to object getting deleted inside updateBackingStore
        https://bugs.webkit.org/show_bug.cgi?id=94619

        Reviewed by Chris Fleizach.

        Change isValid to !isDetached after deleting isValid from
        chromium WebAccessibilityObject as being redundant.

        * DumpRenderTree/chromium/TestRunner/AccessibilityUIElementChromium.cpp:
        (AccessibilityUIElement::isValidGetterCallback):

2012-08-28  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r126914.
        http://trac.webkit.org/changeset/126914
        https://bugs.webkit.org/show_bug.cgi?id=95239

        it breaks everything and fixes nothing (Requested by pizlo on
        #webkit).

        * DumpRenderTree/chromium/MockWebSpeechInputController.cpp:
        (MockWebSpeechInputController::addMockRecognitionResult):
        * DumpRenderTree/chromium/NotificationPresenter.cpp:
        (NotificationPresenter::simulateClick):
        (NotificationPresenter::show):
        * DumpRenderTree/chromium/TestRunner/CppBoundClass.cpp:
        (CppBoundClass::~CppBoundClass):
        (CppBoundClass::invoke):
        (CppBoundClass::getProperty):
        (CppBoundClass::setProperty):
        (CppBoundClass::bindCallback):
        (CppBoundClass::bindProperty):
        * DumpRenderTree/chromium/WebPreferences.cpp:
        (applyFontMap):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::printResourceDescription):
        * DumpRenderTree/mac/TestRunnerMac.mm:
        (worldIDForWorld):
        (TestRunner::evaluateScriptInIsolatedWorld):
        * DumpRenderTree/win/AccessibilityControllerWin.cpp:
        (AccessibilityController::~AccessibilityController):
        (AccessibilityController::winNotificationReceived):
        * DumpRenderTree/win/ResourceLoadDelegate.cpp:
        (ResourceLoadDelegate::descriptionSuitableForTestResult):
        * DumpRenderTree/win/TestRunnerWin.cpp:
        (worldIDForWorld):
        (TestRunner::evaluateScriptInIsolatedWorld):
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionBasic_Bundle.cpp:
        (TestWebKitAPI::DOMWindowExtensionBasic::willDestroyPage):
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionNoCache_Bundle.cpp:
        (TestWebKitAPI::DOMWindowExtensionNoCache::willDestroyPage):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::worldIDForWorld):
        (WTR::TestRunner::evaluateScriptInIsolatedWorld):

2012-08-28  Caio Marcelo de Oliveira Filho  <caio.oliveira@openbossa.org>

        Rename first/second to key/value in HashMap iterators
        https://bugs.webkit.org/show_bug.cgi?id=82784

        Reviewed by Eric Seidel.

        * DumpRenderTree/chromium/MockWebSpeechInputController.cpp:
        (MockWebSpeechInputController::addMockRecognitionResult):
        * DumpRenderTree/chromium/NotificationPresenter.cpp:
        (NotificationPresenter::simulateClick):
        (NotificationPresenter::show):
        * DumpRenderTree/chromium/TestRunner/CppBoundClass.cpp:
        (CppBoundClass::~CppBoundClass):
        (CppBoundClass::invoke):
        (CppBoundClass::getProperty):
        (CppBoundClass::setProperty):
        (CppBoundClass::bindCallback):
        (CppBoundClass::bindProperty):
        * DumpRenderTree/chromium/WebPreferences.cpp:
        (applyFontMap):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::printResourceDescription):
        * DumpRenderTree/mac/TestRunnerMac.mm:
        (worldIDForWorld):
        (TestRunner::evaluateScriptInIsolatedWorld):
        * DumpRenderTree/win/AccessibilityControllerWin.cpp:
        (AccessibilityController::~AccessibilityController):
        (AccessibilityController::winNotificationReceived):
        * DumpRenderTree/win/ResourceLoadDelegate.cpp:
        (ResourceLoadDelegate::descriptionSuitableForTestResult):
        * DumpRenderTree/win/TestRunnerWin.cpp:
        (worldIDForWorld):
        (TestRunner::evaluateScriptInIsolatedWorld):
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionBasic_Bundle.cpp:
        (TestWebKitAPI::DOMWindowExtensionBasic::willDestroyPage):
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionNoCache_Bundle.cpp:
        (TestWebKitAPI::DOMWindowExtensionNoCache::willDestroyPage):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::worldIDForWorld):
        (WTR::TestRunner::evaluateScriptInIsolatedWorld):

2012-08-27  Jon Lee  <jonlee@apple.com>

        Update TestRunner API for web notifications
        https://bugs.webkit.org/show_bug.cgi?id=95093
        <rdar://problem/12179649>

        Reviewed by Jessie Berlin.

        This is work toward providing Mac support for web notifications in DRT and WTR (77969).

        Some of the legacy APIs are less than ideal, and not tenable with the WTR infrastructure.
        This first patch renames the TestRunner calls to use the term "web notifications" instead of
        "desktop notifications", deprecates a couple API calls that are not used by anyone, and adds
        additional calls that will be used in the tests that test the standard API.

        * DumpRenderTree/TestRunner.h:
        (TestRunner): For consistency, rename a couple member variables. Remove unused checkDesktopNotificationPermission()
        and areDesktopNotificationPermissionRequestsIgnored(). Remove origin mapping since each port implements its own solution.
        * DumpRenderTree/TestRunner.cpp: Push grantWebNotificationPermission() to individual ports.
        (TestRunner::TestRunner):
        (ignoreLegacyWebNotificationPermissionRequestsCallback): Renamed.
        (simulateLegacyWebNotificationClickCallback): Renamed.
        (grantWebNotificationPermissionCallback): Renamed.
        (denyWebNotificationPermissionCallback): Added.
        (removeAllWebNotificationPermissionsCallback): Added.
        (simulateWebNotificationClickCallback): Added.
        (TestRunner::staticFunctions):
        (TestRunner::ignoreLegacyWebNotificationPermissionRequests):

        * DumpRenderTree/chromium/DRTTestRunner.cpp:
        (DRTTestRunner::DRTTestRunner): Added bindings for new APIs.
        (DRTTestRunner::grantWebNotificationPermission):
        (DRTTestRunner::denyWebNotificationPermission): Stub.
        (DRTTestRunner::removeAllWebNotificationPermissions): Stub.
        (DRTTestRunner::simulateWebNotificationClick): Stub.
        (DRTTestRunner::simulateLegacyWebNotificationClick):
        * DumpRenderTree/chromium/DRTTestRunner.h:
        (DRTTestRunner):

        Added stubs.
        * DumpRenderTree/blackberry/TestRunnerBlackBerry.cpp:
        * DumpRenderTree/efl/TestRunnerEfl.cpp:
        * DumpRenderTree/gtk/TestRunnerGtk.cpp:
        * DumpRenderTree/mac/TestRunnerMac.mm: Later patch will contain implementation of this API.
        * DumpRenderTree/qt/TestRunnerQt.cpp: Added Qt-based stubs.
        * DumpRenderTree/win/TestRunnerWin.cpp:

2012-08-28  Szilard Ledan  <szledan@inf.u-szeged.hu>

        [webkit-patch] gets stuck into an infinite loop if bugzilla doesn't respond in time.
        https://bugs.webkit.org/show_bug.cgi?id=94700

        Reviewed by Eric Seidel.

        Interrupting download with a timeout would be a possible solution.
        I imported the socket module and used the setdefaulttimeout() method.
        Fixing it is important, because EWS bots need to be restarted regularly
        because of this bug.

        * Scripts/webkitpy/common/net/bugzilla/bugzilla.py:
        (Bugzilla._get_browser):
        (Bugzilla.setdefaulttimeout):

2012-08-28  Gabor Rapcsanyi  <rgabor@webkit.org>

        [Qt] Keep QT_QPA_PLATFORM_PLUGIN_PATH environment variable in NRWT
        https://bugs.webkit.org/show_bug.cgi?id=95194

        Reviewed by Simon Hausmann.

        * Scripts/webkitpy/layout_tests/port/qt.py:
        (QtPort.setup_environ_for_server):

2012-08-28  Andras Becsi  <andras.becsi@nokia.com>

        [watchlist] Unreviewed, subscribe to Qt bugs.

        * Scripts/webkitpy/common/config/watchlist:

2012-08-28  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] New test introduced in r126611 fails: fast/css/image-set-setting.html
        https://bugs.webkit.org/show_bug.cgi?id=95054

        Reviewed by Eric Seidel.

        Enable CSS_IMAGE_SET for the Qt build.

        * qmake/mkspecs/features/features.pri:

2012-08-27  Csaba Osztrogonác  <ossy@webkit.org>

        [Qt] Enable CSS sticky position
        https://bugs.webkit.org/show_bug.cgi?id=95172

        Reviewed by Simon Hausmann.

        * qmake/mkspecs/features/features.pri:

2012-08-27  Zan Dobersek  <zandobersek@gmail.com>

        [GTK] Memory cache should be cleared in between test runs
        https://bugs.webkit.org/show_bug.cgi?id=95105

        Reviewed by Martin Robinson.

        Call the new DumpRenderTreeSupportGtk helper method after every test
        to clear the memory cache.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (runTest):

2012-08-27  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r126836.
        http://trac.webkit.org/changeset/126836
        https://bugs.webkit.org/show_bug.cgi?id=95163

        Broke all Apple ports, EFL, and Qt. (Requested by tkent on
        #webkit).

        * DumpRenderTree/chromium/MockWebSpeechInputController.cpp:
        (MockWebSpeechInputController::addMockRecognitionResult):
        * DumpRenderTree/chromium/NotificationPresenter.cpp:
        (NotificationPresenter::simulateClick):
        (NotificationPresenter::show):
        * DumpRenderTree/chromium/TestRunner/CppBoundClass.cpp:
        (CppBoundClass::~CppBoundClass):
        (CppBoundClass::invoke):
        (CppBoundClass::getProperty):
        (CppBoundClass::setProperty):
        (CppBoundClass::bindCallback):
        (CppBoundClass::bindProperty):
        * DumpRenderTree/chromium/WebPreferences.cpp:
        (applyFontMap):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::printResourceDescription):
        * DumpRenderTree/win/AccessibilityControllerWin.cpp:
        (AccessibilityController::~AccessibilityController):
        (AccessibilityController::winNotificationReceived):
        * DumpRenderTree/win/ResourceLoadDelegate.cpp:
        (ResourceLoadDelegate::descriptionSuitableForTestResult):
        * DumpRenderTree/win/TestRunnerWin.cpp:
        (worldIDForWorld):
        (TestRunner::evaluateScriptInIsolatedWorld):
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionBasic_Bundle.cpp:
        (TestWebKitAPI::DOMWindowExtensionBasic::willDestroyPage):
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionNoCache_Bundle.cpp:
        (TestWebKitAPI::DOMWindowExtensionNoCache::willDestroyPage):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::worldIDForWorld):
        (WTR::TestRunner::evaluateScriptInIsolatedWorld):

2012-08-27  Caio Marcelo de Oliveira Filho  <caio.oliveira@openbossa.org>

        Rename first/second to key/value in HashMap iterators
        https://bugs.webkit.org/show_bug.cgi?id=82784

        Reviewed by Eric Seidel.

        * DumpRenderTree/chromium/MockWebSpeechInputController.cpp:
        (MockWebSpeechInputController::addMockRecognitionResult):
        * DumpRenderTree/chromium/NotificationPresenter.cpp:
        (NotificationPresenter::simulateClick):
        (NotificationPresenter::show):
        * DumpRenderTree/chromium/TestRunner/CppBoundClass.cpp:
        (CppBoundClass::~CppBoundClass):
        (CppBoundClass::invoke):
        (CppBoundClass::getProperty):
        (CppBoundClass::setProperty):
        (CppBoundClass::bindCallback):
        (CppBoundClass::bindProperty):
        * DumpRenderTree/chromium/WebPreferences.cpp:
        (applyFontMap):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::printResourceDescription):
        * DumpRenderTree/win/AccessibilityControllerWin.cpp:
        (AccessibilityController::~AccessibilityController):
        (AccessibilityController::winNotificationReceived):
        * DumpRenderTree/win/ResourceLoadDelegate.cpp:
        (ResourceLoadDelegate::descriptionSuitableForTestResult):
        * DumpRenderTree/win/TestRunnerWin.cpp:
        (worldIDForWorld):
        (TestRunner::evaluateScriptInIsolatedWorld):
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionBasic_Bundle.cpp:
        (TestWebKitAPI::DOMWindowExtensionBasic::willDestroyPage):
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionNoCache_Bundle.cpp:
        (TestWebKitAPI::DOMWindowExtensionNoCache::willDestroyPage):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::worldIDForWorld):
        (WTR::TestRunner::evaluateScriptInIsolatedWorld):

2012-08-24  James Robinson  <jamesr@chromium.org>

        WebGL should not flip textures on presentation if contents are unchanged
        https://bugs.webkit.org/show_bug.cgi?id=94961

        Reviewed by Kenneth Russell.

        Run some compositing webgl tests in threaded mode to catch regressions specific to that mode.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort.virtual_test_suites):

2012-08-27  Gavin Peters  <gavinp@chromium.org>

